Changes for 7.4.7

7.4.7rc3 was released as 7.4.7 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.7rc3

Bug fixes:
..F....... [ZBX-27508] fixed inline validation rules for item and item prototype forms (gberzina)

--------------------------------------------------------------------------------
Changes for 7.4.7rc2

Bug fixes:
.......P.. [ZBX-27387] fixed deadlock during auto registration and SQLite (vso)

--------------------------------------------------------------------------------
Changes for 7.4.7rc1

New features:
.........T [ZBXNEXT-10377] added new OID metrics and updated dashboard in Vyatta Virtual Router by SNMP template (mruszczyk)
.........T [ZBXNEXT-10384] added filesystem and CPU load items to Ciena 3906 by SNMP template (kflorowski)
A.......S. [ZBXNEXT-10394] updated maximum supported TimescaleDB version to 2.24 (mprihodko)

Bug fixes:
...G...... [ZBX-26276] fixed issue with failed Oracle connections causing memory leak in Zabbix agent 2 (opucka)
A......... [ZBX-27236] improved performance of event.get and problem.get methods when using "suppressed" and "symptom" options (Sasha)
.......PS. [ZBX-27447] fixed JSON error check with numeric value type (vso)
..F....... [ZBX-27459] updated MFA library duosecurity/duo_universal_php to version 1.1.1 (gcalenko)
..F....... [ZBX-22722] updated time period format to support both single-day (d) and interval (d–d) (msnihach)
........S. [ZBX-25080] optimized item_discovery table sync to use copy of item table changelog (wiper)
...G...... [ZBX-27329] fixed net.tcp.service key not working for Zabbix agent 2 (esneiders)
.......PS. [ZBX-21645] fixed SNMP availability icon staying green when all SNMP agent items are not supported (vso)
..F....... [ZBX-27092] fixed csv to json without header row (talbergs)
...G...... [ZBX-27074] fixed Zabbix agent crashing on startup on Windows (mkorotkov)
.......PS. [ZBX-26712] fixed errors that occurred when polling SNMP agent items for walk on BITS values (mkorotkov)
.......PS. [ZBX-27391] fixed memory fragmentation when adding new hosts, global macros, or user macros (vso)
.D........ [ZBX-26754] improved ServerActive configuration option description (sboidenko)
A......... [ZBX-27083] implemented full macro support for "In range" preprocessing step, now available for all fields (dpankins)
A......... [ZBX-26749] removed inability to unlink and clear template which has triggers that other host/template triggers depend on (kkuzmina)
........S. [ZBX-26664] added interface field validation in LLD (wiper)
.......PS. [ZBX-27394] fixed crash on "cannot get secrets for path" error due to double free when using shared memory (vso)
.........T [ZBX-27235] fixed MS Teams workflow webhook handling success message (kflorowski)
A......... [ZBX-25974] prevented creation of duplicate host prototype on re-linking template (jfreibergs)
..F....... [ZBX-27064] fixed number field inline validation for item preprocessing steps (gberzina)
..F....... [ZBX-27087] fixed incorrect replacement of item tags when adding new tag through inherited tag form (agriscenko)
..F....... [ZBX-26461] fixed undefined index error in template edit form when one of vendor fields is empty (dpankins)
A......... [ZBX-24435] improved performance in cases where number of values filtered by specific string, integer, or ID type parameter exceeds 950 (agriscenko, vmaksimovs, vso)
.D.....PS. [ZBX-27233] updated process type list for for Zabbix server/proxy help message and man page (rtrizna)
...G...... [ZBX-27268] fixed problem where test flags would not work with running agent2 (opucka)
.........T [ZBX-27201] fixed healthcheck HTTP response code regex in RabbitMQ templates (kflorowski)
..F....... [ZBX-23823] fixed inability to remove macros with same context via mass update in templates and hosts (kkuzmina)
A......... [ZBX-22866] fixed inability to create maps for users without group (kkuzmina)
..F....... [ZBX-27214] fixed host dashboards reloading once per minute (averza)
..F....... [ZBX-26485] fixed validation for "reconnect" and "autologin" parameters in "index.php" file (averza)
..F....... [ZBX-27231] fixed unresponsive header of URL widget (averza)
........S. [ZBX-27205] fixed issue of event created from trigger using web scenario items missing tags inherited from templates (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.4.6

7.4.6rc2 was released as 7.4.6 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.6rc2

Bug fixes:

--------------------------------------------------------------------------------
Changes for 7.4.6rc1

New features:
.........T [ZBXNEXT-10169] added Ribbon SBC Edge by HTTP template (akotsegubov)
.........T [ZBXNEXT-10168] added Ribbon SBC SWe core by HTTP and Ribbon SBC SWe CE by HTTP templates (akotsegubov)
A.......S. [ZBXNEXT-10289] updated maximum supported TimescaleDB version to 2.23 (mprihodko)
A......PS. [ZBXNEXT-10306] updated maximum supported MySQL version to 9.5 (mprihodko)
.........T [ZBXNEXT-9492] added VeloCloud SD-WAN Edge by HTTP template (egordymov)
.....J.... [ZBXNEXT-10364] added commentary to web service config file that indicates that this config can be extended via Include (opucka)
.........T [ZBXNEXT-10231] added support for the new syntax to MySQL templates (aiantsen)
...G...... [ZBXNEXT-10012] added both SHOW SLAVE STATUS and SHOW REPLICA STATUS for Zabbix agent 2 MySQL plugin (lsurvilo)

Bug fixes:
.......PS. [ZBX-27307] fixed items not being scheduled if host is re-enabled after restart and macro is used in update interval (vso)
........S. [ZBX-27267] fixed crash when database goes down during low level discovery (vso)
.......PS. [ZBX-27229] fixed trends not being saved (Andris)
.......PS. [ZBX-26018] added fping command execution time limit (vsmelovs)
..F....... [ZBX-27033] fixed incorrect disabling of Execute now option in Latest data item popup for users of type User (jfreibergs)
........S. [ZBX-27238] improved host low level discovery performance when matching existing hosts (vso)
A.F....... [ZBX-26303] fixed escaping of special characters in regular expressions (jfreibergs, Sasha)
..F....... [ZBX-27215] fixed incorrect Dashboard time period filter activation when Top hosts widget column is saved (isharha)
..F....... [ZBX-27199] fixed graph view failing to display dependent item from web scenario (agriscenko)
A......... [ZBX-26462] updated and minimized the ability to achieve full table lock when deleting different API objects (aluchko)
A......... [ZBX-25284] prevented web scenarios being inherited to host prototypes; fixed inability to delete parent host in such case (jfreibergs, vmaksimovs)
.......PS. [ZBX-26946] fixed memory being reserved by pollers due to memory-intensive script items or in async pollers due to large transfers (vso)
..F....... [ZBX-27049] fixed incorrect constant references in Top items widget view (talbergs)
A......... [ZBX-26427] fixed resetting of discovery rule filter on import (jfreibergs)
A......... [ZBX-27090] fixed support of "extend" for host.get selectInheritedTags parameter (jfreibergs)
...G...... [ZBX-26218] fixed incorrect function name in log for Zabbix agent 2 (esneiders)
A......... [ZBX-26562] fixed 'Allowed memory size exhausted' issue while importing a cloned template (aluchko, jfreibergs)
..F....... [ZBX-27154] fixed rare occasion of infinite loop in graph scale generation (averza)
.........T [ZBX-26739] fixed item logic in Nextcloud by HTTP template (mruszczyk)
.......PS. [ZBX-27188] fixed validation of TLS configuration before adding autoregistered host (mprihodko)
...G...... [ZBX-26640] fixed Zabbix agent built with statically linked curl library crashing on web.page.get[] items (aetatsu)
..F.....S. [ZBX-26451] fixed inventory macros not being resolved in script and browser type items (aetatsu, msnihach)
...GI..... [ZBX-24140] fixed not being able to build Zabbix agent with statically linked curl library and inability to use curl without ssl for "web.page.get[...]" items (aetatsu)
.........T [ZBX-26949] changed macro names in the NetApp AFF A700 by HTTP template (sbelakovs)
...G...... [ZBX-26111] fixed JSON output for vfs.dev.discovery DEVTYPE field (rtrizna)
..F....... [ZBX-27127] fixed warning alert not being displayed when navigating away from new template by clicking another template name in inherited macro list (agriscenko)
..F....... [ZBX-25761] fixed displaying of top hosts sparkline chart if column is configured to show custom time period (aluchko)
..F....... [ZBX-26289] fixed preprocessed result not displaying white spaces correctly (gklavins)
..F....... [ZBX-27053] added space between tags on Web monitoring list page and in LDAP settings (msnihach)
A......... [ZBX-26830] fixed undefined array key "host_status" on triggers import (kkuzmina)
.........T [ZBX-26626] added additional GRANT statements for both MSSQL templates (smansurovs)
...G...... [ZBX-26500] fixed system.users.num metric incorrect returned value for both agents (opucka, vsmelovs)
........S. [ZBX-27032] fixed header executing error from JavaScript request (vsmelovs)
.........T [ZBX-27155] fixed OID for protected host memory item in Stormshield SNS by SNMP template (knaglis)
..F....... [ZBX-27020] fixed user with limited permissions access to map containing submap with inaccessible host or hostgroup (talbergs)
.......PS. [ZBX-26867] fixed dependent item error message upon master item change (askolmeisters)
.......PS. [ZBX-26900] fixed Zabbix server warning log for out-of-order value identifier detection to clarify data source (rtrizna)
..F....... [ZBX-26665] fixed widget configuration form layout on narrow screens (averza)
.........T [ZBX-26623] fixed ODBC poller error handling in Zabbix server/proxy health templates (kflorowski)
..F....... [ZBX-26932] fixed inline validation for multiselect to work on focus out (gberzina)
..F....... [ZBX-27031] fixed Host navigator widget not loading when Show problems is set to None (gberzina)
........S. [ZBX-26552] added validation for LLD macro presence when creating host and group prototypes (wiper)
A.F....... [ZBX-25037] fixed slow performance of show queries for dbversion and charset on MySQL (dpankins)

--------------------------------------------------------------------------------
Changes for 7.4.5

Bug fixes:
..F....... [ZBX-27153] fixed undefined index error in SVG graphs for Zabbix agent active items (gcalenko)
...G...... [ZBX-27156] fix CPU spike in Zabbix agent 2 mysql plugin (esneiders)

--------------------------------------------------------------------------------
Changes for 7.4.4

7.4.4rc1 was released as 7.4.4 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.4rc1

New features:
A.......S. [ZBXNEXT-10271] updated maximum supported TimescaleDB version to 2.22 (mprihodko)
.........T [ZBXNEXT-10245] added Stormshield SNS by SNMP template (knaglis)
A......PS. [ZBXNEXT-10219] updated maximum supported PostgreSQL version to 18 (mprihodko)
...G...... [ZBXNEXT-7744] added TLS support for Zabbix agent 2 Redis plugin (opucka)

Bug fixes:
.......PS. [ZBX-27113] improved performance and memory usage by not storing item unsupported error in configuration cache (vso)
........S. [ZBX-27111] fixed new timer being allocated each time trigger value is updated (vso)
.........T [ZBX-26544] added preprocessing step to "Outbound packets discarded" item in FortiGate by SNMP template (aiantsen)
..F....... [ZBX-22157] added Map navigation tree widget problem filtering using "Problem display" and "Show suppressed problems" filters of map settings (dfofanovs)
A......... [ZBX-27059] fixed conditions for "Cannot delete default MFA method" check (dpankins)
.......PS. [ZBX-26818] fixed crash on \"cannot get secrets for path\" error due to missing lock when using shared memory (vso)
..F....... [ZBX-26548] fixed checkbox state for host object lists (gklavins, wczerneha)
.......PS. [ZBX-24504] improved Prometheus to JSON preprocessing step performance when reused with similar parameters in dependent items (wiper)
..F....... [ZBX-26069] implemented re-broadcast behavior for widgets on forced update (ashubin, wczerneha)
..F....... [ZBX-25743] fixed broken item selection list in Firefox (gklavins, wczerneha)
..F....... [ZBX-27055] fixed multiple confirmation requests when a popup was opened from another popup (averza)
...G...PS. [ZBX-25148] added adjustments for sequential data entries with the same timestamp (askolmeisters)
..F....... [ZBX-26501] changed the query responsible for retrieving macros from host, template, and host prototype (rgontarski)
..F....... [ZBX-25394] fixed unassigned proxy indication on Queue details page; extended coverage to proxies managed by proxy groups (dpankins)
.......PS. [ZBX-26795] fixed unnecessary setting revision change (askolmeisters)
...G...... [ZBX-25263] fixed Zabbix agent to attempt next refresh of active checks in 60 seconds in case of connection errors (arimdjonoks)
.......PS. [ZBX-26910] fixed Zabbix server compilation on macOS or with custom library paths (vso)
..F....... [ZBX-24046] fixed incorrect error message for ldap_jit_interval field in LDAP settings form (kkuzmina)
..F....... [ZBX-25741] eliminated difference in host group lists via "Select" button and via search typing (wczerneha)
.......PS. [ZBX-26893] fixed delay when executing tasks through Zabbix proxy such as test item, check now, remote command (vso)
........S. [ZBX-26941] fixed duplicate entry error when new value arrive after Zabbix server finished syncing trends (vso)
..F....... [ZBX-26776] fixed ability to change widget in Pie chart widget data set (gberzina)
.........T [ZBX-22625] fixed JavaScript in HPE Synergy by HTTP template (abrosimovs)
...G...... [ZBX-24918] fixed crashes of Zabbix agent 2 for Windows related to PDH perf_counter (opucka)
...G...... [ZBX-26755] fixed problem with Zabbix agent 2 MQTT plugin not establishing connection if first call failed (opucka)
..F....... [ZBX-16162] fixed classic graphs rendering when throttling is used (Sasha)
A......... [ZBX-25038] fixed SCIM error message by adding mention of requested endpoint to it (kkuzmina)
.........T [ZBX-26851] changed macro names in MSSQL templates (sbelakovs)
..F....... [ZBX-26882] fixed incorrect validation error when new dataset is added in Graph widget (gklavins)

--------------------------------------------------------------------------------
Changes for 7.4.3

7.4.3rc1 was released as 7.4.3 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.3rc1

New features:
..F....... [ZBXNEXT-10143] added "Highlight whole row" feature in non-compact mode in Problems (ashubin)
.........T [ZBXNEXT-10106] extended preprocessor throughput monitoring in Zabbix server/proxy health templates (aiantsen)
.........T [ZBXNEXT-9819] added new template Vyatta Virtual Router by SNMP (knaglis)
...G...... [ZBXNEXT-9933] added TNS name support for Zabbix agent 2 Oracle plugin (lsurvilo)
.........T [ZBXNEXT-10107] improved device coverage in Huawei OceanStor Dorado by SNMP template (abrosimovs)
.........T [ZBXNEXT-10123] added Aruba CX 8300s by SNMP template (akotsegubov)
..F....... [ZBXNEXT-10112] added PSK identity pre-fill for Host Wizard (gklavins)
.........T [ZBXNEXT-10152] added new macro for disk discovery type selection in both SMART by Zabbix agent 2 templates (knaglis)
A......... [ZBXNEXT-10027] prepared for removal of TimescaleDB API call deprecated since TimescaleDB 2.18.0 (jfreibergs)
.........T [ZBXNEXT-10017] added Ciena 3906 by SNMP template (akotsegubov)
.........T [ZBXNEXT-9255] updated Meraki templates to handle rate limit on API requests (aiantsen)
...G.J.... [ZBXNEXT-9902] changed timeout range for Zabbix JS and Zabbix get utilities (askolmeisters)
.......PS. [ZBXNEXT-10077] updated maximum supported MariaDB version to 12.0 (mprihodko)

Bug fixes:
..F....... [ZBX-25103] replaced legacy hintbox generation for trigger operational data with current (dpankins)
..F....... [ZBX-25796] fixed confusing error message on item test timeout (isharha)
A......... [ZBX-26419] improved performance of problem and event views by optimizing SQL queries to join only necessary triggers, eliminating redundant post-join filtering (vso)
..F....... [ZBX-26337] removed unnecessary div elements for entries without problems in Item and Host navigator widgets (msnihach)
.......PS. [ZBX-26873] fixed support for SSH item proxy through configurations in SSH configuration file (aetatsu)
...G...... [ZBX-19267] fixed wmi.get items sometimes incorrectly returning "Empty WMI search result" with Zabbix agent 2 (aetatsu)
........S. [ZBX-20207] fixed unexpected interface connection mode change during autoregistration (vso)
....I..... [ZBX-26908] added Zabbix agent compile profile with proper options for Solaris 11 (aetatsu)
..F....... [ZBX-25795] fixed shapes not being displayed on maps (gklavins)
.........T [ZBX-25448] fixed token-based authentication method in FortiGate by HTTP template (egordymov)
...G...... [ZBX-26847] explicitly defined Oracle connection timezone in Zabbix agent 2 (opucka)
..F....... [ZBX-26472] fixed clearing of elements when imported file contains no background image or icon map (rgontarski)
..F....... [ZBX-26611] changed misleading label "Metrics" in Item card widget to "Interval and storage" (rgontarski)
..F....... [ZBX-26644] fixed ability to see info icons for no longer discovered LLD rules in list of host LLD rules (gberzina)
..F....... [ZBX-26694] fixed media type test parameter maxlength (gberzina)
........S. [ZBX-26416] fixed SNMP trap item processing issue after monitored host changes (sboidenko)
........S. [ZBX-26909] fixed crash on HA node recovery after standby with Zabbix proxy (sboidenko)
..F....... [ZBX-20964] removed Problems link in Monitoring hosts page for user who does not have access (msnihach)
........S. [ZBX-26621] added TLS host parameter update in autoregistration mode (vsmelovs)
..F....... [ZBX-26440] fixed inability to update JMX endpoint field in item, item prototype, and LLD forms (kkuzmina)
..F....... [ZBX-25041] improved configuration form validation in Graph and Pie chart widgets when referenced item widget is unavailable (isharha)
..F....... [ZBX-24720] fixed LDAP media type mapping "When active" field trimming (dpankins)
.......PS. [ZBX-26892] fixed VMware Event Collector hangs in case of network errors (MVekslers)
..F....... [ZBX-26212] fixed different types of errors that occurred inconsistently for Tags and Macros fields (msnihach)
.......P.. [ZBX-26732] improved partial configuration sync performance on Zabbix proxy by eliminating inefficient SELECT queries involving large ID lists (vso)
...G...... [ZBX-26920] fixed wrong time in Zabbix agent for Windows (sboidenko)
..F....... [ZBX-25669] added trigger version check after upgrading to newer version (aluchko)
..F....... [ZBX-22786] fixed trends graph line color issue with PHP 8.1 (isharha)
..F....... [ZBX-26044] fixed Honeycomb widget not to display disabled items (rgontarski)
..F....... [ZBX-26347] changed send to input in readonly field and disabled remove button for provisioned user media (rgontarski)
.......PS. [ZBX-26769] improved performance by removing "or" conditions from "in" statements (vso)
..F....... [ZBX-26482] fixed TypeError after deleting datasets in Graph and Pie chart widgets (isharha)
A.F....... [ZBX-26202] fixed inability to create "Execute now" tasks for users of Admin user type (jfreibergs)
..F....... [ZBX-26672] fixed ability to select discovered items, prevent changing host for template graph when editing graph items (gberzina)
A......... [ZBX-24603] fixed MFA TOTP secrets not being deleted when deleting users from MFA-enabled user groups (agriscenko, jfreibergs)
..F.....S. [ZBX-25739] fixed timeleft() function to return 1.7976931348623157E+308 instead of making item unsupported in case of infinite time (arimdjonoks, averza)
........S. [ZBX-26863] fixed duplicate host creation in network discovery with multiple checks for hosts found on several IP addresses when uniqueness criteria is not set to IP address (aetatsu)
..F....... [ZBX-24885] fixed inconsistent tag display and unnecessary ellipsis on Latest data page (msnihach)
..F....... [ZBX-21975] fixed user autologout not removing user SAML authentication data (gcalenko)
.......PS. [ZBX-26682] fixed history_bin table compression status being interpreted as trend compression status (dgoloscapov)
.........T [ZBX-24495] fixed Kubernetes templates after updates in zabbix-helm-chart (egordymov)
.......... [ZBX-26879] removed unused ListenBacklog parameter from Zabbix sender (rtrizna)
..F....... [ZBX-25755] fixed js error when admin opens template group page (wczerneha)
..F....... [ZBX-26525] fixed color override removal, updated JSDoc comments (gklavins)
..F....... [ZBX-26784] fixed inline validation to work without API access (gberzina)
..F....... [ZBX-26463] fixed issues with maximum length when creating group in host/template edit form and host wizard (gberzina)
..F....... [ZBX-26499] fixed link to editing form of master item in items list (averza)
A......... [ZBX-26025] fixed validation error for default input string value in advanced script configuration (kkuzmina)
..F....... [ZBX-25972] optimized Items page performance on hosts with large number of elements (msnihach)
..F....... [ZBX-26691] fixed JavaScript loader (jsLoader) exceeding max length of URL (averza)
..F....... [ZBX-27282] fixed arbitrary file read in OAuth authorization (gcalenko)
..F....... [ZBX-27284] fixed resource usage for image resize (gberzina)

--------------------------------------------------------------------------------
Changes for 7.4.2

7.4.2rc2 was released as 7.4.2 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.2rc2

Bug fixes:
.......PS. [ZBX-26868] fixed crash when adding new SNMP device (vso)

--------------------------------------------------------------------------------
Changes for 7.4.2rc1

New features:
...G...... [ZBXNEXT-9028] added by-id scan parameter to Zabbix agent 2 S.M.A.R.T. disk discovery (esneiders)
.........T [ZBXNEXT-9687] updated filesystem discovery low space trigger override regex in F5 Big-IP by SNMP template (drasikhov)
A......PS. [ZBXNEXT-10056] updated maximum supported MariaDB version to 11.8 (Sasha)
.........T [ZBXNEXT-9972] added AWS Backup Vault by HTTP template (abrosimovs)
.......PS. [ZBXNEXT-9090] improved SNMP agent walk[] and get[] to reload credentials when corresponding SNMPv3 interface is updated (vso)

Bug fixes:
.......PS. [ZBX-26510] fixed timeouts during script execution on Zabbix agent on action operation or manual action by trying passive interface if exists (vso)
..F....... [ZBX-26649] prohibited showing form for creating host group/template group to users without super admin role (msnihach)
........S. [ZBX-26775] fixed crash on data processing from system.localtime item key (sboidenko)
.......PS. [ZBX-24799] fixed timeouts during active mode script execution on Zabbix agent 2 on action operation or manual action if script had no output; fixed timeout by allowing active agent to retrieve scripts in 60 seconds (vso)
A......... [ZBX-25388] prevented displaying of parameter values not involved in import in the response of configuration.importcompare API method (aluchko)
.......PS. [ZBX-25887] returned empty JSON array instead of error if input value for "SNMP walk to JSON" item preprocessing step is empty (MVekslers)
.........T [ZBX-25288] fixed trigger in Elasticsearch Cluster by HTTP template (egordymov)
..F....... [ZBX-26539] fixed raw html in tooltips for additional rules in services (gklavins)
..F....... [ZBX-26743] fixed popup overlay resizing on content change (averza)
.....J.... [ZBX-26220] fixed scheduled report creation with IPv6 address in Zabbix frontend URL (vsmelovs)
...G...... [ZBX-26723] fixed Zabbix Agent active remote command getting timeout applied due to incorrect parsing of JSON (dgoloscapov)
........S. [ZBX-24311] fixed slow trend sync when receiving trends from present and then from past again (vso)
...G...... [ZBX-25872] fixed media_error overflow for S.M.A.R.T. plugin in Zabbix agent 2 (esneiders)
..F....... [ZBX-26030] fixed the visibility of the history and trends fields on discovered items when the option is set to "Do not store" (rgontarski)
..F....... [ZBX-25420] fixed regsub/iregsub returning output if there is no match (gklavins, talbergs)
...G...... [ZBX-26745] fixed Zabbix agent 2 RefreshActiveChecks (sboidenko)
..F....... [ZBX-25668] removed Stamen maps from administration of geomaps (wczerneha)
..F....... [ZBX-26683] fixed sorting of URLs in sysmaps form (gklavins)
.........T [ZBX-25371] updated policy rules in Oracle Cloud by HTTP template documentation (knaglis)
A.F....... [ZBX-26089] added length validation for advanced custom labels in Network map (msnihach)
...G...... [ZBX-25094] added null value checks in tablespaces queries for Oracle Zabbix agent 2 plugin (knaglis)
..F....... [ZBX-24027] fixed broken checks and radio buttons in Network discovery configuration form (ashubin, wczerneha)
..F....... [ZBX-25820] fixed wrong calculations for items bits sending/receiving (aluchko)
.......PS. [ZBX-26730] suppressed duplicated error in log from XML path preprocessing step and added length of XML data to error message (vsmelovs)
..F....... [ZBX-26307] fixed undefined array key 'secret' after user auto logout (aluchko)
..F....... [ZBX-26159] fixed log[] item with 'numeric' type of information unexpected changing to 'log' type (aluchko)
..F....... [ZBX-26378] added 4 module margin to QR code image (talbergs)
A......... [ZBX-26078] fixed filtering by inherited tags with negative operators such as "Does not ..." in the Monitoring -> Hosts section (gcalenko, Sasha)
...G...... [ZBX-22374] added missing privileges for Oracle Zabbix agent 2 plugin (opucka)
..F....... [ZBX-26574] changed error messages for TimescaleDB (rgontarski)
...G...PS. [ZBX-25708] moved include section in *.conf files from the middle to the end (yurii)
........S. [ZBX-16925] fixed housekeeper behavior that blocked history sync and caused deadlocks when deleting events (vso)
.........T [ZBX-25196] fixed an issue with JavaScript in AWS ECS templates (egordymov)
.......... [ZBX-27061] moved OpenSSL directory to system-protected path on build server (yurii)
A.F....... [ZBX-27062] updated LDAP bind password to reset on LDAP host change (aluchko)
..F....... [ZBX-27063] fixed permission check for Problems view refresh (gberzina)

--------------------------------------------------------------------------------
Changes for 7.4.1

7.4.1rc1 was released as 7.4.1 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.1rc1

New features:
........S. [ZBXNEXT-10122] updated maximum supported TimescaleDB version to 2.21 (mprihodko)
.......PS. [ZBXNEXT-10119] improved preprocessing diagnostics by highlighting top item IDs with the longest processing times (vso)
....I...S. [ZBXNEXT-9770] prepared for removal of TimescaleDB API calls deprecated since TimescaleDB 2.18.0 (mprihodko)
.........T [ZBXNEXT-9959] added Cisco Secure Firewall Threat Defense by HTTP template (egordymov)
.........T [ZBXNEXT-9926] added a new self-test item and improved self-test trigger for both SMART by Zabbix agent 2 templates (knaglis)
........S. [ZBXNEXT-10018] updated maximum supported TimescaleDB version to 2.20 (mprihodko)
.........T [ZBXNEXT-9674] added AssumeRole usage with metadata authentication for AWS templates (egordymov)
.......PS. [ZBXNEXT-9931] added top items sorted by received values number and size to diaginfo preprocessing section (asestakovs)

Bug fixes:
...G...... [ZBX-26697] fixed memory error in sender when trying to read invalid response (dgoloscapov)
..F....... [ZBX-26717] fixed undefined index on agent installation step in Host Wizard (vmurzins)
........S. [ZBX-26645] fixed lost resource handling in LLD prototype discovery (wiper)
.......PS. [ZBX-26693] fixed item values without preprocessing to skip preprocessing manager (vso)
..F....... [ZBX-26680] fixed space character escaping in agent installation script in Host Wizard (vmurzins)
..F....... [ZBX-26625] fixed server status verification logic in system information and footer warning message (vmurzins)
..F....... [ZBX-26614] fixed Host Wizard template selection step for Safari (ashubin)
..F....... [ZBX-26374] added updates for displaying the relevant monitoring data or "no permissions" notification for the Classic Graph widget (msnihach)
A......... [ZBX-26651] fixed LLD rules getting recreated during import (jfreibergs)
........S. [ZBX-26661] fixed deadlock on autoreg_host table (vso)
..F....... [ZBX-26675] fixed validation for proxy field on discovered host (vmurzins)
..F....... [ZBX-26247] added rounding for Y axis min/max value (msnihach)
.......PS. [ZBX-26524] fixed threads to terminate gracefully when child process exits unexpectedly to avoid deadlocks (vso)
A......... [ZBX-26439] prevented data integrity loss caused by simultaneous API change request execution (vmaksimovs)
...G...PS. [ZBX-26082] fixed agent2 and proxy redirection bug related to incorrect IPv6 string format (vsmelovs)
........S. [ZBX-26486] fixed errors in Zabbix server log on second and subsequent server starts with TimescaleDB (mprihodko)
..F....... [ZBX-25958] fixed incorrect dependency hosts format in trigger form (esekace)
.......PS. [ZBX-25545] fixed host interface duplication in autoregistration mode (vsmelovs)
A......... [ZBX-26436] prevented redundant row locks in the database when deleting hosts in parallel API requests (vmaksimovs)
.......PS. [ZBX-26528] fixed improper handling of long or corrupted ODBC error messages (dgoloscapov)
........S. [ZBX-26495] added parameter support for database down script media type (askolmeisters)
.........T [ZBX-25313] added boot time item to VMware Guest template (akotsegubov)
........S. [ZBX-26370] fixed HA node recovery after standby, free id cache (sboidenko)
........S. [ZBX-25859] fixed connection reuse for Elasticsearch (rtrizna)
........S. [ZBX-26591] fixed detection of read-only state in PostgreSQL replicated database (sboidenko)
.........T [ZBX-26230] added missing namespace filter to Prometheus preprocessing of pod metrics in Kubernetes cluster state by HTTP template (drasikhov)
.........T [ZBX-24674] updated filesystem discovery low space trigger prototype override in F5 Big-IP by SNMP template (drasikhov)
.........T [ZBX-26444] fixed swap utilization trigger recovery expression in F5 Big-IP by SNMP template (drasikhov)
...G...... [ZBX-22770] added self_test_in_progress tag for Zabbix agent 2 S.M.A.R.T plugin (lsurvilo)
.........T [ZBX-23216] added application token support in GLPi media type, updated documentation; removed Zammad mentions from non-related media types (drasikhov)
.........T [ZBX-26484] fixed event tags verification in Telegram media type to be checked only for supported event sources (drasikhov)
.........T [ZBX-22022] removed client certificate expiration histogram metrics from Kubernetes API server by HTTP template (drasikhov)
..F....... [ZBX-21955] fixed display of mapped numerical values in Latest data of multiple items (wczerneha)
.........T [ZBX-25975] fixed incorrect OID in CPU temperature LLD rule in MikroTik templates (drasikhov)
.......PS. [ZBX-26294] improved logic of SNMP cache cleanup (dgoloscapov)
...G...... [ZBX-26477] fixed vfs.dir.get ignoring entries with 0 unixtime and fixed vfs.file.get having null values for time fields in this case (dgoloscapov)
...G...... [ZBX-26209] fixed remote command output routing from Stderr to Stdout in Zabbix agent 2 (opucka)
.........T [ZBX-25104] converted SNMP templates to get[OID] method of polling of single OIDs; converted dynamic indexes items to walk[OID] method; converted TrueNAS, pfSense and OPNsense templates to walk[OID] method (drasikhov)
..F....... [ZBX-25956] removed excess suggestions from item copy target list (talbergs)
........S. [ZBX-26410] fixed split brain HA nodes after system pause (sboidenko)
..F....... [ZBX-25952] fixed inconsistent duo 'client secret' field validation (aluchko)
.........T [ZBX-26666] fixed links to Helm repository branch in README.md (egordymov)
..F....... [ZBX-21087] fixed not all aggregation functions working with foreach functions (aluchko)
..F....... [ZBX-26273] fixed inability to use LLD macro as update interval of item prototype (aluchko)
.......PS. [ZBX-26571] added support of source IP for libssh-based items (MVekslers)
A......... [ZBX-26191] fixed inconsistent API and frontend validation for maintenance period 'every' and 'period' fields (aluchko)
...G...... [ZBX-26446] fixed Zabbix agent 2 S.M.A.R.T plugin failing on non fatal exit status codes (esneiders)
..F....... [ZBX-26422] added missing translation string for "Tags" label in "Tags" tab in configuration forms (solonkins)
.........T [ZBX-26567] added new inventory items to the Cisco Meraki device by HTTP template (aiantsen)
.........T [ZBX-26604] fixed JavaScript in AWS Cost Explorer by HTTP template due to syntax changes in GetCostAndUsage API request (egordymov)
..F....... [ZBX-26481] fixed parameter trimming in item preprocessing steps (apoga)
..F....... [ZBX-26249] added the correct message for the Top items and Top triggers widgets when there are no data (msnihach)
..F....... [ZBX-26300] fixed showing previous element edit form when right-clicking on another map element (msnihach)
.......P.. [ZBX-25499] fixed vault secrets resolution on Zabbix proxy (sboidenko)
.......PS. [ZBX-26529] fixed memory leak when global variables are used in JavaScript preprocessing (vso)
..F....... [ZBX-26516] fixed incorrect page loading when clicking on linked template from Graph prototype page (isharha)
...G...... [ZBX-26143] fixed duplicated address issue after redirection and disabled history upload on Agent connection failure until the connection is re-established (sboidenko)
.......PS. [ZBX-26589] fixed DNS queries being performed for IP address when not recent c-ares library is used (vso)
.......PS. [ZBX-26426] fixed preprocessing to flush values for an item in the same order they were sent to preprocessing (wiper)
..F....... [ZBX-24047] fixed value mapping update error when mapping name contains quotes (isharha)
..F....... [ZBX-26123] added hostid parameter validation in web scenario configuration form (msnihach)
..F....... [ZBX-26454] set a readonly property for the "Allowed Hosts" input for discovered items (msnihach)
..F....... [ZBX-25913] fixed Gauge widget description not updating on refresh (apoga)
.......PS. [ZBX-26537] fixed memory over-allocation in preprocessing manager (vso)
..F....... [ZBX-26518] fixed visual artifacts on webkit-based browsers when scrolling the page while editing a widget (averza)
........S. [ZBX-25413] fixed race condition that could lead to user macro changes not be synced with Zabbix proxy (vso)
...G...... [ZBX-26187] fixed response to wmi.getall from Zabbix agent 2 does not return array-type values (mprihodko)
A......... [ZBX-27060] fixed scope of information available via user.get (jfreibergs)

--------------------------------------------------------------------------------
Changes for 7.4.0

7.4.0rc2 was released as 7.4.0 without any changes

--------------------------------------------------------------------------------
Changes for 7.4.0rc2

Bug fixes:
..F....... [ZBX-26564] fixed rare case when modified widget configuration is not applied (averza)
..F....... [ZBX-26527] fixed access to server status information for users of non-super admin roles (talbergs)
..F....... [ZBX-26517] disabled discovered item prototype's popup menu entries for creating trigger or dependent item prototype (wczerneha)
..F....... [ZBX-26523] added support for mass update of trigger prototypes with LLD rule prototype as parent (wczerneha)
..F....... [ZBX-26512] removed unnecessary button from the discovery prototype form (wczerneha)
..F....... [ZBX-26530] fixed notices when accessing prototype pages while not logged in (jfreibergs)

--------------------------------------------------------------------------------
Changes for 7.4.0rc1

New features:
..F....PS. [ZBXNEXT-8698] added support for TLS connection from web interface to Zabbix server (rgontarski, sboidenko)
..F....... [ZBXNEXT-9990] removed preview from SVG graph widget (dfofanovs)
A.F.I....T [ZBXNEXT-9827] implemented Host Wizard (abakaldin, ashubin, esekace, Ivo, vmurzins)
A.F....PS. [ZBXNEXT-1527] implemented support for cascaded (nested) low-level discovery workflows (dfofanovs, dgoloscapov, dpankins, jfreibergs, solonkins, vmaksimovs, vso, wczerneha, wiper)
.........T [ZBXNEXT-9942] added preprocessor throughput to Zabbix server health templates (aiantsen)
A.F....... [ZBXNEXT-7410] implemented inline form validation for host, item, template, trigger forms (ashubin, esekace, miks, talbergs, vmurzins)
.........T [ZBXNEXT-9989] added supergroup topics support to Telegram media type, updated documentation (drasikhov)
.........T [ZBXNEXT-9784] added support of multiple websites in Website certificate by Zabbix agent 2 template (abakaldin)
A.F....PS. [ZBXNEXT-9805] added OAuth support for email media type (askolmeisters, gcalenko)
..F....... [ZBXNEXT-8919] implemented new color picker in Graph and Pie chart widgets, added palette feature (apoga)

Bug fixes:
A.F....... [ZBX-23167] fixed issues with host dashboards not displaying widgets from inaccessible templates; added hostdashboard object API; changed permission check when requesting non-editable template dashboards based on access to template dashboards themselves instead of their host access rights (jfreibergs, vmaksimovs)
...G.....T [ZBX-25944] replaced container name with container ID where used in queries and items for both Oracle templates and Oracle Zabbix agent 2 plugin (knaglis)
.......P.. [ZBX-26469] fixed Zabbix proxy crash in discovery manager process (Andris, MVekslers)
..F....... [ZBX-26131] disabled the menu item "Create trigger prototype" for item prototypes with binary data type (msnihach)
.......PS. [ZBX-26116] fixed overload in history cache by vmware.eventlog item (MVekslers)
..F....... [ZBX-26473] fixed map element not setting correct icons for "Problem", "Maintenance" and "Disabled" dropdowns (Ivo)
........S. [ZBX-26478] fixed Zabbix server crash when shutting down DB and sending alert using script media type with no parameters (askolmeisters)
...G...... [ZBX-26344] refactored zbxcmd execute to avoid windows syscalls in Zabbix agent 2 (esneiders)
.......PS. [ZBX-26433] fixed values outside of history storage period causing trigger to cache all values in storage period (vso)
.......PS. [ZBX-25175] increased retry to 5 for asynchronous SNMP pollers to avoid failure if one of packets is lost (vso)
.......PS. [ZBX-25968] added configuration validation of DBPort and DBSocket (rtrizna)
..F....... [ZBX-26092] fixed Office 365 relay media type domain formatting to replace all dash symbols with dot (msnihach)
.......PS. [ZBX-26423] changed log level on default value usage messages in settings (askolmeisters)
.......PS. [ZBX-26387] fixed newline being truncated in SNMP "get[" check (dgoloscapov)
A.F....... [ZBX-26372] fixed long-running TimescaleDB queries when requesting historical data (gcalenko, Sasha)
.......PS. [ZBX-26339] fixed user macro resolving order in templates so that in case of conflict import order of templates takes precedence over the linking order (askolmeisters)
.........T [ZBX-18703] removed preprocessing step for mounted fs discovery in VMware Guest template (akotsegubov)
..F....... [ZBX-26398] fixed multiselect name attribute in widget fields and map referrer update when map is not available to the user (dfofanovs)
..F....... [ZBX-25713] fixed the map navigation tree widget selection issue (wczerneha)
...G...... [ZBX-26244] fixed Zabbix agent 2 memory leak related to traffic compression (MVekslers)
.......P.. [ZBX-26428] fixed Zabbix proxy sync error on global macros update (sboidenko)
...G...... [ZBX-26114] improved Zabbix agent 2 accept rate on high RTT (sjurgensons)
...G...... [ZBX-25526] made Zabbix agent 2 proc.num, proc.cpu.util, proc.get and proc.mem items behave consistently with Zabbix agent when non-existing user is specified (arimdjonoks)
.........T [ZBX-26369] added ticket type parameter to OTRS CE media type, updated documentation, added missing web service file (drasikhov)
.........T [ZBX-25684] updated regex in Asterisk by HTTP template to work with enabled maxcalls option (drasikhov)
.......PS. [ZBX-26297] improved server warning log message for out of order value identifier detection between Zabbix server and Zabbix proxy (rtrizna)
.........T [ZBX-25538] updated uptime triggers in templates (drasikhov)
..F....... [ZBX-26113] updated the link to Latest data in the item configuration form (msnihach)
..F....... [ZBX-26296] removed monospace font style from description field (msnihach)
..F....... [ZBX-26377] added the "parent_discoveryid" argument into paging data (msnihach)
........S. [ZBX-26256] fixed scheduled report not being created when start date is set in the future and beyond the current cycle (askolmeisters)
..F....... [ZBX-26064] enabled the "Remove" link for LDAP users manually added media (rgontarski)
.......PS. [ZBX-26313] fixed SNMP preprocessing causing item to be unsupported when encountering wrong type (dgoloscapov)
..F....... [ZBX-26263] fixed field focus on label click (msnihach)
.......PS. [ZBX-25984] improved handling of NoSuchObject and NoSuchInstance responses in SNMP checks (dgoloscapov)
........S. [ZBX-26259] fixed issue of event created from trigger prototypes missing tags inherited from templates (arimdjonoks)
.......PS. [ZBX-26319] fixed timeout in remote script execution to use TrapperTimeout instead of 60 s (askolmeisters)
.......P.. [ZBX-26270] fixed database sync error after removing interface used by item (sboidenko)
.......PS. [ZBX-25402] fixed numbered user macro parsing in macro function (askolmeisters)

--------------------------------------------------------------------------------
Changes for 7.4.0beta2

New features:
.........T [ZBXNEXT-9909] added Azure Backup Jobs by HTTP template (abrosimovs)
..F....... [ZBXNEXT-9319] implemented dynamic widget editor (averza)
........S. [ZBXNEXT-9905] updated max supported TimescaleDB version to 2.19 (mprihodko)
........S. [ZBXNEXT-9927] implemented masking of secret user macros that are explicitly used (mprihodko)
.......PS. [ZBXNEXT-9813] added vm/hv UUID filter for vmware.datastore.discovery item (MVekslers)
.........T [ZBXNEXT-9937] updated PostgreSQL templates to support versions 17 and above (drasikhov)
..F.I..... [ZBXNEXT-9087] implemented Item card widget (dfofanovs)
..F.I..PS. [ZBXNEXT-9910] changed default user session storage period from 365d to 31d (aluchko, askolmeisters)
A.F.....S. [ZBXNEXT-7527] added support of host prototypes on discovered hosts (wczerneha, wiper)
A.F.I..... [ZBXNEXT-875] implemented map element stacking order control (Ivo)
.......PS. [ZBXNEXT-5968] increased configuration max cache sizes for HistoryCacheSize, HistoryIndexCacheSize, TrendCacheSize (rtrizna)
.......PS. [ZBXNEXT-9877] added zabbix[preprocessing] internal item (asestakovs)
.........T [ZBXNEXT-9646] added Juniper MX by NETCONF template (egordymov)

Bug fixes:
.........T [ZBX-26050] updated dashboards in Zabbix server/proxy health templates (aiantsen)
....I..... [ZBX-26357] fixed version parsing in libssh2 library detection (askolmeisters)
..F....... [ZBX-26390] updated templated dashboard help icon link (Sasha)
..F....... [ZBX-25691] fixed the Problems by severity widget to display all existing problems (wczerneha)
.........T [ZBX-25931] updated LLD filters in Systemd by Zabbix agent 2 template (drasikhov)
.........T [ZBX-26292] fixed typo in script items for family of Nutanix templates (akotsegubov)
........S. [ZBX-24341] fixed {HOST.CONN}, {HOST.DNS}, {HOST.IP}, and {HOST.PORT} macros to be properly resolved in HTTP agent item fields (asestakovs)
..F....... [ZBX-23996] fixed errors in Item value widget when change indicator was displayed without value (dfofanovs)
.......PS. [ZBX-26178] fixed logging noise when vault path does not exist (mprihodko)
..F....... [ZBX-26120] fixed data loss warning on opening trigger form after closing mass update pop-up (isharha)
..F....... [ZBX-26198] filtered out items that do not affect interface availability status (dfofanovs)
.........T [ZBX-26335] fixed trigger expression in Azure SQL Managed Instance by HTTP template (abrosimovs)
........S. [ZBX-26235] fixed Zabbix server crash caused by audit when autoregistration deletes host tags (arimdjonoks)
........S. [ZBX-26298] fixed expansions of all further user macros after undefined user macro (sboidenko)
..F....... [ZBX-26277] fixed disabled media types being displayed in black (aluchko)
.......PS. [ZBX-18703] fixed incorrect values returned by vmware.vm.vfs.fs.size item (MVekslers)
..F....... [ZBX-26293] fixed permission issue opening trigger configuration form from context menu (gcalenko)
...G....S. [ZBX-24850] fixed rejected incoming connection from link-local addresses on Windows (mprihodko)
...G...... [ZBX-25210] added Server parameter configuration validation for Zabbix agent 2 (arimdjonoks)
..F....... [ZBX-26275] fixed new item preprocessing steps being saved with "Custom on fail" enabled (agriscenko)
...G...... [ZBX-25521] ListenPort value won't be included in /status endpoint report if passive mode is off in Zabbix agent 2 (lsurvilo)
.......PS. [ZBX-23085] fixed vmware.datastore.perfcounter and vmware.cl.perfcounter items for custom instances (MVekslers)
........S. [ZBX-26056] fixed undefined behavior when linking template with LLD macro (rtrizna)
A......... [ZBX-24383] fixed PHP fatal error when importing configuration from Zabbix 2.0 (Sasha)
...G...... [ZBX-24969] fixed vfs.file.regmatch item in Zabbix agent 2 to stop searching after first match (askolmeisters)
.........T [ZBX-24388] fixed trigger expression in Check Point Next Generation Firewall by SNMP template (aiantsen)
........S. [ZBX-25495] reverted escalator query fix for Oracle to optimise MySQL query; removed redundant "distinct" from original query (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.4.0beta1

New features:
........S. [ZBXNEXT-9718] added additional log message to assist in finding which item causes exhaustion of value cache (dgoloscapov)
..F....... [ZBXNEXT-9850] moved graphs and graph prototypes to MVC model and refactored edit forms to modal windows (esekace)
.........T [ZBXNEXT-9782] added Pure Storage FlashArray by HTTP templates for REST API v1 and v2 (aiantsen)
A.F....... [ZBXNEXT-2122] added new user role actions to control access to create and edit own and other user media (agriscenko)
A.F.I..... [ZBXNEXT-8784] added ability to show map element and link labels only on hover, scale map background image proportionally, and set item thresholds and highlights for map links (agriscenko, dfofanovs, dgoloscapov)
.........T [ZBXNEXT-9271] added Azure MSSQL DTU database by HTTP template (abrosimovs)
..F....... [ZBXNEXT-9029] added button for copying values to clipboard in item test form (esekace)
...G...... [ZBXNEXT-8388] added normalized_value tag extracted from ata_smart_attributes for Zabbix agent 2 SMART plugin (lsurvilo)
.........T [ZBXNEXT-9703] updated existing Zabbix server/proxy health templates; added Zabbix server/proxy health templates by Zabbix agent passive/active (aiantsen)
.......PS. [ZBXNEXT-9762] added more detailed statistics to history syncer process title (wiper)
...GI..PS. [ZBXNEXT-9338] dropped legacy libpcre support (jxl)
.........T [ZBXNEXT-9809] added refactored webhooks (abiba, aiantsen, drasikhov, egordymov, knaglis)
A.F.I..PS. [ZBXNEXT-7048] converted settings table to key-value format (askolmeisters, jfreibergs, vmaksimovs)

Bug fixes:
.......PS. [ZBX-26197] fixed max repetition count not being inherited by host created by LLD (dgoloscapov)
.........T [ZBX-26074] fixed authentication settings in README.md (egordymov)
..F....... [ZBX-25603] fixed "Tag for matching" field visibility when "OK event generation" is set to "None" in trigger and trigger prototype configuration forms (esekace)
..F....... [ZBX-25928] fixed error handling for invalid parameters in item and trigger popup URLs (esekace)
..F....... [ZBX-25683] fixed Ctrl+Arrow shortcuts not working in preprocessing form (isharha)
...G...PS. [ZBX-26080] fixed old file descriptors being held when external log rotation is used (dgoloscapov)
..F....... [ZBX-25849] fixed first scale value appearance for Graph widget right Y-axis (isharha)
.......PS. [ZBX-25146] removed concurrency when using net-snmp library for network discovery (MVekslers)
...G...... [ZBX-26121] added default flags to net.dns.get arguments when none are specified (arimdjonoks)
..F....... [ZBX-22654] fixed item units not resolving when value mapping is applied (isharha)
.........T [ZBX-25975] optimized temperature sensors discovery in MikroTik templates (drasikhov)
.........T [ZBX-26026] updated "get last backup" query in MSSQL by ODBC template (akotsegubov)
.........T [ZBX-26208] fixed buffer pool efficiency formula for family of MySQL templates (akotsegubov)
..F....... [ZBX-26093] fixed Geomap widget displaced host popup (isharha)
..F....... [ZBX-26061] fixed vertical text rotation for Chinese, Korean, and Japanese languages (dfofanovs)
........S. [ZBX-25306] updated Zabbix web service chromdp and cdproto dependency (esneiders)
..F....... [ZBX-25749] removed theming from QR code (talbergs)
.........T [ZBX-23750] updated documentation for SMART by Zabbix agent 2 templates (drasikhov)
.D........ [ZBX-25612] updated documentation for both Oracle DB templates and Oracle DB Zabbix agent 2 plugin (knaglis)
.........T [ZBX-25439] added note about replication privilege requirements for MariaDB in MySQL templates (drasikhov)
...G...... [ZBX-21876] corrected getPluginCapacity to avoid false warnings when default capacity exceeds maximum capacity (sjurgensons)
.......PS. [ZBX-26211] fixed crash on check for not supported value (vso)
...G...... [ZBX-26055] fixed fail to refresh active checks when next refresh was faster than 60 seconds (sboidenko)
...G...... [ZBX-22900] fixed Zabbix agent crash on Windows while executing runaway regular expression (mprihodko)
.......PS. [ZBX-26042] fixed agent redirection if host encryption settings are wrong (sboidenko)
........S. [ZBX-26038] added 10-second reconnect timeout for PostgreSQL read-only database (sboidenko)
A.F....... [ZBX-26009] prevented reporting successful completion for several UI actions when database transaction commit fails; fixed inability to identify interruption of database connection when calling *.get API methods (vmaksimovs)
..F....... [ZBX-25717] fixed tag inheritance for discovered triggers (esekace)
.......PS. [ZBX-26006] made PSK comparison case-insensitive during autoregistration (arimdjonoks)
..F....... [ZBX-24714] fixed "Custom on fail" layout in item preprocessing form being broken in some languages (agriscenko)
.........T [ZBX-25940] added namespace to Pod discovery rule in Kubernetes nodes by HTTP template (egordymov)
...G...... [ZBX-25436] updated Zabbix agent 2 server description in configuration file (esneiders)
..F....... [ZBX-25946] fixed special pattern removing from multiselect and pattern select fields (esekace)
.........T [ZBX-25855] fixed CPU item in Ubiquiti AirOS by SNMP template (abrosimovs)
..F....... [ZBX-25837] fixed global notification sound playback duration (esekace)
..F....... [ZBX-25886] fixed wildard pattern in Top items widget (talbergs)
........S. [ZBX-22617] enhanced Zabbix server performance by implementing parallel syncing of trends and avoiding range queries, resulting in faster shutdown times (vso)
........S. [ZBX-25706] updated macro substitution process to re-try resolving macros in item key parameters and macro context without double-quoting if quoting was not possible (asestakovs)
...G...... [ZBX-25798] fixed error with converting empty string to utf8 (MVekslers)
........S. [ZBX-25365] fixed map element deletion during LLD and action operation processing by Zabbix server (asestakovs)
.......PS. [ZBX-25861] changed version checking of SSH2 library; increased minimum version to 1.8.0 (askolmeisters)
........S. [ZBX-25907] fixed auto registration with proxy group to specific proxy in same proxy group (wiper)
.......PS. [ZBX-25860] prevented 06050165 upgrade patch from saving oversized escaped function parameters (arimdjonoks)
....I..... [ZBX-26108] fixed Zabbix agent build on Windows with PCRE2 installed with vcpkg (mprihodko)
..F....... [ZBX-25678] fixed inability to select multiple tag values in graph subfilter (esekace)
........S. [ZBX-25651] improved trend update performance on TimescaleDB by using upserts instead of updates (vso)
........S. [ZBX-25419] fixed macro expansion when simple context macro begins with substring ":regex" (mprihodko)
..F....... [ZBX-25607] fixed column width in multiple list pages (esekace)
.........T [ZBX-26029] added device retrieval loop error exception handling to Meraki template (abiba)
........S. [ZBX-26066] fixed autoreg_host table overflow during autoregistration (sboidenko)
........S. [ZBX-25731] fixed host interface going to unknown state when switching proxies due to proxy HA (dgoloscapov)
.........T [ZBX-26016] fixed network device and mounted fs LLD rules in VMware Guest template; updated datastore item prototypes for family of VMware templates (akotsegubov)
.......PS. [ZBX-26014] added c-ares support for agent poller and snmp poller (vso)
A......... [ZBX-25670] restored audit logging of host group links to hosts (jfreibergs)
..F....... [ZBX-25911] fixed correlation form popup opening on Event details page (rgontarski)
.........T [ZBX-26070] fixed macro in HashiCorp Consul Cluster by HTTP template (abrosimovs)
....I..... [ZBX-25868] fixed missing permissions for built-in templates (asestakovs)
..F....... [ZBX-25744] fixed column width in Top hosts widget sparkline chart when configured with a single column (isharha)
..F....... [ZBX-22952] made matching of headers case-insensitive (agriscenko)
A...I..... [ZBX-26010] fixed template cloning error caused by invalid enabled_lifetime_type value (asestakovs)
..F....... [ZBX-25582] fixed "approximation all" for Graph widget with multiple entries and same timestamp on single item (dfofanovs)
..F....... [ZBX-23687] added improvements and fixed bugs related to context menus (dfofanovs)
.........T [ZBX-26122] fixed preprocessing step for monthly costs; added triggers for raw data; updated dashboard in Azure Cost Management by HTTP template (egordymov)

--------------------------------------------------------------------------------
Changes for 7.4.0alpha1

New features:
..F....... [ZBXNEXT-9644] moved Media and Frontend notifications sections from Profile page to new Notifications page (rgontarski)
.......PS. [ZBXNEXT-9497] added icmppingretry item key (wiper)
A.F....... [ZBXNEXT-9624] added support for PHP 8.4 (talbergs)
..F.....S. [ZBXNEXT-9603] added new built-in macros and functions for timestamp tracking (esekace, sboidenko)
.......PS. [ZBXNEXT-9719] added history_cache_clear runtime command; improved disabled item to be cleared from history cache immediately; improved history cache message to log items with most values (vso)
..F....... [ZBXNEXT-9626] implemented support of nested host groups problems for map elements of "Host group" and "Map" types (wczerneha)
A.F....PS. [ZBXNEXT-9564] implemented vault macro resolution on proxies (esekace, sboidenko)
........S. [ZBXNEXT-9582] added discarding of queued duplicate LLD rule values based on embedded and LLD macros (wiper)
..F....... [ZBXNEXT-9614] implemented scrolling down to bottom in Item history widget when New values parameter is set to "Bottom" (dfofanovs)
...G...... [ZBXNEXT-9508] added custom query path to MySQL and Oracle plugins for Zabbix agent 2 (esneiders)

--------------------------------------------------------------------------------
Changes for 7.2.15

7.2.15rc2 was released as 7.2.15 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.15rc2

Bug fixes:
.......PS. [ZBX-27307] fixed items not being scheduled if host is re-enabled after restart and macro is used in update interval (vso)

--------------------------------------------------------------------------------
Changes for 7.2.15rc1

New features:
A.......S. [ZBXNEXT-10289] updated maximum supported TimescaleDB version to 2.23 (mprihodko)
A......PS. [ZBXNEXT-10306] updated maximum supported MySQL version to 9.5 (mprihodko)

Bug fixes:
..F....... [ZBX-27154] fixed rare occasion of infinite loop in graph scale generation (averza)
...G...... [ZBX-26111] fixed JSON output for vfs.dev.discovery DEVTYPE field (rtrizna)
..F....... [ZBX-27020] fixed user with limited permissions access to map containing submap with inaccessible host or hostgroup (talbergs)

--------------------------------------------------------------------------------
Changes for 7.2.14

7.2.14rc1 was released as 7.2.14 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.14rc1

New features:
A......PS. [ZBXNEXT-10219] updated maximum supported PostgreSQL version to 18 (mprihodko)
A.......S. [ZBXNEXT-10271] updated maximum supported TimescaleDB version to 2.22 (mprihodko)

--------------------------------------------------------------------------------
Changes for 7.2.13

7.2.13rc1 was released as 7.2.13 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.13rc1

New features:
.......PS. [ZBXNEXT-10077] updated maximum supported MariaDB version to 12.0 (mprihodko)

Bug fixes:
A......... [ZBX-26419] improved performance of problem and event views by optimizing SQL queries to join only necessary triggers, eliminating redundant post-join filtering (vso)
...G...... [ZBX-19267] fixed wmi.get items sometimes incorrectly returning "Empty WMI search result" with Zabbix agent 2 (aetatsu)
........S. [ZBX-26909] fixed crash on HA node recovery after standby with Zabbix proxy (sboidenko)
...G...... [ZBX-26920] fixed wrong time in Zabbix agent for Windows (sboidenko)
..F....... [ZBX-22786] fixed trends graph line color issue with PHP 8.1 (isharha)
.......PS. [ZBX-26682] fixed history_bin table compression status being interpreted as trend compression status (dgoloscapov)
..F....... [ZBX-21975] fixed user autologout not removing user SAML authentication data (gcalenko)
..F....... [ZBX-27284] fixed resource usage for image resize (gberzina)

--------------------------------------------------------------------------------
Changes for 7.2.12

7.2.12rc1 was released as 7.2.12 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.12rc1

New features:
A......PS. [ZBXNEXT-10056] updated maximum supported MariaDB version to 11.8 (Sasha)
........S. [ZBXNEXT-10122] updated maximum supported TimescaleDB version to 2.21 (mprihodko)

Bug fixes:
.......PS. [ZBX-26510] fixed timeouts during script execution on Zabbix agent on action operation or manual action by trying passive interface if exists (vso)
..F....... [ZBX-26649] prohibited showing form for creating host group/template group to users without super admin role (msnihach)
.......PS. [ZBX-24799] fixed timeouts during active mode script execution on Zabbix agent 2 on action operation or manual action if script had no output; fixed timeout by allowing active agent to retrieve scripts in 60 seconds (vso)
........S. [ZBX-26775] fixed crash on data processing from system.localtime item key (sboidenko)
........S. [ZBX-16925] fixed housekeeper behavior that blocked history sync and caused deadlocks when deleting events (vso)
...G...... [ZBX-26745] fixed Zabbix agent 2 RefreshActiveChecks (sboidenko)
..F....... [ZBX-26606] fixed user macros not working in testing dialog (gklavins)
...G...... [ZBX-26697] fixed memory error in sender when trying to read invalid response (dgoloscapov)
........S. [ZBX-26661] fixed deadlock on autoreg_host table (vso)
.......... [ZBX-27061] moved OpenSSL directory to system-protected path on build server (yurii)
A.F....... [ZBX-27062] updated LDAP bind password to reset on LDAP host change (aluchko)
..F....... [ZBX-27063] fixed permission check for Problems view refresh (gberzina)

--------------------------------------------------------------------------------
Changes for 7.2.11

7.2.11rc1 was released as 7.2.11 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.11rc1

New features:
........S. [ZBXNEXT-10018] updated maximum supported TimescaleDB version to 2.20 (mprihodko)

Bug fixes:
...G...PS. [ZBX-26082] fixed agent2 and proxy redirection bug related to incorrect IPv6 string format (vsmelovs)
..F....... [ZBX-25958] fixed incorrect dependency hosts format in trigger form (esekace)
.......PS. [ZBX-26528] fixed improper handling of long or corrupted ODBC error messages (dgoloscapov)
........S. [ZBX-26495] added parameter support for database down script media type (askolmeisters)
........S. [ZBX-26370] fixed HA node recovery after standby, free ID cache (sboidenko)
........S. [ZBX-25859] fixed connection reuse for Elasticsearch (rtrizna)
........S. [ZBX-26591] fixed detection of read-only state in PostgreSQL replicated database (sboidenko)
.......PS. [ZBX-25545] fixed host interface duplication in autoregistration mode (vsmelovs)
..F....... [ZBX-21955] fixed display of mapped numerical values in Latest data of multiple items (wczerneha)
.......PS. [ZBX-26294] improved logic of SNMP cache cleanup (dgoloscapov)
...G...... [ZBX-26477] fixed vfs.dir.get ignoring entries with 0 unixtime and fixed vfs.file.get having null values for time fields in this case (dgoloscapov)
..F....... [ZBX-25956] removed excess suggestions from item copy target list (talbergs)
..F....... [ZBX-25952] fixed inconsistent duo 'client secret' field validation (aluchko)
..F....... [ZBX-26273] fixed inability to use LLD macro as update interval of item prototype (aluchko)
.........T [ZBX-26604] fixed JavaScript in AWS Cost Explorer by HTTP template due to syntax changes in GetCostAndUsage API request (egordymov)
..F....... [ZBX-26481] fixed parameter trimming in item preprocessing steps (apoga)
..F....... [ZBX-26249] added the correct message for the Top items and Top triggers widgets when there are no data (msnihach)
..F....... [ZBX-26300] fixed showing previous element edit form when right clicking on another map element (msnihach)
.......P.. [ZBX-25499] fixed vault secrets resolution on Zabbix proxy (sboidenko)
..F....... [ZBX-25913] fixed Gauge widget description not updating on refresh (apoga)
..F....... [ZBX-24047] fixed value mapping update error when mapping name contains quotes (isharha)
..F....... [ZBX-26454] set a readonly property for the "Allowed Hosts" input for discovered items (msnihach)
........S. [ZBX-25413] fixed race condition that could lead to user macro changes not be synced with Zabbix proxy (vso)
A......... [ZBX-27060] fixed scope of information available via user.get (jfreibergs)

--------------------------------------------------------------------------------
Changes for 7.2.10

Bug fixes:
.......PS. [ZBX-26589] fixed DNS queries being performed for IP addresses when using older c-ares library (vso)
.......PS. [ZBX-26610] fixed some tasks being stuck in preprocessing queue (wiper)

--------------------------------------------------------------------------------
Changes for 7.2.9

Bug fixes:
.......PS. [ZBX-26588] fixed finished tasks queue size tracking which caused high cpu utilization by preprocessing manager (wiper)

--------------------------------------------------------------------------------
Changes for 7.2.8

7.2.8rc1 was released as 7.2.8 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.8rc1

New features:
.......PS. [ZBXNEXT-9931] added top items sorted by received values number and size to diaginfo preprocessing section (asestakovs)
.........T [ZBXNEXT-9942] added preprocessor throughput to Zabbix server health templates (aiantsen)
.........T [ZBXNEXT-9989] added supergroup topics support to Telegram media type, updated documentation (drasikhov)

Bug fixes:
A......... [ZBX-26988] fixed non-super admin user restriction working incorrectly for hostprototype.get api method (aluchko)
.......PS. [ZBX-26537] fixed memory over-allocation in preprocessing manager (vso)
..F....... [ZBX-26422] added missing translation string for "Tags" label in "Tags" tab in configuration forms (solonkins)
..F....... [ZBX-21087] fixed not all aggregation functions working with foreach functions (aluchko)
A......... [ZBX-26191] fixed inconsistent API and frontend validation for maintenance period 'every' and 'period' fields (aluchko)
A.F....... [ZBX-23167] fixed issues with Host dashboards not displaying widgets from inaccessible templates; added hostdashboard object API (jfreibergs, vmaksimovs)
..F....... [ZBX-26123] added hostid parameter validation in web scenario configuration form (msnihach)
..F....... [ZBX-25420] fixed regsub/iregsub returning output if there is no match (talbergs)
...G...... [ZBX-26446] fixed Zabbix agent 2 S.M.A.R.T plugin failing on non-fatal exit status codes (esneiders)
.......PS. [ZBX-26426] fixed preprocessing to flush values for an item in the same order they were sent to preprocessing (wiper)
.......PS. [ZBX-26529] fixed memory leak when global variables are used in JavaScript preprocessing (vso)
.......P.. [ZBX-26469] fixed Zabbix proxy crash in discovery manager process (Andris, MVekslers)
...G...... [ZBX-26187] fixed response to wmi.getall from Zabbix agent 2 not returning array-type values (mprihodko)
...G.....T [ZBX-25944] replaced container name with container ID where used in queries and items for both Oracle templates and Oracle Zabbix agent 2 plugin (knaglis)
..F....... [ZBX-26131] disabled the menu item "Create trigger prototype" for item prototypes with binary data type (msnihach)
........S. [ZBX-26478] fixed Zabbix server crash when shutting down DB and sending alert using script media type with no parameters (askolmeisters)
.......PS. [ZBX-26116] fixed overload in history cache by vmware.eventlog item (MVekslers)
...G...... [ZBX-26344] refactored zbxcmd execute to avoid windows syscalls in Zabbix agent 2 (esneiders)
.......PS. [ZBX-26433] fixed values outside of history storage period causing trigger to cache all values in storage period (vso)
.......PS. [ZBX-25175] increased retry to 5 for asynchronous SNMP pollers to avoid failure if one of packets is lost (vso)
.......PS. [ZBX-25968] added configuration validation of DBPort and DBSocket (rtrizna)
..F....... [ZBX-26092] fixed Office 365 relay media type domain formatting to replace all dash symbols with dot (msnihach)
.......PS. [ZBX-26313] fixed SNMP preprocessing causing item to be unsupported when encountering wrong type (dgoloscapov)
.......PS. [ZBX-26387] fixed newline being truncated in SNMP "get[" check (dgoloscapov)
A.F....... [ZBX-26372] fixed long-running TimescaleDB queries when requesting historical data (gcalenko, Sasha)
.......PS. [ZBX-26339] fixed user macro resolving order in templates so that in case of conflict import order of templates takes precedence over the linking order (askolmeisters)
.........T [ZBX-18703] removed preprocessing step for mounted fs discovery in VMware Guest template (akotsegubov)
..F....... [ZBX-25713] fixed the map navigation tree widget selection issue (wczerneha)
...G...... [ZBX-26244] fixed Zabbix agent 2 memory leak related to traffic compression (MVekslers)
...G...... [ZBX-26114] improved Zabbix agent 2 accept rate on high RTT (sjurgensons)
...G...... [ZBX-25526] made Zabbix agent 2 proc.num, proc.cpu.util, proc.get and proc.mem items behave consistently with Zabbix agent when non-existing user is specified (arimdjonoks)
.........T [ZBX-26369] added ticket type parameter to OTRS CE media type, updated documentation, added missing web service file (drasikhov)
.......PS. [ZBX-26297] improved server warning log message for out of order value identifier detection between Zabbix server and Zabbix proxy (rtrizna)
.........T [ZBX-25684] updated regex in Asterisk by HTTP template to work with enabled maxcalls option (drasikhov)
.........T [ZBX-25538] updated uptime triggers in templates (drasikhov)
..F....... [ZBX-26263] fixed field focus on label click (msnihach)
..F....... [ZBX-26113] updated the link to Latest data in the item configuration form (msnihach)
..F....... [ZBX-26377] added the "parent_discoveryid" argument into paging data (msnihach)
........S. [ZBX-26256] fixed scheduled report not being created when start date is set in the future and beyond the current cycle (askolmeisters)

--------------------------------------------------------------------------------
Changes for 7.2.7

7.2.7rc1 was released as 7.2.7 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.7rc1

New features:
.........T [ZBXNEXT-9909] added Azure Backup Jobs by HTTP template (abrosimovs)
........S. [ZBXNEXT-9905] updated max supported TimescaleDB version to 2.19 (mprihodko)
........S. [ZBXNEXT-9927] implemented masking of secret user macros that are explicitly used (mprihodko)
.......PS. [ZBXNEXT-9813] added vm/hv UUID filter for vmware.datastore.discovery item (MVekslers)
.........T [ZBXNEXT-9937] updated PostgreSQL templates to support versions 17 and above (drasikhov)

Bug fixes:
........S. [ZBX-26259] fixed issue of event created from trigger prototypes missing tags inherited from templates (arimdjonoks)
.......P.. [ZBX-26270] fixed database sync error after removing interface used by item (sboidenko)
.......PS. [ZBX-26319] fixed timeout in remote script execution to use TrapperTimeout instead of 60 s (askolmeisters)
.......PS. [ZBX-25402] fixed numbered user macro parsing in macro function (askolmeisters)
.........T [ZBX-26050] updated dashboards in Zabbix server/proxy health templates (aiantsen)
..F....... [ZBX-26390] updated templated dashboard help icon link (Sasha)
..F....... [ZBX-25691] fixed the Problems by severity widget to display all existing problems (wczerneha)
.........T [ZBX-25931] updated LLD filters in Systemd by Zabbix agent 2 template (drasikhov)
.........T [ZBX-26292] fixed typo in script items for family of Nutanix templates (akotsegubov)
..F....... [ZBX-23996] fixed errors in Item value widget when change indicator was displayed without value (dfofanovs)
........S. [ZBX-24341] fixed {HOST.CONN}, {HOST.DNS}, {HOST.IP}, and {HOST.PORT} macros to be properly resolved in HTTP agent item fields (asestakovs)
..F....... [ZBX-26120] fixed data loss warning on opening trigger form after closing mass update pop-up (isharha)
..F....... [ZBX-26198] filtered out items that do not affect interface availability status (dfofanovs)
........S. [ZBX-26298] fixed expansions of all further user macros after undefined user macro (sboidenko)
.........T [ZBX-26335] fixed trigger expression in Azure SQL Managed Instance by HTTP template (abrosimovs)
........S. [ZBX-26235] fixed Zabbix server crash caused by audit when autoregistration deletes host tags (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.2.6

7.2.6rc1 was released as 7.2.6 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.6rc1

New features:
.......PS. [ZBXNEXT-9877] added zabbix[preprocessing] internal item (asestakovs)
.........T [ZBXNEXT-9646] added Juniper MX by NETCONF template (egordymov)
........S. [ZBXNEXT-9718] added additional log message to assist in finding which item causes exhaustion of value cache (dgoloscapov)
.........T [ZBXNEXT-9782] added Pure Storage FlashArray by HTTP templates for REST API v1 and v2 (aiantsen)

Bug fixes:
.......PS. [ZBX-18703] fixed incorrect values returned by vmware.vm.vfs.fs.size item (MVekslers)
...G....S. [ZBX-24850] fixed rejected incoming connection from link-local addresses on Windows (mprihodko)
...G...... [ZBX-25210] added Server parameter configuration validation for Zabbix agent 2 (arimdjonoks)
...G...... [ZBX-25521] ListenPort value won't be included in "/status" endpoint report if passive mode is off in Zabbix agent 2 (lsurvilo)
..F....... [ZBX-26275] fixed new item preprocessing steps being saved with "Custom on fail" enabled (agriscenko)
.......PS. [ZBX-23085] fixed vmware.datastore.perfcounter and vmware.cl.perfcounter items for custom instances (MVekslers)
........S. [ZBX-26056] fixed undefined behavior when linking template with LLD macro (rtrizna)
A......... [ZBX-24383] fixed PHP fatal error when importing configuration from Zabbix 2.0 (Sasha)
...G...... [ZBX-24969] fixed vfs.file.regmatch item in Zabbix agent 2 to stop searching after first match (askolmeisters)
.........T [ZBX-24388] fixed trigger expression in Check Point Next Generation Firewall by SNMP template (aiantsen)
........S. [ZBX-25495] reverted escalator query fix for Oracle to optimize MySQL query; removed redundant "distinct" from original query (arimdjonoks)
.......PS. [ZBX-26197] fixed max repetition count not being inherited by host created by LLD (dgoloscapov)
.........T [ZBX-26074] fixed authentication settings in README.md (egordymov)
..F....... [ZBX-25603] fixed "Tag for matching" field visibility when "OK event generation" is set to "None" in trigger and trigger prototype configuration forms (esekace)
..F....... [ZBX-25928] fixed error handling for invalid parameters in item and trigger popup URLs (esekace)
..F....... [ZBX-25683] fixed Ctrl+Arrow shortcuts not working in preprocessing form (isharha)
...G...PS. [ZBX-26080] fixed old file descriptors being held when external log rotation is used (dgoloscapov)
.......PS. [ZBX-25146] removed concurrency when using net-snmp library for network discovery (MVekslers)
...G...... [ZBX-26121] added default flags to net.dns.get arguments when none are specified (arimdjonoks)
..F....... [ZBX-22654] fixed item units not resolving when value mapping is applied (isharha)
.........T [ZBX-25975] optimized temperature sensor discovery in MikroTik templates (drasikhov)
.........T [ZBX-26026] updated "get last backup" query in MSSQL by ODBC template (akotsegubov)
.........T [ZBX-26208] fixed buffer pool efficiency formula for family of MySQL templates (akotsegubov)
..F....... [ZBX-26093] fixed Geomap widget displaced host popup (isharha)
........S. [ZBX-26038] added 10-second reconnect timeout for PostgreSQL read-only database (sboidenko)
..F....... [ZBX-26061] fixed vertical text rotation for Chinese, Korean, and Japanese languages (dfofanovs)
........S. [ZBX-25306] updated Zabbix web service chromdp and cdproto dependency (esneiders)
...G...... [ZBX-26055] fixed failure to refresh active checks when next refresh was faster than 60 seconds (sboidenko)
.......PS. [ZBX-26042] fixed agent redirection if host encryption settings are wrong (sboidenko)
..F....... [ZBX-25749] removed theming from QR code (talbergs)
.........T [ZBX-23750] updated documentation for SMART by Zabbix agent 2 templates (drasikhov)
.D........ [ZBX-25612] updated documentation for both Oracle DB templates and Oracle DB Zabbix agent 2 plugin (knaglis)
.........T [ZBX-25439] added note about replication privilege requirements for MariaDB in MySQL templates (drasikhov)
...G...... [ZBX-21876] corrected getPluginCapacity to avoid false warnings when default capacity exceeds maximum capacity (sjurgensons)
...G...... [ZBX-22900] fixed Zabbix agent crash on Windows while executing runaway regular expression (mprihodko)
.......PS. [ZBX-26006] made PSK comparison case-insensitive during autoregistration (arimdjonoks)
.......... [ZBX-27283] fixed incorrect library paths when building AIX agents (yurii)

--------------------------------------------------------------------------------
Changes for 7.2.5

7.2.5rc2 was released as 7.2.5 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.5rc2

Bug fixes:
.......PS. [ZBX-26211] fixed a crash when checking for not supported value (vso)

--------------------------------------------------------------------------------
Changes for 7.2.5rc1

New features:
.........T [ZBXNEXT-9271] added Azure MSSQL DTU database by HTTP template (abrosimovs)
...G...... [ZBXNEXT-8388] added normalized_value tag extracted from ata_smart_attributes for Smart Zabbix agent 2 plugin (lsurvilo)
.........T [ZBXNEXT-9703] updated existing Zabbix server/proxy health templates; added Zabbix server/proxy health templates by Zabbix agent passive/active (aiantsen)
.........T [ZBXNEXT-9809] added refactored webhooks (abiba, aiantsen, drasikhov, egordymov, knaglis)

Bug fixes:
...G...... [ZBX-26987] added input parameter sanitization to prevent injection vulnerability for Zabbix agent 2 SMART plugin (lsurvilo)
A.F....... [ZBX-26009] prevented reporting successful completion for several UI actions when database transaction commit fails; fixed inability to identify interruption of database connection when calling *.get API methods (vmaksimovs)
..F....... [ZBX-25717] fixed tag inheritance for discovered triggers (esekace)
..F....... [ZBX-24714] fixed broken custom on fail layout in item preprocessing form in some languages (agriscenko)
.........T [ZBX-25940] added namespace to Pod discovery rule in Kubernetes nodes by HTTP template (egordymov)
...G...... [ZBX-25436] updated Zabbix agent 2 server configuration description in config (esneiders)
..F....... [ZBX-25946] fixed special pattern removal from multiselect and pattern select fields (esekace)
.........T [ZBX-25855] fixed CPU item in Ubiquiti AirOS by SNMP template (abrosimovs)
..F....... [ZBX-25837] fixed global notification sound playback duration (esekace)
..F....... [ZBX-25886] fixed wildcard pattern in top items widget (talbergs)
........S. [ZBX-22617] enhanced Zabbix server performance by implementing parallel syncing of trends and avoiding range queries, resulting in faster shutdown times (vso)
........S. [ZBX-25365] fixed map element deletion during LLD and action operation processing via Zabbix server (asestakovs)
...G...... [ZBX-25798] fixed error with converting empty string to utf8 (MVekslers)
........S. [ZBX-25706] updated macro substitution process to re-try resolving macros in item key parameters and macro context without double-quoting if quoting was not possible (asestakovs)
........S. [ZBX-25907] fixed autoregistration with proxy group to specific proxy in same proxy group (wiper)
.......PS. [ZBX-25860] prevented 06050165 upgrade patch from saving oversized escaped function parameters (arimdjonoks)
....I..... [ZBX-26108] fixed Zabbix agent build on Windows with PCRE2 installed with vcpkg (mprihodko)
..F....... [ZBX-25678] fixed inability to select multiple tag values in graph subfilter (esekace)
........S. [ZBX-25651] improved trend update performance on TimescaleDB by using upserts instead of updates (vso)
........S. [ZBX-25419] fixed macro expansion when simple context macro begins with substring ":regex" (mprihodko)
..F....... [ZBX-25607] fixed column width in multiple list pages (esekace)
.........T [ZBX-26029] added device retrieval loop error exception handling to Meraki template (abiba)
........S. [ZBX-26066] fixed autoreg_host table overflow during autoregistration (sboidenko)
........S. [ZBX-25731] fixed host interface going to unknown state when switching proxies due to proxy HA (dgoloscapov)
.........T [ZBX-26016] fixed network device and mounted fs LLD rules in VMware Guest template; updated datastore item prototypes for family of VMware templates (akotsegubov)
.......PS. [ZBX-26014] added c-ares support for agent poller and snmp poller (vso)
A......... [ZBX-25670] restored audit logging of host group links to hosts (jfreibergs)
..F....... [ZBX-25911] fixed correlation form popup opening on event details page (rgontarski)
.........T [ZBX-26070] fixed macro in HashiCorp Consul Cluster by HTTP template (abrosimovs)
....I..... [ZBX-25868] fixed missing permissions for built-in templates (asestakovs)
..F....... [ZBX-22952] made header matching case-insensitive (agriscenko)
..F....... [ZBX-25744] fixed column width in top hosts widget sparkline chart when configured with single column (isharha)
A...I..... [ZBX-26010] fixed template cloning error caused by invalid enabled_lifetime_type value (asestakovs)
..F....... [ZBX-25582] fixed approximation "all" for SVG graph widget with multiple entries and same timestamp on single item (dfofanovs)
..F....... [ZBX-23687] added improvements and fixed bugs related to context menus (dfofanovs)
.........T [ZBX-26122] fixed preprocessing step for monthly costs; added triggers for raw data; updated dashboard in Azure Cost Management by HTTP template (egordymov)

--------------------------------------------------------------------------------
Changes for 7.2.4

7.2.4rc1 was released as 7.2.4 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.4rc1

New features:
.........T [ZBXNEXT-9606] added Palo Alto PA-440 by HTTP template (drasikhov)
........S. [ZBXNEXT-9771] updated maximum supported TimescaleDB version to 2.18 (mprihodko)
A.F....... [ZBXNEXT-9624] added support for PHP 8.4 (talbergs)
...G...... [ZBXNEXT-7121] added User parameter to Zabbix agent 2 Redis items (esneiders)
.........T [ZBXNEXT-9460] added service type macros and filter for service units discovery to Systemd by Zabbix agent 2 template (akotsegubov)
.........T [ZBXNEXT-9584] added improvements and fixes to Dell HTTP and SNMP templates (abrosimovs, knaglis)
.........T [ZBXNEXT-9654] added Azure SQL Managed Instance by HTTP template (abrosimovs)
.........T [ZBXNEXT-9545] fixed proofreading findings in Nvidia by Zabbix agent 2 templates (abrosimovs)

Bug fixes:
.......PS. [ZBX-26253] fixed large data transfers being uncompressed without authorization (vso)
A.F.....S. [ZBX-23760] added prevention of deleting host groups, templates, hosts, triggers, services, discovery rules, and discovery checks if they are used in action conditions or operations (agriscenko, dgoloscapov)
A......... [ZBX-26023] restored ability for users to get all alerts within same user group; fixed "provisioned" property type for user Media object (jfreibergs)
A......... [ZBX-18432] fixed inability to view certain problems and events by users with specific permissions on tags when permissions on all tags are given to specific host group (dpankins)
..F....... [ZBX-25233] removed unused interfaces and interfaces with disabled items from host interface overall status calculation (dfofanovs)
...G...... [ZBX-25932] fixed Zabbix sender returning incorrect exit code when having partial success (dgoloscapov)
...G...... [ZBX-25962] fixed incorrect serialization of complex objects leading to crashes in wmi.getall (dgoloscapov)
..F....... [ZBX-24249] fixed labels overflowing in widget configuration forms (apoga)
...G...... [ZBX-21205] added information about JSON in oracle.custom.query response (sjurgensons)
..F....... [ZBX-24740] fixed main menu chevrons (apoga)
...G...... [ZBX-23750] added README to Zabbix agent 2 Smart plugin (sjurgensons)
.......PS. [ZBX-25899] added support of DNS with multiple addresses (vso)
.........T [ZBX-26024] removed event name from configuration change trigger in Redis by Zabbix agent 2 template (drasikhov)
.......PS. [ZBX-25994] fixed value cache filling up if trigger is disabled (vso)
.......PS. [ZBX-25137] improved logs for SNMP poller (vso)
..F....... [ZBX-25768] fixed green dot indicator not displaying in Graph and Pie chart widgets when some fields are modified (isharha)
...G...... [ZBX-25236] corrected MQTT message handler not to block (sjurgensons)
..F....... [ZBX-25939] fixed incorrect tooltip text placement when using Space or Enter key (isharha)
........S. [ZBX-25777] reduced load on history syncers after startup by delaying trigger timer functions calculation by one minute (vso)
..F....... [ZBX-25778] fixed incorrect style of dropdowns in Frontend notifications section (isharha)
..F....... [ZBX-25844] fixed console errors in Graph widgets when rendering data as points (isharha)
...G...... [ZBX-25442] fixed Zabbix agent interpretation of Modbus result data for mixed endianness modes (asestakovs)
..F....... [ZBX-25902] fixed excess column in Top items widget (talbergs)
...G...... [ZBX-25543] fixed crash when global regular expression is updated on Zabbix agent 2 (vso)
..F....... [ZBX-25862] fixed inability to update discovered trigger status (esekace)
..F....... [ZBX-25220] fixed Top hosts widget not loading in case of inaccessible maintenance (dfofanovs)
.......PS. [ZBX-22580] reduced nodata trigger false positives after Zabbix proxy connection disruption (arimdjonoks)
..F....... [ZBX-25539] fixed console error when configuring Top hosts or Item history widget to display the same thumbnail in more than one column (rgontarski)
.........T [ZBX-25458] fixed LLD rule for organization discovery; changed host prototype Host field to avoid special characters (abiba)
........S. [ZBX-25748] fixed DNS refresh on configuration change (sboidenko)
.........T [ZBX-25504] updated quorum and quorum member discoveries for family of MSSQL templates (akotsegubov)
...G...... [ZBX-25530] fixed Zabbix agent 2 startup failures caused by insufficient buffer size for performance counters (asestakovs)
..F....... [ZBX-25120] fixed Map widget flickering on refresh (apoga, averza)
..F....... [ZBX-25579] fixed long word truncation for template, description, and host group sections in Host card widget (dfofanovs)
........S. [ZBX-25244] fixed {PROXY.NAME} and {PROXY.DESCRIPTION} macros to be resolved when proxy group is used (asestakovs)
..F....... [ZBX-25513] fixed value not being cleared in Gauge widget after item data history is cleared (dfofanovs)
..F....... [ZBX-25471] fixed emptying of web scenario Variables and Headers data (wczerneha)
...G...... [ZBX-22522] fixed web.page.get curl header (sboidenko)
.......PS. [ZBX-25704] fixed custom libssh version check in configure script (askolmeisters)
...G...... [ZBX-25382] applied pkgsrc patch to restore builds on NetBSD >= 8.2 (jxl)
..F....... [ZBX-25758] fixed saving of filter state in trigger list (esekace)
..F....... [ZBX-25681] fixed newly added tag field state in maintenance form after changing maintenance type (esekace)
..F....... [ZBX-25511] fixed overriding Y-axes in Graph widget; fixed long names in Graph and Pie Chart widget datasets (averza)
..F....... [ZBX-25666] fixed maintenance status display for submap elements when trigger elements are used (esekace)
.........T [ZBX-25601] fixed HTTP proxy parameter name in Microsoft 365 reports by HTTP template (drasikhov)
..F....... [ZBX-25730] fixed target for URLs in menu pop-up (esekace)

--------------------------------------------------------------------------------
Changes for 7.2.3

7.2.3rc1 was released as 7.2.3 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.3rc1

New features:
...G...... [ZBXNEXT-9686] improved Zabbix agent 2 Smart plugin error handling with missing privileges (esneiders)

Bug fixes:
A......... [ZBX-26255] introduced clamping for mitigation of timing attacks (jfreibergs, vmaksimovs)
A.F....... [ZBX-26258] restricted access to user related fields using user.get, alert.get, role.get API methods for users of User and Admin types (vmaksimovs, wczerneha)
.......PS. [ZBX-25903] fixed usmStatsNotInTimeWindows value being used when received and not handled by Net-SNMP library (vso)
.......PS. [ZBX-25876] fixed escaping in script item parameters (askolmeisters)
..F....... [ZBX-24936] fixed button positioning in button split of multiselect (dfofanovs)
..F....... [ZBX-25467] fixed tabulation in Item history widget, Top hosts widget and latest data last value hintbox (dfofanovs)
..F....... [ZBX-25466] removed title from item mass update preprocessing steps checkbox (dpankins)
..F....... [ZBX-25532] fixed stacked line graph point rendering (dpankins)
..F....... [ZBX-24751] fixed trigger and trigger prototype form event name field height update which spans multiple lines (gcalenko)
..F....... [ZBX-25264] fixed display of log time in Item history widget (dpankins)
..F....... [ZBX-24644] changed history trends compression header text in housekeeping to also include audit (dpankins)
.......PS. [ZBX-25824] fixed SNMP-based discovery rules to prevent potential flooding with requests when a host has flapping availability (dgoloscapov)
A......... [ZBX-24690] fixed YAML generation in compact nested mapping mode (gcalenko)
..F....... [ZBX-25756] removed unused sortable function (talbergs)
...G...... [ZBX-24672] replaced collector interface with runner interface in Zabbix agent 2 perfmon plugin (asestakovs)
...G...... [ZBX-25439] added MariaDB specific info to MySQL plugin README (sjurgensons)
.......PS. [ZBX-25584] fixed high load of VMware collector in case of large number of new events and added history cache overload control (MVekslers)
.......PS. [ZBX-25108] added more verbose logging of SNMP async agent failures, fixed error not being cleared in different edge cases (dgoloscapov, vso)
.......PS. [ZBX-25568] fixed user macros in preprocessing scripts not being resolved to latest values (wiper)
...G...... [ZBX-25443] updated Go version requirement to 1.21 (esneiders)
..F....... [ZBX-25445] fixed regrepl macro function when capturing groups are used (esekace)
.......PS. [ZBX-25672] fixed on-demand configuration sync between Zabbix server and proxy when TimescaleDB is used (mprihodko)
...G...... [ZBX-25460] fixed inconsistent report of free disk space by Zabbix agent 2 in response to vfs.fs.get on Windows (mprihodko)
...G...PS. [ZBX-25723] commented out macros AC_FUNC_MALLOC and AC_FUNC_REALLOC from configure.ac to fix compilation on AIX (Andris)
.......PS. [ZBX-25865] fixed issue causing vmware.hv.network.linkspeed metric failure and resulting in poller becoming unresponsive (MVekslers)
..F....... [ZBX-22979] added focus traps to API Token creation and Event correlation, Scripts, and Services clone popups (rgontarski)
..F....... [ZBX-24652] fixed name filtering for Maps and Discovery rules (wczerneha)
...G...... [ZBX-25725] fixed wmi.getall causing crash in Zabbix agent 2 when result contains a pointer to IDispatch (dgoloscapov)
...G...... [ZBX-25501] fixed scheduled report generation failures when external dashboard resources fail to load (dgoloscapov)
...G...... [ZBX-25502] fixed net.dns.record for Zabbix agent 2 (esneiders)
........S. [ZBX-24549] improved Elasticsearch performance by querying in time intervals and not calling index refresh; added slow query log; fixed queries not working with 8.16.1 (vso)

--------------------------------------------------------------------------------
Changes for 7.2.2

7.2.2rc1 was released as 7.2.2 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.2rc1

Bug fixes:
A......... [ZBX-26257] fixed SQL injection vulnerability when calling "get" methods with "groupBy" parameter (agriscenko)
.......P.. [ZBX-25782] fixed Zabbix proxy failing to create database on RHEL (dgoloscapov)
........S. [ZBX-25797] fixed Zabbix server crash during autoregistration (arimdjonoks)
.......PS. [ZBX-25776] fixed Zabbix server crash when testing some internal items (arimdjonoks)
.......PS. [ZBX-25719] fixed crash during SNMP walk value preprocessing if value contains NULL (vso)
..F....... [ZBX-25374] fixed loading animation for the enable/disable action (wczerneha)
.......PS. [ZBX-25642] enhanced JavaScript preprocessing to execute in parallel when handling multiple values for the same item (vso)
..F....... [ZBX-25259] fixed hintbox positioning (apoga)
..F....... [ZBX-25489] removed action "Remove" from discovered triggers (rgontarski)
..F....... [ZBX-24963] fixed links in graph widgets on host dashboard created by graph prototype (rgontarski)
..F....... [ZBX-24608] fixed "No data" words overlapping in Clock widget (apoga, ddauksa)
..F....... [ZBX-25410] fixed incorrectly displayed password field for public key authentication method in item form (esekace)
..F....... [ZBX-25222] fixed cloning host with a graph that contains an item from another host (gcalenko)
..F....... [ZBX-24616] fixed permissions check for trigger expression constructor (gcalenko)
..F....... [ZBX-25206] removed padding in Geomap widget (apoga)

--------------------------------------------------------------------------------
Changes for 7.2.1

7.2.1rc2 was released as 7.2.1 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.1rc2

Bug fixes:
.......PS. [ZBX-25765] fixed crash when overriding LLD trigger (dgoloscapov)

--------------------------------------------------------------------------------
Changes for 7.2.1rc1

New features:
.........T [ZBXNEXT-9545] added Nvidia by Zabbix agent 2 templates (abrosimovs)
.........T [ZBXNEXT-9572] added Juniper MX by SNMP template (egordymov)
.......PS. [ZBXNEXT-9622] added top.peak in diaginfo to identify items with highest task queue (vso)

Bug fixes:
.......PS. [ZBX-25677] removed failure when encountering mismatched OID in SNMP async poller (dgoloscapov, vso)
....I..PS. [ZBX-25722] fixed Zabbix proxy throwing errors when removing/creating SQLite database (dgoloscapov)
.......PS. [ZBX-25089] fixed auto registration loop with proxy group (sboidenko)
........S. [ZBX-25671] fixed compilation with libevent version below 2.1.6 (sboidenko)
.......PS. [ZBX-25391] fixed error in the log file when retrieving VMware tags from an ESXi host (MVekslers)
.......PS. [ZBX-25517] reduced shared memory usage for item tags by storing links in heap (vso)
A......... [ZBX-25732] fixed inability to make cross-origin requests to API when passing authentication token using Authorization HTTP header; fixed inability to make cross-origin HTTP OPTIONS request to API endpoint (vmaksimovs)
..F....... [ZBX-24895] changed double quotes to single quotes for string in SQL statement (rgontarski)
........S. [ZBX-25363] fixed connector error spam to log (sboidenko)
........S. [ZBX-24970] fixed forgotten places for macro functions support (akozlovs)
.......PS. [ZBX-25515] improved LLD error messages when being unable to create or update an entity (dgoloscapov)
..F....... [ZBX-25010] fixed trigger being displayed in its own dependency list (rgontarski)
....I..... [ZBX-25321] dropped relying on pre-2.x libevent API and headers (jxl)
.......PS. [ZBX-25497] added support for VMware perfCounter measured in gigabytes (MVekslers)
...G...... [ZBX-25267] fixed Zabbix agent 2 refusing PSK connections when using PSK and certs (dgoloscapov)
........S. [ZBX-23103] fixed parsing of JSONPath containing dollar sign (arimdjonoks)
........S. [ZBX-21857] fixed inconsistencies in auditlog between Zabbix server and Zabbix frontend (arimdjonoks)
...G...... [ZBX-25390] fixed vfs.fs.get item for Digital Audio CD disks on Windows (MVekslers)
..F....... [ZBX-25022] fixed copying of master and dependent items to multiple destinations (Ivo)
.......PS. [ZBX-25136] fixed item testing preprocessing not being performed on Zabbix proxy when the item itself is being tested on Zabbix proxy (wiper)
.......PS. [ZBX-25590] fixed failures to convert double to uint64 in preprocessing (dgoloscapov)
..F....... [ZBX-25183] fixed the selected items color of collapsed main menu for high contrast themes (wczerneha)
..F.....S. [ZBX-24916] fixed date/time calculation for numeric (unsigned) item values with unixtime units after the year 2038 (dfofanovs, sboidenko)
.......PS. [ZBX-25596] fixed handling of preprocessing history when value type of an item is changed (dgoloscapov)
..F....... [ZBX-25269] fixed widget iterator readiness (apoga, averza)
A......... [ZBX-25350] prohibited deleting user groups which are used in userdirectory user group mappings (gcalenko)
...G...... [ZBX-25550] fixed crash in Zabbix agent when Zabbix server is restarted in the middle of connection (vso)
.......PS. [ZBX-25548] fixed SNMP agent walk and get keys returning non printable ascii as string if hints are missing (vso)
........S. [ZBX-25551] fixed preprocessing being skipped during history push if host is monitored by Zabbix proxy (vso)
...G...... [ZBX-25377] fixed crash when executing vfs.fs.size or other metrics and forked metric is terminated abnormally (vso)
..F....... [ZBX-25525] fixed parent template changes affecting linked template overrides in trigger and trigger prototype forms (esekace)

--------------------------------------------------------------------------------
Changes for 7.2.0

7.2.0rc3 was released as 7.2.0 without any changes

--------------------------------------------------------------------------------
Changes for 7.2.0rc3

Bug fixes:
........S. [ZBX-25686] fixed an SQL error in network discovery action processing (wiper)
.......P.. [ZBX-25664] fixed nested transactions on Zabbix proxy when using hybrid buffer (dgoloscapov)

--------------------------------------------------------------------------------
Changes for 7.2.0rc2

Bug fixes:
...G...... [ZBX-25562] fixed Zabbix agent build problem on NetBSD due to zbxsysinfo issue (dgoloscapov)
...G...... [ZBX-25043] added config parameter validation in case of an empty value (dgoloscapov)
........S. [ZBX-25604] fixed LLD item prototype removal from graph prototypes (wiper)
.........T [ZBX-24866] added trigger name prefixes (abakaldin)
A.F....... [ZBX-22350] fixed aggregations for datasets in SVG graph widget (agriscenko)

--------------------------------------------------------------------------------
Changes for 7.2.0rc1

New features:
..F....... [ZBXNEXT-9555] implemented host override possibility in datasets of Graph widgets (averza)
..F....... [ZBXNEXT-7689] implemented Top items widget (talbergs)
..F....... [ZBXNEXT-9340] implemented URL links for modal configuration forms (esekace)
...G...PS. [ZBXNEXT-9533] added support of configuration parameters specified by environment variables (asestakovs, mprihodko)
A.......S. [ZBXNEXT-9233] added LLD optimizations to perform discovery of 2M items/triggers/graphs within reasonable time limits, removed 30K dependent item limit (vmurzins, wiper)
..F....... [ZBXNEXT-9459] renamed Item history widget labels from "Columns" to "Items" and "Data" to "Item" (Ivo)
........S. [ZBXNEXT-9588] added subsystem support for SSH item (asestakovs)
A.F....... [ZBXNEXT-8690] implemented a new filter in media types list view to display actions based on the scope of their media type usage (Ivo)
..F....... [ZBXNEXT-9228] implemented automatic selection of the first element of a broadcast-capable widget (averza, wczerneha)
..F....... [ZBXNEXT-9232] implemented the sparkline chart component and added it to the Item value widget and Top hosts widget (apoga, gcalenko)
..F....... [ZBXNEXT-599] implemented logarithmic scale for SVG graph widget (ashubin, averza, dfofanovs)
..F.I..... [ZBXNEXT-9086] implemented Host card widget (agriscenko)
A......... [ZBXNEXT-9452] removed deprecated API parameters (jfreibergs, vmaksimovs)

Bug fixes:
...G...... [ZBX-25404] fixed issue of trapper item failing when space character is used in the 'Allowed hosts' field (MVekslers)
..F....... [ZBX-7846] removed confirmation when changing the status of a single object in a list (jfreibergs)
.D........ [ZBX-24600] added exit code description to Zabbix get man page (rtrizna)

--------------------------------------------------------------------------------
Changes for 7.2.0beta1

New features:
...G.....T [ZBXNEXT-9471] added support for CP_SPIN cpu state on OpenBSD (akotsegubov, jxl)
A.F....PS. [ZBXNEXT-9229] added support for {FUNCTION.VALUE<1-9>} and {FUNCTION.RECOVERY.VALUE<1-9>} macros to expression macros (askolmeisters, gcalenko, Sasha)
..F.I..... [ZBXNEXT-9199] implemented new column configuration options in Top hosts widget and support for binary item display (ashubin, ddauksa)
A......... [ZBXNEXT-9404] enabled usage of the mediatype.get method for users with the User role with a limited field scope (wczerneha)
...G...... [ZBXNEXT-8571] added support for LLD MACRO {#UNIT.SERVICETYPE} in systemd.unit.discovery for Zabbix agent 2 (sboidenko)
.........T [ZBXNEXT-9249] added new items and trigger for disk space usage in LXC containers for Proxmox VE by HTTP template (akotsegubov)
..F....... [ZBXNEXT-9563] increased the maximum number of lines for widgets displaying data in rows (wczerneha)
.......PS. [ZBXNEXT-9405] added pagination for collecting VMware events based on free shared memory (MVekslers)
........S. [ZBXNEXT-9448] implemented new {EVENT.UPDATE.ACTIONJSON}, {XXX.TIMESTAMP}, {SERVICE.ID} and improved {HOST.PORT} built-in macros (sboidenko)
...G...... [ZBXNEXT-8914] reworked Oracle plugin queries to use variable binding (dgoloscapov, esneiders)
.........T [ZBXNEXT-9557] added Website certificate by Zabbix agent 2 active template (abakaldin)
.........T [ZBXNEXT-9549] added active agent templates for LAMP stack monitoring (abakaldin)
.........T [ZBXNEXT-9382] added Nutanix template (akotsegubov)
.........T [ZBXNEXT-9058] updated VMware Hypervisor template for ability to work as a standalone template (akotsegubov)
........S. [ZBXNEXT-9532] updated maximum supported TimescaleDB version to 2.17 (mprihodko)
.......PS. [ZBXNEXT-9238] updated maximum supported PostgreSQL version to 17 (mprihodko)

Bug fixes:
........S. [ZBX-25322] fixed action command sending to proxies assigned to proxy group (wiper)
.......PS. [ZBX-25479] improved asynchronous pollers to count as busy when maximum capacity has been reached (vso)
........S. [ZBX-25463] fixed an endless loop in the report manager (sboidenko)
.......PS. [ZBX-25050] improved preprocessing manager memory consumption by starting 16 preprocessing workers by default and releasing reserved memory daily (vso)
........S. [ZBX-25477] fixed the crash occurring when a calculated item contained large value (vso)
..F....... [ZBX-21618] fixed the layout of multiple list pages when displaying long entity names (esekace)
..F....... [ZBX-25444] fixed missing maintenance data in maps for map-type elements (esekace)
....I....T [ZBX-24994] removed UUIDs for host elements in the default data (abakaldin, asestakovs)
........S. [ZBX-25397] fixed events not being suppressed during maintenance if a deadlock occurred (vso)
...G...PS. [ZBX-24614] fixed unidirectional SSL shutdown being performed by both sides resulting in RST packets during communication between Zabbix components (vso)
.........T [ZBX-25096] fixed performance counter query in MSSQL by ODBC template; updated documentation in MSSQL by Zabbix agent 2 template (akotsegubov)
A......... [ZBX-24410] prevented occasional mismatch of preprocessing step order in inherited items when linking a template to a host (vmaksimovs)
.......PS. [ZBX-25455] fixed reserving too much memory for preprocessing and tags in the configuration cache (vso)
...G...... [ZBX-24954] removed references to GnuTLS from the configuration file (wiper)
...G...PS. [ZBX-25301] removed redundant message size check on 32-bit platforms when sending TCP message (arimdjonoks)
..F....... [ZBX-25208] fixed merging of user macros in the `Inherited and host/template/host prototype macros` mode; fixed resolving of user macros with unquoted context started with "regex:" (Sasha)
..F....... [ZBX-24972] fixed the inability to open links from host-type map elements in a new tab (esekace)
.......PS. [ZBX-25305] fixed the timeout not being applied to Zabbix agent passive checks (vso)
.......P.. [ZBX-25024] updated Zabbix proxy to use history write time instead of the value timestamp when discarding old values (wiper)
........S. [ZBX-25465] fixed action notifications with Convert to cause option selected being mixed with other actions (sboidenko)
.........T [ZBX-20767] removed the unnecessary Discard with heartbeat preprocessing step from discovery rules in Linux and Nextcloud templates (drasikhov)
A......... [ZBX-23949] fixed processing of the `host` parameter for trigger prototypes (jfreibergs)
........S. [ZBX-25320] improved the error message for errors related to dashboard formatting as PDF (mprihodko)
..F....... [ZBX-25273] fixed the incorrect vertical scale for s-units in graphs (averza, dfofanovs)
A.F....... [ZBX-24528] prevented SQL errors from being displayed to non-authorized users (gcalenko, jfreibergs)
........S. [ZBX-25324] fixed FreeTDS ODBC login with special characters in the password field (sboidenko)
A......... [ZBX-25034] fixed discovery rule export issue where host prototypes with template override defined used template’s visible name (wczerneha)
..F....... [ZBX-20848] fixed multiselect not suggesting a just-removed record (apoga, averza)
A.F....... [ZBX-21503] prevented creation of audit logs for media type objects on updates without actual changes (jfreibergs)
..F....... [ZBX-24633] fixed code error when viewing graph and trigger lists with discovered objects set to expire (jfreibergs)
..F....... [ZBX-25139] prevented sending of empty query fields, headers, or parameters for item testing (jfreibergs)
A......... [ZBX-24846] fixed checking for orphaned maintenances when deleting a host or host group (wczerneha)
..F....... [ZBX-23676] fixed incorrect displaying of rebranded sidebar logotypes (averza)
..F....... [ZBX-25091] fixed colors of the selected read-only radio buttons (rgontarski)
.........T [ZBX-25392] fixed description of Microsoft 365 reports by HTTP template (abrosimovs)
.......PS. [ZBX-24698] fixed loading of SSL certificate and key in the poller process for HTTP agent checks (Andris)
..F....... [ZBX-25393] fixed unwanted page scrolling when editing text in multiline text fields (averza)
........S. [ZBX-24582] truncated the error message for testing items with a value type mismatch (rtrizna)

--------------------------------------------------------------------------------
Changes for 7.2.0alpha1

New features:
..F....... [ZBXNEXT-8397] updated operational data hint-box to display full value (rgontarski)
.........T [ZBXNEXT-8139] added 'Hypervisor maintenance mode' item to the VMware Guest template (akotsegubov)
..F....... [ZBXNEXT-9375] added/removed and modified table titles related to the action column and fixed broken layouts in multiple tables (rgontarski)
.......PS. [ZBXNEXT-8139] added vmware.vm.hv.maintenance item with HV maintenance status to VM level (MVekslers)
........S. [ZBXNEXT-8656] added PubkeyAcceptedKeyTypes SSH public key algorithm configuration option (sboidenko)
.......PS. [ZBXNEXT-9326] made items become unsupported when there are no pollers (arimdjonoks)
A.F.I..... [ZBXNEXT-9297] improved Clock widget (type - digital) elements sizing (apoga, dfofanovs)
..F.I..... [ZBXNEXT-8993] improved Availability report page filter and refactored legacy code (dpetra)
A.F.I..PS. [ZBXNEXT-9176] removed support of Oracle DB (agriscenko, sboidenko)

Bug fixes:
........S. [ZBX-24894] optimized database queries in lld lost resource handling (vso, wiper)
A.F....... [ZBX-23227] fixed issue where using an empty array or string value for parameter filtering in get methods returned all records (agriscenko, jfreibergs)
...GI..PS. [ZBX-25140] updated configure to reject TLS-unaware compilers (jxl)
...G...... [ZBX-25149] fixed Zabbix agent build on AIX and Solaris (arimdjonoks)
....I..... [ZBX-23881] dropped preference list when searching for compiler (jxl)

--------------------------------------------------------------------------------
Changes for 7.0.23

7.0.23rc2 was released as 7.0.23 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.23rc2

Bug fixes:
.......P.. [ZBX-27387] fixed deadlock during auto registration and SQLite (vso)

--------------------------------------------------------------------------------
Changes for 7.0.23rc1

New features:
.........T [ZBXNEXT-10377] added new OID metrics and updated dashboard in Vyatta Virtual Router by SNMP template (mruszczyk)
.........T [ZBXNEXT-10384] added filesystem and CPU load items to Ciena 3906 by SNMP template (kflorowski)
A.......S. [ZBXNEXT-10394] updated maximum supported TimescaleDB version to 2.24 (mprihodko)

Bug fixes:
...G...... [ZBX-26276] fixed issue with failed Oracle connections causing memory leak in Zabbix agent 2 (opucka)
A......... [ZBX-27236] improved performance of event.get and problem.get methods when using "suppressed" and "symptom" options (Sasha)
.......PS. [ZBX-27447] fixed JSON error check with numeric value type (vso)
..F....... [ZBX-27459] updated MFA library duosecurity/duo_universal_php to version 1.1.1 (gcalenko)
..F....... [ZBX-22722] updated time period format to support both single-day (d) and interval (d–d) (msnihach)
........S. [ZBX-25080] optimized item_discovery table sync to use copy of item table changelog (wiper)
...G...... [ZBX-27329] fixed net.tcp.service key not working for Zabbix agent 2 (esneiders)
.......PS. [ZBX-21645] fixed SNMP availability icon staying green when all SNMP agent items are not supported (vso)
.......PS. [ZBX-26712] fixed errors that occurred when polling SNMP agent items for walk on BITS values (mkorotkov)
.......PS. [ZBX-27391] fixed memory fragmentation when adding new hosts, global macros, or user macros (vso)
.D........ [ZBX-26754] improved ServerActive configuration option description (sboidenko)
A......... [ZBX-26749] removed inability to unlink and clear template which has triggers that other host/template triggers depend on (kkuzmina)
........S. [ZBX-26664] added interface field validation in LLD (wiper)
.........T [ZBX-27235] fixed MS Teams workflow webhook handling success message (kflorowski)
A......... [ZBX-25974] prevented creation of duplicate host prototype on re-linking template (jfreibergs)
..F....... [ZBX-26461] fixed undefined index error in template edit form when one of vendor fields is empty (dpankins)
A......... [ZBX-24435] fixed slow query when selecting more than 950 IDs on PostgreSQL (agriscenko, vso)
A......... [ZBX-27083] implemented full macro support for "In range" preprocessing step, now available for all fields (dpankins)
.D.....PS. [ZBX-27233] updated process type list for for Zabbix server/proxy help message and man page (rtrizna)
........S. [ZBX-27238] improved host low-level discovery performance when matching existing hosts (vso)
...G...... [ZBX-27268] fixed problem where test flags would not work with running agent2 (opucka)
.........T [ZBX-27201] fixed healthcheck HTTP response code regex in RabbitMQ templates (kflorowski)
..F....... [ZBX-23823] fixed inability to remove macros with same context via mass update in templates and hosts (kkuzmina)
A......... [ZBX-22866] fixed inability to create maps for users without group (kkuzmina)
..F....... [ZBX-27214] fixed host dashboards reloading once per minute (averza)
..F....... [ZBX-26485] fixed validation for "reconnect" and "autologin" parameters in "index.php" file (averza)
..F....... [ZBX-27231] fixed unresponsive header of URL widget (averza)
........S. [ZBX-27205] fixed issue of event created from trigger using web scenario items missing tags inherited from templates (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.22

7.0.22rc3 was released as 7.0.22 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.22rc3

Bug fixes:

--------------------------------------------------------------------------------
Changes for 7.0.22rc2

Bug fixes:
.......PS. [ZBX-27307] fixed items not being scheduled if host is re-enabled after restart and macro is used in update interval (vso)

--------------------------------------------------------------------------------
Changes for 7.0.22rc1

New features:
.........T [ZBXNEXT-10169] added Ribbon SBC Edge by HTTP template (akotsegubov)
.........T [ZBXNEXT-10168] added Ribbon SBC SWe core by HTTP and Ribbon SBC SWe CE by HTTP templates (akotsegubov)
A.......S. [ZBXNEXT-10289] updated maximum supported TimescaleDB version to 2.23 (mprihodko)
A......PS. [ZBXNEXT-10306] updated maximum supported MySQL version to 9.5 (mprihodko)
.........T [ZBXNEXT-9492] added VeloCloud SD-WAN Edge by HTTP template (egordymov)
.....J.... [ZBXNEXT-10364] added commentary to web service config file that indicates that this config can be extended via Include (opucka)
.........T [ZBXNEXT-10231] added support for the new syntax to MySQL templates (aiantsen)
...G...... [ZBXNEXT-10012] added both SHOW SLAVE STATUS and SHOW REPLICA STATUS for Zabbix agent 2 MySQL plugin (lsurvilo)

Bug fixes:
.......PS. [ZBX-26018] added fping command execution time limit (vsmelovs)
..F....... [ZBX-27033] fixed incorrect disabling of Execute now option in Latest data item popup for users of type User (jfreibergs)
.......PS. [ZBX-26769] improved performance by removing "or" conditions from "in" statements (vso)
A.F....... [ZBX-26303] fixed escaping of special characters in regular expressions (jfreibergs, Sasha)
A......... [ZBX-26951] fixed dashboard template get to filter by provided templateids when using accessible hosts to find dashboard templates without hosts (gberzina)
..F....... [ZBX-27199] fixed graph view failing to display dependent item from web scenario (agriscenko)
A......... [ZBX-26462] updated and minimized the ability to achieve full table lock when deleting different API objects (aluchko)
A......... [ZBX-25284] prevented web scenarios being inherited to host prototypes; fixed inability to delete parent host in such case (jfreibergs, vmaksimovs)
.......PS. [ZBX-26946] fixed memory being reserved by pollers due to memory-intensive script items or in async pollers due to large transfers (vso)
A......... [ZBX-26427] fixed resetting of discovery rule filter on import (jfreibergs)
...G...... [ZBX-26218] fixed incorrect function name in log for Zabbix agent 2 (esneiders)
A......... [ZBX-26252] fixed runtime error when linking template with matching discovery rule to host (jfreibergs)
A......... [ZBX-26562] fixed 'Allowed memory size exhausted' issue while importing a cloned template (aluchko, jfreibergs)
..F....... [ZBX-27154] fixed rare occasion of infinite loop in graph scale generation (averza)
.........T [ZBX-26739] fixed item logic in Nextcloud by HTTP template (mruszczyk)
.......PS. [ZBX-27188] fixed validation of TLS configuration before adding autoregistered host (mprihodko)
...G...... [ZBX-26640] fixed Zabbix agent built with statically linked curl library crashing on web.page.get[] items (aetatsu)
..F.....S. [ZBX-26451] fixed inventory macros not being resolved in script and browser type items (aetatsu, msnihach)
...GI..... [ZBX-24140] fixed not being able to build Zabbix agent with statically linked curl library and inability to use curl without ssl for "web.page.get[...]" items (aetatsu)
.........T [ZBX-26949] changed macro names in the NetApp AFF A700 by HTTP template (sbelakovs)
...G...... [ZBX-26111] fixed JSON output for vfs.dev.discovery DEVTYPE field (rtrizna)
..F....... [ZBX-26289] fixed preprocessed result not displaying white spaces correctly (gklavins)
..F....... [ZBX-27053] added space between tags on Web monitoring list page and in LDAP settings (msnihach)
A......... [ZBX-26830] fixed undefined array key "host_status" on triggers import (kkuzmina)
.........T [ZBX-26626] added additional GRANT statements for both MSSQL templates (smansurovs)
...G...... [ZBX-26500] fixed system.users.num metric incorrect returned value for both agents (opucka, vsmelovs)
........S. [ZBX-27032] fixed header executing error from JavaScript request (vsmelovs)
.........T [ZBX-27155] fixed OID for protected host memory item in Stormshield SNS by SNMP template (knaglis)
..F....... [ZBX-27020] fixed user with limited permissions access to map containing submap with inaccessible host or hostgroup (talbergs)
.......PS. [ZBX-26867] fixed dependent item error message upon master item change (askolmeisters)
.......PS. [ZBX-26900] fixed Zabbix server warning log for out-of-order value identifier detection to clarify data source (rtrizna)
.........T [ZBX-26623] fixed ODBC poller error handling in Zabbix server/proxy health templates (kflorowski)
..F....... [ZBX-26665] fixed widget configuration form layout on narrow screens (isharha)
..F....... [ZBX-27031] fixed Host navigator widget not loading when Show problems is set to None (gberzina)
.......PS. [ZBX-26702] fixed query failures on Oracle in lld_hosts_remove (dgoloscapov)
A.F....... [ZBX-25037] fixed slow performance of show queries for dbversion and charset on MySQL (dpankins)

--------------------------------------------------------------------------------
Changes for 7.0.21

Bug fixes:
..F....... [ZBX-27153] fixed undefined index error in SVG graphs for Zabbix agent active items (gcalenko)
...G...... [ZBX-27156] fix CPU spike in Zabbix agent 2 mysql plugin (esneiders)

--------------------------------------------------------------------------------
Changes for 7.0.20

7.0.20rc1 was released as 7.0.20 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.20rc1

New features:
A.......S. [ZBXNEXT-10271] updated maximum supported TimescaleDB version to 2.22 (mprihodko)
.........T [ZBXNEXT-10245] added Stormshield SNS by SNMP template (knaglis)
A......PS. [ZBXNEXT-10219] updated maximum supported PostgreSQL version to 18 (mprihodko)
...G...... [ZBXNEXT-7744] added TLS support for Zabbix agent 2 Redis plugin (opucka)

Bug fixes:
.......PS. [ZBX-27113] improved performance and memory usage by not storing item unsupported error in configuration cache (vso)
........S. [ZBX-27111] fixed new timer being allocated each time trigger value is updated (vso)
.........T [ZBX-26544] added preprocessing step to "Outbound packets discarded" item in FortiGate by SNMP template (aiantsen)
..F....... [ZBX-22157] added Map navigation tree widget problem filtering using "Problem display" and "Show suppressed problems" filters of map settings (dfofanovs)
A......... [ZBX-27059] fixed conditions for "Cannot delete default MFA method" check (dpankins)
.......PS. [ZBX-24504] improved Prometheus to JSON preprocessing step performance when reused with similar parameters in dependent items (wiper)
..F....... [ZBX-25743] fixed broken item selection list in Firefox (gklavins, wczerneha)
...G...PS. [ZBX-25148] added adjustments for sequential data entries with the same timestamp (askolmeisters)
..F....... [ZBX-25394] fixed unassigned proxy indication on Queue details page; extended coverage to proxies managed by proxy groups (dpankins)
...G...... [ZBX-25263] fixed Zabbix agent to attempt next refresh of active checks in 60 seconds in case of connection errors (arimdjonoks)
.......PS. [ZBX-26910] fixed Zabbix server and Zabbix proxy compilation on macOS or with custom library paths (vso)
..F....... [ZBX-25741] eliminated difference in host group lists via "Select" button and via search typing (wczerneha)
........S. [ZBX-26941] fixed duplicate entry error when new value arrive after Zabbix server finished syncing trends (vso)
.......PS. [ZBX-26893] fixed delay when executing tasks through Zabbix proxy such as test item, check now, remote command (vso)
..F....... [ZBX-26459] fixed Host macros view to avoid displaying both macro types when switching quickly (gberzina)
..F....... [ZBX-26776] fixed ability to change widget in Pie chart widget data set (gberzina)
.........T [ZBX-22625] fixed JavaScript in HPE Synergy by HTTP template (abrosimovs)
..F....... [ZBX-26069] implemented re-broadcast behavior for widgets on forced update (ashubin, wczerneha)
...G...... [ZBX-24918] fixed crashes of Zabbix agent 2 for Windows related to PDH perf_counter (opucka)
...G...... [ZBX-26755] fixed problem with Zabbix agent 2 MQTT plugin not establishing connection if first call failed (opucka)
..F....... [ZBX-16162] fixed classic graphs rendering when throttling is used (Sasha)
..F....... [ZBX-24046] fixed incorrect error message for ldap_jit_interval field in LDAP settings form (kkuzmina)
A......... [ZBX-25038] fixed SCIM error message by adding mention of requested endpoint to it (kkuzmina)
.........T [ZBX-26851] changed macro names in MSSQL templates (sbelakovs)

--------------------------------------------------------------------------------
Changes for 7.0.19

7.0.19rc1 was released as 7.0.19 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.19rc1

New features:
..F....... [ZBXNEXT-10143] added "Highlight whole row" feature in non-compact mode in Problems (ashubin)
.........T [ZBXNEXT-10106] extended preprocessor throughput monitoring in Zabbix server/proxy health templates (aiantsen)
.........T [ZBXNEXT-9819] added new template Vyatta Virtual Router by SNMP (knaglis)
...G...... [ZBXNEXT-9933] added TNS name support for Zabbix agent 2 Oracle plugin (lsurvilo)
.........T [ZBXNEXT-10107] improved device coverage in Huawei OceanStor Dorado by SNMP template (abrosimovs)
.........T [ZBXNEXT-10123] added Aruba CX 8300s by SNMP template (akotsegubov)
.........T [ZBXNEXT-10152] added new macro for disk discovery type selection in both SMART by Zabbix agent 2 templates (knaglis)
A......... [ZBXNEXT-10027] prepared for removal of TimescaleDB API call deprecated since TimescaleDB 2.18.0 (jfreibergs)
.........T [ZBXNEXT-10017] added Ciena 3906 by SNMP template (akotsegubov)
.........T [ZBXNEXT-9255] updated Meraki templates to handle rate limit on API requests (aiantsen)
...G.J.... [ZBXNEXT-9902] changed timeout range for Zabbix JS and Zabbix get utilities (askolmeisters)
.......PS. [ZBXNEXT-10077] updated maximum supported MariaDB version to 12.0 (mprihodko)

Bug fixes:
A......... [ZBX-26419] improved performance of problem and event views by optimizing SQL queries to join only necessary triggers, eliminating redundant post-join filtering (vso)
..F....... [ZBX-25796] fixed confusing error message on item test timeout (isharha)
..F....... [ZBX-26337] removed unnecessary div elements for entries without problems in Item and Host navigator widgets (msnihach)
.......PS. [ZBX-26873] fixed support for SSH item proxy through configurations in SSH configuration file (aetatsu)
...G...... [ZBX-19267] fixed wmi.get items sometimes incorrectly returning "Empty WMI search result" with Zabbix agent 2 (aetatsu)
........S. [ZBX-20207] fixed unexpected interface connection mode change during autoregistration (vso)
.........T [ZBX-25448] fixed token-based authentication method in FortiGate by HTTP template (egordymov)
...G...... [ZBX-26847] explicitly defined Oracle connection timezone in Zabbix agent 2 (opucka)
..F....... [ZBX-26472] fixed clearing of elements when imported file contains no background image or icon map (rgontarski)
..F....... [ZBX-26694] fixed media type test parameter maxlength (gberzina)
........S. [ZBX-26416] fixed SNMP trap item processing issue after monitored host changes (sboidenko)
..F....... [ZBX-26801] fixed ability to select discovered items when editing graph items (gberzina)
..F....... [ZBX-20964] removed Problems link in Monitoring hosts page for user who does not have access (msnihach)
........S. [ZBX-26621] added TLS host parameter update in autoregistration mode (vsmelovs)
..F....... [ZBX-26440] fixed inability to update JMX endpoint field in item, item prototype, and LLD forms (kkuzmina)
..F....... [ZBX-25041] improved configuration form validation in Graph and Pie chart widgets when referenced item widget is unavailable (isharha)
..F....... [ZBX-24720] fixed LDAP media type mapping "When active" field trimming (dpankins)
.......PS. [ZBX-26892] fixed VMware Event Collector hangs in case of network errors (MVekslers)
...G...... [ZBX-26920] fixed wrong time in Zabbix agent for Windows (sboidenko)
..F....... [ZBX-25669] added trigger version check after upgrading to newer version (aluchko)
..F....... [ZBX-22786] fixed trends graph line color issue with PHP 8.1 (isharha)
..F....... [ZBX-26044] fixed Honeycomb widget not to display disabled items (rgontarski)
..F....... [ZBX-25540] fixed inconsistent link styling for dependent trigger prototypes (rgontarski)
..F....... [ZBX-26482] fixed TypeError after deleting datasets in Graph and Pie chart widgets (isharha)
A.F....... [ZBX-26202] fixed inability to create "Execute now" tasks for users of Admin user type (jfreibergs)
A......... [ZBX-24603] fixed MFA TOTP secrets not being deleted when deleting users from MFA-enabled user groups (agriscenko, jfreibergs)
..F.....S. [ZBX-25739] fixed timeleft() function to return 1.7976931348623157E+308 instead of making item unsupported in case of infinite time (arimdjonoks, averza)
........S. [ZBX-26863] fixed duplicate host creation in network discovery with multiple checks for hosts found on several IP addresses when uniqueness criteria is not set to IP address (aetatsu)
..F....... [ZBX-24885] fixed inconsistent tag display and unnecessary ellipsis on Latest data page (msnihach)
..F....... [ZBX-21975] fixed user autologout not removing user SAML authentication data (gcalenko)
.........T [ZBX-24495] fixed Kubernetes templates after updates in zabbix-helm-chart (egordymov)
.......... [ZBX-26879] removed unused ListenBacklog parameter from Zabbix sender (rtrizna)
..F....... [ZBX-26463] fixed issues with maximum length when creating group in host/template edit form (gberzina)
..F....... [ZBX-25103] replaced legacy hintbox generation for trigger operational data with current (dpankins)
A......... [ZBX-26025] fixed validation error for default input string value in advanced script configuration (kkuzmina)
..F....... [ZBX-25972] optimized Items page performance on hosts with large number of elements (msnihach)
..F....... [ZBX-27284] fixed resource usage for image resize (gberzina)

--------------------------------------------------------------------------------
Changes for 7.0.18

7.0.18rc2 was released as 7.0.18 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.18rc2

Bug fixes:
.......PS. [ZBX-26868] fixed crash when adding new SNMP device (vso)

--------------------------------------------------------------------------------
Changes for 7.0.18rc1

New features:
...G...... [ZBXNEXT-9028] added by-id scan parameter to Zabbix agent 2 S.M.A.R.T. disk discovery (esneiders)
.........T [ZBXNEXT-9687] updated filesystem discovery low space trigger override regex in F5 Big-IP by SNMP template (drasikhov)
.........T [ZBXNEXT-9972] added AWS Backup Vault by HTTP template (abrosimovs)
.......PS. [ZBXNEXT-9090] improved SNMP agent walk[] and get[] to reload credentials when corresponding SNMPv3 interface is updated (vso)
A......PS. [ZBXNEXT-10056] updated maximum supported MariaDB version to 11.8 (Sasha)
........S. [ZBXNEXT-10122] updated maximum supported TimescaleDB version to 2.21 (mprihodko)

Bug fixes:
.......PS. [ZBX-26510] fixed timeouts during script execution on Zabbix agent on action operation or manual action by trying passive interface if exists (vso)
..F....... [ZBX-26649] prohibited showing form for creating host group/template group to users without super admin role (msnihach)
........S. [ZBX-26775] fixed crash on data processing from system.localtime item key (sboidenko)
.......PS. [ZBX-24799] fixed timeouts during active mode script execution on Zabbix agent 2 on action operation or manual action if script had no output; fixed timeout by allowing active agent to retrieve scripts in 60 seconds (vso)
A......... [ZBX-25388] prevented displaying of parameter values not involved in import in the response of configuration.importcompare API method (aluchko)
.......PS. [ZBX-25887] returned empty JSON array instead of error if input value for "SNMP walk to JSON" item preprocessing step is empty (MVekslers)
.........T [ZBX-25288] fixed trigger in Elasticsearch Cluster by HTTP template (egordymov)
..F....... [ZBX-26539] fixed raw html in tooltips for additional rules in services (gklavins)
........S. [ZBX-24311] fixed slow trend sync when receiving trends from present and then from past again (vso)
...G...... [ZBX-26723] fixed Zabbix Agent active remote command getting timeout applied due to incorrect parsing of JSON (dgoloscapov)
...G...... [ZBX-25872] fixed media_error overflow for Smart plugin in Zabbix agent 2 (esneiders)
..F....... [ZBX-26030] fixed the visibility of the history and trends fields on discovered items when the option is set to "Do not store" (rgontarski)
...G...... [ZBX-26745] fixed Zabbix agent 2 RefreshActiveChecks (sboidenko)
..F....... [ZBX-26606] fixed user macros not working in testing dialog (gklavins)
..F....... [ZBX-25668] removed Stamen maps from administration of geomaps (wczerneha)
..F....... [ZBX-26683] fixed sorting of URLs in sysmaps form (gklavins)
.........T [ZBX-25371] updated policy rules in Oracle Cloud by HTTP template documentation (knaglis)
.......P.. [ZBX-26732] improved partial configuration sync performance on Zabbix proxy by selecting in batches (vso)
A.F....... [ZBX-26089] added length validation for advanced custom labels in Network map (msnihach)
...G...... [ZBX-25094] added null value checks in tablespaces queries for Oracle Zabbix agent 2 plugin (knaglis)
..F....... [ZBX-24027] fixed broken checks and radio buttons in Network discovery configuration form (ashubin, wczerneha)
..F....... [ZBX-25820] fixed wrong calculations for items bits sending/receiving (aluchko)
..F....... [ZBX-26378] added 4 module margin to QR code image (talbergs)
...G...... [ZBX-22374] added missing privileges for Oracle Zabbix agent 2 plugin (opucka)
...G...... [ZBX-26697] fixed memory error in sender when trying to read invalid response (dgoloscapov)
...G...PS. [ZBX-25708] moved include section in *.conf files from the middle to the end (yurii)
..F....... [ZBX-26574] changed error messages for TimescaleDB (rgontarski)
........S. [ZBX-16925] fixed housekeeper behavior that blocked history sync and caused deadlocks when deleting events (vso)
.........T [ZBX-25196] fixed an issue with JavaScript in AWS ECS templates (egordymov)
..F....... [ZBX-26474] fixed reference to undefined variable in Pie chart widget (gklavins)
.......PS. [ZBX-26730] suppressed duplicated error in log from XML path preprocessing step and added length of XML data to error message (vsmelovs)
A......... [ZBX-26078] fixed filtering by inherited tags with negative operators such as "Does not ..." in the Monitoring -> Hosts section (gcalenko, Sasha)
..F....... [ZBX-26307] fixed undefined array key 'secret' after user auto logout (aluchko)
..F....... [ZBX-26159] fixed log[] item with 'numeric' type of information unexpected changing to 'log' type (aluchko)
..F....... [ZBX-26374] added updates for displaying the relevant monitoring data or "no permissions" notification for the Classic Graph widget (msnihach)
.....J.... [ZBX-26220] fixed scheduled report creation with IPv6 address in Zabbix frontend URL (vsmelovs)
.......... [ZBX-27061] moved OpenSSL directory to system-protected path on build server (yurii)
A.F....... [ZBX-27062] updated LDAP bind password to reset on LDAP host change (aluchko)
..F....... [ZBX-27063] fixed permission check for Problems view refresh (gberzina)

--------------------------------------------------------------------------------
Changes for 7.0.17

7.0.17rc2 was released as 7.0.17 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.17rc2

New features:
.......PS. [ZBXNEXT-10119] improved preprocessing diagnostics by highlighting top item IDs with the longest processing times (vso)

Bug fixes:
.......PS. [ZBX-26693] fixed high memory usage by excluding values without preprocessing from being sent to the preprocessing manager (vso)
........S. [ZBX-26661] fixed deadlock on autoreg_host table (vso)

--------------------------------------------------------------------------------
Changes for 7.0.17rc1

New features:
....I...S. [ZBXNEXT-9770] prepared for removal of TimescaleDB API calls deprecated since TimescaleDB 2.18.0 (mprihodko)
.........T [ZBXNEXT-9959] added Cisco Secure Firewall Threat Defense by HTTP template (egordymov)
.........T [ZBXNEXT-9926] added a new self-test item and improved self-test trigger for both SMART by Zabbix agent 2 templates (knaglis)
........S. [ZBXNEXT-10018] updated maximum supported TimescaleDB version to 2.20 (mprihodko)
.........T [ZBXNEXT-9674] added AssumeRole usage with metadata authentication for AWS templates (egordymov)

Bug fixes:
A......... [ZBX-26439] prevented data integrity loss caused by simultaneous API change request execution (vmaksimovs)
...G...PS. [ZBX-26082] fixed agent2 and proxy redirection bug related to incorrect IPv6 string format (vsmelovs)
..F....... [ZBX-25958] fixed incorrect dependency hosts format in trigger form (esekace)
A......... [ZBX-26436] prevented redundant row locks in the database when deleting hosts in parallel API requests (vmaksimovs)
.......PS. [ZBX-26528] fixed improper handling of long or corrupted ODBC error messages (dgoloscapov)
.........T [ZBX-25313] added boot time item to VMware Guest template (akotsegubov)
........S. [ZBX-26495] added parameter support for database down script media type (askolmeisters)
........S. [ZBX-25859] fixed connection reuse for Elasticsearch (rtrizna)
.........T [ZBX-26230] added missing namespace filter to Prometheus preprocessing of pod metrics in Kubernetes cluster state by HTTP template (drasikhov)
........S. [ZBX-26591] fixed detection of read-only state in PostgreSQL replicated database (sboidenko)
.........T [ZBX-24674] updated filesystem discovery low space trigger prototype override in F5 Big-IP by SNMP template (drasikhov)
.........T [ZBX-26444] fixed swap utilization trigger recovery expression in F5 Big-IP by SNMP template (drasikhov)
.........T [ZBX-23216] added application token support in GLPi media type, updated documentation; removed Zammad mentions from non-related media types (drasikhov)
...G...... [ZBX-22770] added self_test_in_progress tag for Zabbix agent 2 S.M.A.R.T plugin (lsurvilo)
.........T [ZBX-26484] fixed event tags verification in Telegram media type to be checked only for supported event sources (drasikhov)
.........T [ZBX-22022] removed client certificate expiration histogram metrics from Kubernetes API server by HTTP template (drasikhov)
.......PS. [ZBX-25545] fixed host interface duplication in autoregistration mode (vsmelovs)
..F....... [ZBX-21955] fixed display of mapped numerical values in Latest data of multiple items (wczerneha)
.........T [ZBX-25975] fixed incorrect OID in CPU temperature LLD rule in MikroTik templates (drasikhov)
...G...... [ZBX-26477] fixed vfs.dir.get ignoring entries with 0 unixtime and fixed vfs.file.get having null values for time fields in this case (dgoloscapov)
...G...... [ZBX-26209] fixed remote command output routing from Stderr to Stdout in Zabbix agent 2 (opucka)
.........T [ZBX-25104] converted SNMP templates to get[OID] method of polling of single OIDs; converted dynamic indexes items to walk[OID] method; converted TrueNAS, pfSense and OPNsense templates to walk[OID] method (drasikhov)
..F....... [ZBX-25956] removed excess suggestions from item copy target list (talbergs)
........S. [ZBX-26410] fixed split brain HA nodes after system pause (sboidenko)
..F....... [ZBX-25952] fixed inconsistent duo 'client secret' field validation (aluchko)
.......PS. [ZBX-26571] added support of source IP for libssh-based items (MVekslers)
..F....... [ZBX-26273] fixed inability to use LLD macro as update interval of item prototype (aluchko)
.........T [ZBX-26567] added new inventory items to the Cisco Meraki device by HTTP template (aiantsen)
.........T [ZBX-26604] fixed JavaScript in AWS Cost Explorer by HTTP template due to syntax changes in GetCostAndUsage API request (egordymov)
..F....... [ZBX-26481] fixed parameter trimming in item preprocessing steps (apoga)
..F....... [ZBX-26300] fixed showing previous element edit form when right clicking on another map element (msnihach)
.......P.. [ZBX-25499] fixed vault secrets resolution on Zabbix proxy (sboidenko)
...G...... [ZBX-26143] fixed duplicated address issue after redirection and disabled history upload on Agent connection failure until the connection is re-established (sboidenko)
..F....... [ZBX-25913] fixed Gauge widget description not updating on refresh (apoga)
..F....... [ZBX-24047] fixed value mapping update error when mapping name contains quotes (isharha)
..F....... [ZBX-26454] set a readonly property for the "Allowed Hosts" input for discovered items (msnihach)
........S. [ZBX-26486] fixed errors in Zabbix server log on second and subsequent server starts with TimescaleDB (mprihodko)
........S. [ZBX-25413] fixed race condition that could lead to user macro changes not be synced with Zabbix proxy (vso)
A......... [ZBX-27060] fixed scope of information available via user.get (jfreibergs)

--------------------------------------------------------------------------------
Changes for 7.0.16

Bug fixes:
.......PS. [ZBX-26589] fixed DNS queries being performed for IP addresses when using older c-ares library (vso)
.......PS. [ZBX-26610] fixed some tasks being stuck in preprocessing queue (wiper)

--------------------------------------------------------------------------------
Changes for 7.0.15

Bug fixes:
.......PS. [ZBX-26588] fixed finished tasks queue size tracking which caused high cpu utilization by preprocessing manager (wiper)

--------------------------------------------------------------------------------
Changes for 7.0.14

7.0.14rc1 was released as 7.0.14 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.14rc1

New features:
.......PS. [ZBXNEXT-9931] added top items sorted by received values number and size to diaginfo preprocessing section (asestakovs)
.........T [ZBXNEXT-9942] added preprocessor throughput to Zabbix server health templates (aiantsen)
.........T [ZBXNEXT-9989] added supergroup topics support to Telegram media type, updated documentation (drasikhov)

Bug fixes:
A......... [ZBX-26988] fixed non-super admin user restriction working incorrectly for hostprototype.get api method (aluchko)
.......PS. [ZBX-26537] fixed memory over-allocation in preprocessing manager (vso)
..F....... [ZBX-26422] added missing translation string for "Tags" label in "Tags" tab in configuration forms (solonkins)
.......PS. [ZBX-26294] improved logic of SNMP cache cleanup (dgoloscapov)
..F....... [ZBX-25929] improved digital clock widget element sizing (apoga)
..F....... [ZBX-21087] fixed not all aggregation functions working with foreach functions (aluchko)
A......... [ZBX-26191] fixed inconsistent API and frontend validation for maintenance period 'every' and 'period' fields (aluchko)
A.F....... [ZBX-23167] fixed issues with Host dashboards not displaying widgets from inaccessible templates; added hostdashboard object API (jfreibergs, vmaksimovs)
..F....... [ZBX-26123] added hostid parameter validation in web scenario configuration form (msnihach)
..F....... [ZBX-25420] fixed regsub/iregsub returning output if there is no match (talbergs)
...G...... [ZBX-26446] fixed Zabbix agent 2 S.M.A.R.T plugin failing on non-fatal exit status codes (esneiders)
.......PS. [ZBX-26426] fixed preprocessing to flush values for an item in the same order they were sent to preprocessing (wiper)
.......PS. [ZBX-26529] fixed memory leak when global variables are used in JavaScript preprocessing (vso)
.......P.. [ZBX-26469] fixed Zabbix proxy crash in discovery manager process (Andris, MVekslers)
...G...... [ZBX-26187] fixed response to wmi.getall from Zabbix agent 2 not returning array-type values (mprihodko)
...G.....T [ZBX-25944] replaced container name with container ID where used in queries and items for both Oracle templates and Oracle Zabbix agent 2 plugin (knaglis)
..F....... [ZBX-26131] disabled the menu item "Create trigger prototype" for item prototypes with binary data type (msnihach)
........S. [ZBX-26478] fixed Zabbix server crash when shutting down DB and sending alert using script media type with no parameters (askolmeisters)
.......PS. [ZBX-26116] fixed overload in history cache by vmware.eventlog item (MVekslers)
.......PS. [ZBX-25968] added configuration validation of DBPort and DBSocket (rtrizna)
...G...... [ZBX-26344] refactored zbxcmd execute to avoid windows syscalls in Zabbix agent 2 (esneiders)
.......PS. [ZBX-26433] fixed values outside of history storage period causing trigger to cache all values in storage period (vso)
.......PS. [ZBX-25175] increased retry to 5 for asynchronous SNMP pollers to avoid failure if one of packets is lost (vso)
..F....... [ZBX-26092] fixed Office 365 relay media type domain formatting to replace all dash symbols with dot (msnihach)
.......PS. [ZBX-26313] fixed SNMP preprocessing causing item to be unsupported when encountering wrong type (dgoloscapov)
.......PS. [ZBX-26387] fixed newline being truncated in SNMP "get[" check (dgoloscapov)
A.F....... [ZBX-26372] fixed long-running TimescaleDB queries when requesting historical data (gcalenko, Sasha)
.......PS. [ZBX-26339] fixed user macro resolving order in templates so that in case of conflict import order of templates takes precedence over the linking order (askolmeisters)
.........T [ZBX-18703] removed preprocessing step for mounted fs discovery in VMware Guest template (akotsegubov)
..F....... [ZBX-25713] fixed the map navigation tree widget selection issue (wczerneha)
..F....... [ZBX-26466] added ability for generic users to open the templates popup (Sasha)
...G...... [ZBX-26244] fixed Zabbix agent 2 memory leak related to traffic compression (MVekslers)
...G...... [ZBX-26114] improved Zabbix agent 2 accept rate on high RTT (sjurgensons)
...G...... [ZBX-25526] made Zabbix agent 2 proc.num, proc.cpu.util, proc.get and proc.mem items behave consistently with Zabbix agent when non-existing user is specified (arimdjonoks)
.........T [ZBX-26369] added ticket type parameter to OTRS CE media type, updated documentation, added missing web service file (drasikhov)
.......PS. [ZBX-26297] improved server warning log message for out of order value identifier detection between Zabbix server and Zabbix proxy (rtrizna)
.........T [ZBX-25684] updated regex in Asterisk by HTTP template to work with enabled maxcalls option (drasikhov)
.........T [ZBX-25538] updated uptime triggers in templates (drasikhov)
..F....... [ZBX-26263] fixed field focus on label click (msnihach)
..F....... [ZBX-26113] updated the link to Latest data in the item configuration form (msnihach)
..F....... [ZBX-26377] added the "parent_discoveryid" argument into paging data (msnihach)
........S. [ZBX-26256] fixed scheduled report not being created when start date is set in the future and beyond the current cycle (askolmeisters)

--------------------------------------------------------------------------------
Changes for 7.0.13

7.0.13rc1 was released as 7.0.13 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.13rc1

New features:
.........T [ZBXNEXT-9909] added Azure Backup Jobs by HTTP template (abrosimovs)
........S. [ZBXNEXT-9905] updated max supported TimescaleDB version to 2.19 (mprihodko)
.......PS. [ZBXNEXT-9813] added vm/hv UUID filter for vmware.datastore.discovery item (MVekslers)
........S. [ZBXNEXT-9927] implemented masking of secret user macros that are explicitly used (mprihodko)
.........T [ZBXNEXT-9937] updated PostgreSQL templates to support versions 17 and above (drasikhov)

Bug fixes:
........S. [ZBX-26259] fixed issue of event created from trigger prototypes missing tags inherited from templates (arimdjonoks)
.......P.. [ZBX-26270] fixed database sync error after removing interface used by item (sboidenko)
.......PS. [ZBX-26319] fixed timeout in remote script execution to use TrapperTimeout instead of 60 s (askolmeisters)
.......PS. [ZBX-25402] fixed numbered user macro parsing in macro function (askolmeisters)
.........T [ZBX-26050] updated dashboards in Zabbix server/proxy health templates (aiantsen)
..F....... [ZBX-26390] updated templated dashboard help icon link (Sasha)
..F....... [ZBX-25691] fixed the Problems by severity widget to display all existing problems (wczerneha)
.........T [ZBX-25931] updated LLD filters in Systemd by Zabbix agent 2 template (drasikhov)
.........T [ZBX-26292] fixed typo in script items for family of Nutanix templates (akotsegubov)
........S. [ZBX-24341] fixed {HOST.CONN}, {HOST.DNS}, {HOST.IP}, and {HOST.PORT} macros to be properly resolved in HTTP agent item fields (asestakovs)
..F....... [ZBX-23996] fixed errors in Item value widget when change indicator was displayed without value (dfofanovs)
..F....... [ZBX-26198] filtered out items that do not affect interface availability status (dfofanovs)
........S. [ZBX-26298] fixed expansions of all further user macros after undefined user macro (sboidenko)
.........T [ZBX-26335] fixed trigger expression in Azure SQL Managed Instance by HTTP template (abrosimovs)
........S. [ZBX-26235] fixed Zabbix server crash caused by audit when autoregistration deletes host tags (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.12

7.0.12rc1 was released as 7.0.12 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.12rc1

New features:
.......PS. [ZBXNEXT-9877] added zabbix[preprocessing] internal item (asestakovs)
........S. [ZBXNEXT-9718] added additional log message to assist in finding which item causes exhaustion of value cache (dgoloscapov)
.........T [ZBXNEXT-9782] added Pure Storage FlashArray by HTTP templates for REST API v1 and v2 (aiantsen)

Bug fixes:
.......PS. [ZBX-18703] fixed incorrect values returned by vmware.vm.vfs.fs.size item (MVekslers)
...G...... [ZBX-25210] added Server parameter configuration validation for Zabbix agent 2 (arimdjonoks)
...G....S. [ZBX-24850] fixed rejected incoming connection from link-local addresses on Windows (mprihodko)
...G...... [ZBX-25521] ListenPort value won't be included in "/status" endpoint report if passive mode is off in Zabbix agent 2 (lsurvilo)
..F....... [ZBX-26275] fixed new item preprocessing steps being saved with "Custom on fail" enabled (agriscenko)
........S. [ZBX-26056] fixed undefined behavior when linking template with LLD macro (rtrizna)
.......PS. [ZBX-23085] fixed vmware.datastore.perfcounter and vmware.cl.perfcounter items for custom instances (MVekslers)
A......... [ZBX-24383] fixed PHP fatal error when importing configuration from Zabbix 2.0 (Sasha)
...G...... [ZBX-24969] fixed vfs.file.regmatch item in Zabbix agent 2 to stop searching after first match (askolmeisters)
.........T [ZBX-24388] fixed trigger expression in Check Point Next Generation Firewall by SNMP template (aiantsen)
........S. [ZBX-25495] reverted escalator query fix for Oracle to optimize MySQL query; removed redundant "distinct" from original query (arimdjonoks)
.......PS. [ZBX-26197] fixed max repetition count not being inherited by host created by LLD (dgoloscapov)
.........T [ZBX-26074] fixed authentication settings in README.md (egordymov)
..F....... [ZBX-25603] fixed "Tag for matching" field visibility when "OK event generation" is set to "None" in trigger and trigger prototype configuration forms (esekace)
..F....... [ZBX-25683] fixed Ctrl+Arrow shortcuts not working in preprocessing form (isharha)
...G...PS. [ZBX-26080] fixed old file descriptors being held when external log rotation is used (dgoloscapov)
...G...... [ZBX-26121] added default flags to net.dns.get arguments when none are specified (arimdjonoks)
..F....... [ZBX-22654] fixed item units not resolving when value mapping is applied (isharha)
........S. [ZBX-25552] updated resource name from Discovery rule to LLD rule (rtrizna)
.........T [ZBX-25975] optimized temperature sensor discovery in MikroTik templates (drasikhov)
.........T [ZBX-26026] updated "get last backup" query in MSSQL by ODBC template (akotsegubov)
.........T [ZBX-26208] fixed buffer pool efficiency formula for family of MySQL templates (akotsegubov)
..F....... [ZBX-26093] fixed Geomap widget displaced host popup (isharha)
..F....... [ZBX-26061] fixed vertical text rotation for Chinese, Korean, and Japanese languages (dfofanovs)
........S. [ZBX-25306] updated Zabbix web service chromdp and cdproto dependency (esneiders)
........S. [ZBX-26038] added 10-second reconnect timeout for PostgreSQL read-only database (sboidenko)
...G...... [ZBX-26055] fixed failure to refresh active checks when next refresh was faster than 60 seconds (sboidenko)
.......PS. [ZBX-26042] fixed agent redirection if host encryption settings are wrong (sboidenko)
.......PS. [ZBX-25146] removed concurrency when using net-snmp library for network discovery (MVekslers)
..F....... [ZBX-25749] removed theming from QR code (talbergs)
.........T [ZBX-23750] updated documentation for SMART by Zabbix agent 2 templates (drasikhov)
.D........ [ZBX-25612] updated documentation for both Oracle DB templates and Oracle DB Zabbix agent 2 plugin (knaglis)
.........T [ZBX-25439] added note about replication privilege requirements for MariaDB in MySQL templates (drasikhov)
...G...... [ZBX-21876] corrected getPluginCapacity to avoid false warnings when default capacity exceeds maximum capacity (sjurgensons)
...G...... [ZBX-22900] fixed Zabbix agent crash on Windows while executing runaway regular expression (mprihodko)
.......PS. [ZBX-26006] made PSK comparison case-insensitive during autoregistration (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.11

7.0.11rc2 was released as 7.0.11 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.11rc2

Bug fixes:
.......PS. [ZBX-26211] fixed a crash when checking for not supported value (vso)

--------------------------------------------------------------------------------
Changes for 7.0.11rc1

New features:
.........T [ZBXNEXT-9271] added Azure MSSQL DTU database by HTTP template (abrosimovs)
...G...... [ZBXNEXT-8388] added normalized_value tag extracted from ata_smart_attributes for Smart Zabbix agent 2 plugin (lsurvilo)
.........T [ZBXNEXT-9703] updated existing Zabbix server/proxy health templates; added Zabbix server/proxy health templates by Zabbix agent passive/active (aiantsen)
.........T [ZBXNEXT-9809] added refactored webhooks (abiba, aiantsen, drasikhov, egordymov, knaglis)

Bug fixes:
...G...... [ZBX-26987] added input parameter sanitization to prevent injection vulnerability for Zabbix agent 2 SMART plugin (lsurvilo)
A.F....... [ZBX-26009] prevented reporting successful completion for several UI actions when database transaction commit fails; fixed inability to identify interruption of database connection when calling *.get API methods (vmaksimovs)
..F....... [ZBX-25717] fixed tag inheritance for discovered triggers (esekace)
..F....... [ZBX-24714] fixed broken custom on fail layout in item preprocessing form in some languages (agriscenko)
.........T [ZBX-25940] added namespace to Pod discovery rule in Kubernetes nodes by HTTP template (egordymov)
...G...... [ZBX-25436] updated Zabbix agent 2 server configuration description in config (esneiders)
..F....... [ZBX-25946] fixed special pattern removal from multiselect and pattern select fields (esekace)
.........T [ZBX-25855] fixed CPU item in Ubiquiti AirOS by SNMP template (abrosimovs)
..F....... [ZBX-25837] fixed global notification sound playback duration (esekace)
........S. [ZBX-22617] enhanced Zabbix server performance by implementing parallel syncing of trends and avoiding range queries, resulting in faster shutdown times (vso)
...G...... [ZBX-25798] fixed error with converting empty string to utf8 (MVekslers)
........S. [ZBX-25365] fixed map element deletion during LLD and action operation processing via Zabbix server (asestakovs)
........S. [ZBX-25706] updated macro substitution process to re-try resolving macros in item key parameters and macro context without double-quoting if quoting was not possible (asestakovs)
........S. [ZBX-25907] fixed autoregistration with proxy group to specific proxy in same proxy group (wiper)
.......PS. [ZBX-25860] prevented 06050165 upgrade patch from saving oversized escaped function parameters (arimdjonoks)
A......... [ZBX-26057] returned presence of missing message_format field in output of mediatype.get API method (wczerneha)
....I..... [ZBX-26108] fixed Zabbix agent build on Windows with PCRE2 installed with vcpkg (mprihodko)
..F....... [ZBX-25678] fixed inability to select multiple tag values in graph subfilter (esekace)
........S. [ZBX-25651] improved trend update performance on TimescaleDB by using upserts instead of updates (vso)
........S. [ZBX-25419] fixed macro expansion when simple context macro begins with substring ":regex" (mprihodko)
..F....... [ZBX-25607] fixed column width in multiple list pages (esekace)
.........T [ZBX-26029] added device retrieval loop error exception handling to Meraki template (abiba)
........S. [ZBX-26066] fixed autoreg_host table overflow during autoregistration (sboidenko)
........S. [ZBX-25731] fixed host interface going to unknown state when switching proxies due to proxy HA (dgoloscapov)
.........T [ZBX-26016] fixed network device and mounted fs LLD rules in VMware Guest template; updated datastore item prototypes for family of VMware templates (akotsegubov)
.......PS. [ZBX-26014] added c-ares support for agent poller and snmp poller (vso)
A......... [ZBX-25670] restored audit logging of host group links to hosts (jfreibergs)
..F....... [ZBX-25911] fixed correlation form popup opening on event details page (rgontarski)
...GI..PS. [ZBX-25140] made configure reject TLS unaware compilers (jxl)
.........T [ZBX-26070] fixed macro in HashiCorp Consul Cluster by HTTP template (abrosimovs)
....I..... [ZBX-25868] fixed missing permissions for built-in templates (asestakovs)
..F....... [ZBX-22952] made header matching case-insensitive (agriscenko)
A...I..... [ZBX-26010] fixed template cloning error caused by invalid enabled_lifetime_type value (asestakovs)
.......PS. [ZBX-25991] fixed invalid SQL statement during network discovery when using Oracle database (asestakovs)
..F....... [ZBX-25582] fixed approximation "all" for SVG graph widget with multiple entries and same timestamp on single item (dfofanovs)
..F....... [ZBX-23687] added improvements and fixed bugs related to context menus (dfofanovs)
.........T [ZBX-26122] fixed preprocessing step for monthly costs; added triggers for raw data; updated dashboard in Azure Cost Management by HTTP template (egordymov)

--------------------------------------------------------------------------------
Changes for 7.0.10

7.0.10rc1 was released as 7.0.10 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.10rc1

New features:
.........T [ZBXNEXT-9606] added Palo Alto PA-440 by HTTP template (drasikhov)
........S. [ZBXNEXT-9771] updated maximum supported TimescaleDB version to 2.18 (mprihodko)
A.F....... [ZBXNEXT-9624] added support for PHP 8.4 (talbergs)
...G...... [ZBXNEXT-7121] added User parameter to Zabbix agent 2 Redis items (esneiders)
.........T [ZBXNEXT-9584] added improvements and fixes to Dell HTTP and SNMP templates (abrosimovs, knaglis)
.........T [ZBXNEXT-9654] added Azure SQL Managed Instance by HTTP template (abrosimovs)

Bug fixes:
.......PS. [ZBX-26253] fixed large data transfers being uncompressed without authorization (vso)
A......... [ZBX-26023] restored ability for users to get all alerts within same user group; fixed "provisioned" property type for user Media object (jfreibergs)
A......... [ZBX-18432] fixed inability to view certain problems and events by users with specific permissions on tags when permissions on all tags are given to specific host group (dpankins)
A.F.....S. [ZBX-23760] added prevention of deleting host groups, templates, hosts, triggers, services, discovery rules, and discovery checks if they are used in action conditions or operations (agriscenko, dgoloscapov)
...G...... [ZBX-25932] fixed Zabbix sender returning incorrect exit code when having partial success (dgoloscapov)
...G...... [ZBX-25962] fixed incorrect serialization of complex objects leading to crashes in wmi.getall (dgoloscapov)
...G...... [ZBX-21205] added information about JSON in oracle.custom.query response (sjurgensons)
..F....... [ZBX-24740] fixed main menu chevrons (apoga)
...G...... [ZBX-23750] added README to Zabbix agent 2 Smart plugin (sjurgensons)
.......PS. [ZBX-25899] added support of DNS with multiple addresses (vso)
.........T [ZBX-26024] removed event name from configuration change trigger in Redis by Zabbix agent 2 template (drasikhov)
.......PS. [ZBX-25994] fixed value cache filling up if trigger is disabled (vso)
.......PS. [ZBX-25137] improved logs for SNMP poller (vso)
..F....... [ZBX-25768] fixed green dot indicator not displaying in Graph and Pie chart widgets when some fields are modified (isharha)
...G...... [ZBX-25236] corrected MQTT message handler not to block (sjurgensons)
..F....... [ZBX-25233] removed unused interfaces and interfaces with disabled items from host interface overall status calculation (dfofanovs)
..F....... [ZBX-25939] fixed incorrect tooltip text placement when using Space or Enter key (isharha)
........S. [ZBX-25777] reduced load on history syncers after startup by delaying trigger timer functions calculation by one minute (vso)
..F....... [ZBX-25778] fixed incorrect style of dropdowns in Frontend notifications section (isharha)
..F....... [ZBX-25844] fixed console errors in Graph widgets when rendering data as points (isharha)
...G...... [ZBX-25442] fixed Zabbix agent interpretation of Modbus result data for mixed endianness modes (asestakovs)
...G...... [ZBX-25543] fixed crash when global regular expression is updated on Zabbix agent 2 (vso)
..F....... [ZBX-25862] fixed inability to update discovered trigger status (esekace)
..F....... [ZBX-25220] fixed Top hosts widget not loading in case of inaccessible maintenance (dfofanovs)
.......PS. [ZBX-22580] reduced nodata trigger false positives after Zabbix proxy connection disruption (arimdjonoks)
..F....... [ZBX-25539] fixed console error when configuring Top hosts or Item history widget to display the same thumbnail in more than one column (rgontarski)
.........T [ZBX-25458] fixed LLD rule for organization discovery; changed host prototype Host field to avoid special characters (abiba)
........S. [ZBX-25748] fixed DNS refresh on configuration change (sboidenko)
.........T [ZBX-25504] updated quorum and quorum member discoveries for family of MSSQL templates (akotsegubov)
...G...... [ZBX-25530] fixed Zabbix agent 2 startup failures caused by insufficient buffer size for performance counters (asestakovs)
..F....... [ZBX-25120] fixed Map widget flickering on refresh (apoga, averza)
........S. [ZBX-25244] fixed {PROXY.NAME} and {PROXY.DESCRIPTION} macros to be resolved when proxy group is used (asestakovs)
..F....... [ZBX-25513] fixed value not being cleared in Gauge widget after item data history is cleared (dfofanovs)
..F....... [ZBX-25471] fixed emptying of web scenario Variables and Headers data (wczerneha)
...G...... [ZBX-22522] fixed web.page.get curl header (sboidenko)
...G...... [ZBX-25382] applied pkgsrc patch to restore builds on NetBSD >= 8.2 (jxl)
..F....... [ZBX-25758] fixed saving of filter state in trigger list (esekace)
..F....... [ZBX-25681] fixed newly added tag field state in maintenance form after changing maintenance type (esekace)
..F....... [ZBX-25511] fixed overriding Y-axes in Graph widget; fixed long names in Graph and Pie Chart widget datasets (averza)
..F....... [ZBX-25666] fixed maintenance status display for submap elements when trigger elements are used (esekace)
.........T [ZBX-25601] fixed HTTP proxy parameter name in Microsoft 365 reports by HTTP template (drasikhov)
..F....... [ZBX-25730] fixed target for URLs in menu pop-up (esekace)

--------------------------------------------------------------------------------
Changes for 7.0.9

7.0.9rc2 was released as 7.0.9 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.9rc2

Bug fixes:
.......PS. [ZBX-25903] fixed usmStatsNotInTimeWindows value being used when received and not handled by Net-SNMP library (vso)

--------------------------------------------------------------------------------
Changes for 7.0.9rc1

New features:
...G...... [ZBXNEXT-9686] improved Zabbix agent 2 Smart plugin error handling with missing privileges (esneiders)

Bug fixes:
A......... [ZBX-26255] introduced clamping for mitigation of timing attacks (jfreibergs, vmaksimovs)
A.F....... [ZBX-26258] restricted access to user related fields using user.get, alert.get, role.get API methods for users of User and Admin types (vmaksimovs, wczerneha)
.......PS. [ZBX-25876] fixed escaping in script item parameters (askolmeisters)
..F....... [ZBX-24936] fixed button positioning in button split of multiselect (dfofanovs)
..F....... [ZBX-25466] removed title from item mass update preprocessing steps checkbox (dpankins)
..F....... [ZBX-24751] fixed trigger and trigger prototype form event name field height update which spans multiple lines (gcalenko)
..F....... [ZBX-25532] fixed stacked line graph point rendering (dpankins)
..F....... [ZBX-25264] fixed display of log time in Item history widget (dpankins)
..F....... [ZBX-24644] changed history trends compression header text in housekeeping to also include audit (dpankins)
.......PS. [ZBX-25824] fixed SNMP-based discovery rules to prevent potential flooding with requests when a host has flapping availability (dgoloscapov)
A......... [ZBX-24690] fixed YAML generation in compact nested mapping mode (gcalenko)
...G...... [ZBX-24672] replaced collector interface with runner interface in Zabbix agent 2 perfmon plugin (asestakovs)
.......PS. [ZBX-25391] fixed error in the log file when retrieving VMware tags from an ESXi host (MVekslers)
...G...... [ZBX-25439] added MariaDB specific info to MySQL plugin README (sjurgensons)
.......PS. [ZBX-25108] added more verbose logging of SNMP async agent failures, fixed error not being cleared in different edge cases (dgoloscapov, vso)
...G...... [ZBX-25443] updated Go version requirement to 1.21 (esneiders)
..F....... [ZBX-25445] fixed regrepl macro function when capturing groups are used (esekace)
.......PS. [ZBX-25568] fixed user macros in preprocessing scripts not being resolved to latest values (wiper)
.......PS. [ZBX-25584] fixed high load of VMware collector in case of large number of new events and added history cache overload control (MVekslers)
.......PS. [ZBX-25672] fixed on-demand configuration sync between Zabbix server and proxy when TimescaleDB is used (mprihodko)
...G...... [ZBX-25460] fixed inconsistent report of free disk space by Zabbix agent 2 in response to vfs.fs.get on Windows (mprihodko)
.......PS. [ZBX-25865] fixed issue causing vmware.hv.network.linkspeed metric failure and resulting in poller becoming unresponsive (MVekslers)
..F....... [ZBX-22979] added focus traps to API Token creation and Event correlation, Scripts, and Services clone popups (rgontarski)
...G...... [ZBX-25725] fixed wmi.getall causing crash in Zabbix agent 2 when result contains a pointer to IDispatch (dgoloscapov)
.......P.. [ZBX-25782] fixed Zabbix proxy failing to create database on RHEL (dgoloscapov)
...G...... [ZBX-25501] fixed scheduled report generation failures when external dashboard resources fail to load (dgoloscapov)
...G...... [ZBX-25502] fixed net.dns.record for Zabbix agent 2 (esneiders)
........S. [ZBX-24549] improved Elasticsearch performance by querying in time intervals and not calling index refresh; added slow query log; fixed queries not working (vso)

--------------------------------------------------------------------------------
Changes for 7.0.8

7.0.8rc2 was released as 7.0.8 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.8rc2

Bug fixes:
........S. [ZBX-25797] fixed Zabbix server crash during autoregistration (arimdjonoks)
.......PS. [ZBX-25776] fixed Zabbix server crash when testing some internal items (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.8rc1

New features:
.........T [ZBXNEXT-9572] added Juniper MX by SNMP template (egordymov)

Bug fixes:
A......... [ZBX-26257] fixed SQL injection vulnerability when calling "get" methods with "groupBy" parameter (agriscenko)
.......PS. [ZBX-25373] fixed possibility to insert duplicate triggers via LLD (dgoloscapov)
.......PS. [ZBX-25719] fixed crash during SNMP walk value preprocessing if value contains NULL (vso)
........S. [ZBX-25754] fixed LLD rollback when reaching 30k dependent item limit (wiper)
.......PS. [ZBX-25677] removed failure when encountering mismatched OID in SNMP async poller (dgoloscapov, vso)
..F....... [ZBX-24652] fixed name filtering for Maps and Discovery rules (wczerneha)
..F.....S. [ZBX-24916] fixed date/time calculation for numeric (unsigned) item values with unixtime units after the year 2038 (dfofanovs, sboidenko)
........S. [ZBX-25671] fixed compilation with libevent version below 2.1.6 (sboidenko)
..F....... [ZBX-25374] fixed loading animation for the enable/disable action (wczerneha)
..F....... [ZBX-25467] fixed tabulation in Item history widget, Top hosts widget, and Latest data Last value hintbox (dfofanovs)
.......PS. [ZBX-25765] fixed crash when overriding LLD trigger (dgoloscapov)
........S. [ZBX-25363] fixed connector error spam to log (sboidenko)
.......PS. [ZBX-25642] enhanced JavaScript preprocessing to execute in parallel when handling multiple values for the same item (vso)
..F....... [ZBX-25259] fixed hintbox positioning (apoga)
..F....... [ZBX-25206] removed padding in Geomap widget (apoga)
..F....... [ZBX-25489] removed action "Remove" from discovered triggers (rgontarski)
..F....... [ZBX-24963] fixed links in Graph widgets on host dashboard created by graph prototype (rgontarski)
........S. [ZBX-23103] fixed parsing of JSONPath containing dollar sign (arimdjonoks)
.......PS. [ZBX-25089] fixed auto registration loop with proxy group (sboidenko)
..F....... [ZBX-24608] fixed "No data" word overlap in Clock widget (apoga, ddauksa)
..F....... [ZBX-25410] fixed incorrectly displayed password field for public key authentication method in item form (esekace)
..F....... [ZBX-25222] fixed cloning host with graph that contains item from another host (gcalenko)
..F....... [ZBX-24616] fixed permission check for trigger expression constructor (gcalenko)
A......... [ZBX-25732] fixed inability to make cross-origin requests to API when passing authentication token using Authorization HTTP header; fixed inability to make cross-origin HTTP OPTIONS request to API endpoint (vmaksimovs)

--------------------------------------------------------------------------------
Changes for 7.0.7

7.0.7rc1 was released as 7.0.7 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.7rc1

New features:
.......PS. [ZBXNEXT-9622] added top.peak in diaginfo to identify items with highest task queue (vso)
...G...... [ZBXNEXT-8914] reworked Oracle plugin queries to use variable binding (dgoloscapov, esneiders)
..F....... [ZBXNEXT-9228] implemented automatic selection of the first element of a broadcast-capable widget (averza, wczerneha)
A.F....... [ZBXNEXT-8690] implemented a new filter in media types list view to display actions based on the scope of their media type usage (Ivo)

Bug fixes:
..F....... [ZBX-26254] fixed reflected XSS in valuemap export URL (talbergs)
.......PS. [ZBX-25497] added support for VMware perfCounter measured in gigabytes (MVekslers)
........S. [ZBX-25686] fixed an SQL error in network discovery action processing (wiper)
.......P.. [ZBX-25664] fixed nested transactions on Zabbix proxy when using hybrid buffer (dgoloscapov)
A......... [ZBX-25350] prohibited deleting user groups that are used in userdirectory user group mappings (gcalenko)
..F....... [ZBX-24895] changed double quotes to single quotes for a string in an SQL statement (rgontarski)
..F....... [ZBX-25010] fixed trigger being displayed in its own dependency list (rgontarski)
.......PS. [ZBX-25515] improved LLD error messages when unable to create or update an entity (dgoloscapov)
..F....... [ZBX-25525] fixed parent template changes affecting linked template overrides in trigger and trigger prototype forms (esekace)
...G...... [ZBX-25377] fixed crash when executing vfs.fs.size or other metrics and forked metric is terminated abnormally (vso)
...G...... [ZBX-25390] fixed vfs.fs.get item for Digital Audio CD disks on Windows (MVekslers)
.......PS. [ZBX-25590] fixed failures to convert double to uint64 in preprocessing (dgoloscapov)
.......PS. [ZBX-25596] fixed handling of preprocessing history when the value type of an item is changed (dgoloscapov)
.......PS. [ZBX-25136] fixed item testing preprocessing not being performed on Zabbix proxy when the item itself is being tested on Zabbix proxy (wiper)
........S. [ZBX-24970] fixed forgotten places for macro functions support (akozlovs)
..F....... [ZBX-25183] fixed the color of selected items in a collapsed main menu for high contrast themes (wczerneha)
........S. [ZBX-25551] fixed preprocessing being skipped during history.push if host is monitored by Zabbix proxy (vso)
...G...... [ZBX-25267] fixed Zabbix agent 2 refusing PSK connections when using PSK and certs (dgoloscapov)
.......PS. [ZBX-25548] fixed SNMP agent walk and get keys returning non-printable ASCII characters as string if hints are missing (vso)
...G...... [ZBX-25550] fixed crash in Zabbix agent when Zabbix server is restarted in the middle of connection (vso)
.......PS. [ZBX-25517] reduced shared memory usage for item tags by storing links in heap (vso)
...G...... [ZBX-25562] fixed Zabbix agent build problem on NetBSD due to zbxsysinfo issue (dgoloscapov)
...G...... [ZBX-25404] fixed issue of trapper item failing when space character is used in the 'Allowed hosts' field (MVekslers)
.........T [ZBX-24866] added trigger name prefixes (abakaldin)
....I..... [ZBX-25321] dropped reliance on pre-2.x libevent API and headers (jxl)
..F....... [ZBX-25269] fixed widget iterator readiness (apoga, averza)
..F....... [ZBX-25022] fixed copying of master and dependent items to multiple destinations (Ivo)
A.F....... [ZBX-22350] fixed aggregations for datasets in SVG graph widget (agriscenko)

--------------------------------------------------------------------------------
Changes for 7.0.6

7.0.6rc1 was released as 7.0.6 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.6rc1

New features:
A......... [ZBXNEXT-9404] enabled usage of the mediatype.get method for users with the User role with a limited field scope (wczerneha)
.........T [ZBXNEXT-9249] added new items and trigger for disk space usage in LXC containers for Proxmox VE by HTTP template (akotsegubov)
..F....... [ZBXNEXT-9563] increased the maximum number of lines for widgets displaying data in rows (wczerneha)
.......PS. [ZBXNEXT-9405] added pagination for collecting VMware events based on free shared memory (MVekslers)
.........T [ZBXNEXT-9557] added Website certificate by Zabbix agent 2 active template (abakaldin)
.........T [ZBXNEXT-9549] added active agent templates for LAMP stack monitoring (abakaldin)
.........T [ZBXNEXT-9382] added Nutanix template (akotsegubov)
........S. [ZBXNEXT-9532] updated maximum supported TimescaleDB version to 2.17 (mprihodko)
.......PS. [ZBXNEXT-9238] updated maximum supported PostgreSQL version to 17 (mprihodko)
.........T [ZBXNEXT-9058] updated VMware Hypervisor template for ability to work as a standalone template (akotsegubov)

Bug fixes:
........S. [ZBX-25322] fixed action command sending to proxies assigned to proxy group (wiper)
........S. [ZBX-25463] fixed an endless loop in the report manager (sboidenko)
.......PS. [ZBX-25479] improved asynchronous pollers to count as busy when maximum capacity has been reached (vso)
.......PS. [ZBX-25050] improved preprocessing manager memory consumption by starting 16 preprocessing workers by default and releasing reserved memory daily (vso)
........S. [ZBX-25477] fixed the crash occurring when a calculated item contained large value (vso)
..F....... [ZBX-21618] fixed the layout of multiple list pages when displaying long entity names (esekace)
..F....... [ZBX-25444] fixed missing maintenance data in maps for map-type elements (esekace)
....I....T [ZBX-24994] removed UUIDs for host elements in the default data (abakaldin, asestakovs)
........S. [ZBX-25397] fixed events not being suppressed during maintenance if a deadlock occurred (vso)
...G...PS. [ZBX-24614] fixed unidirectional SSL shutdown being performed by both sides resulting in RST packets during communication between Zabbix components (vso)
........S. [ZBX-25162] optimized dependent item validation in LLD (wiper)
.........T [ZBX-25096] fixed performance counter query in MSSQL by ODBC template; updated documentation in MSSQL by Zabbix agent 2 template (akotsegubov)
A......... [ZBX-24410] prevented occasional mismatch of preprocessing step order in inherited items when linking a template to a host (vmaksimovs)
.......PS. [ZBX-25455] fixed reserving too much memory for preprocessing and tags in the configuration cache (vso)
...G...... [ZBX-24954] removed references to GnuTLS from the configuration file (wiper)
...G...PS. [ZBX-25301] removed redundant message size check on 32-bit platforms when sending TCP message (arimdjonoks)
..F....... [ZBX-25208] fixed merging of user macros in the `Inherited and host/template/host prototype macros` mode; fixed resolving of user macros with unquoted context started with "regex:" (Sasha)
..F....... [ZBX-24972] fixed the inability to open links from host-type map elements in a new tab (esekace)
.......PS. [ZBX-25305] fixed the timeout not being applied to Zabbix agent passive checks (vso)
.......P.. [ZBX-25024] updated Zabbix proxy to use history write time instead of the value timestamp when discarding old values (wiper)
........S. [ZBX-25465] fixed action notifications with Convert to cause option selected being mixed with other actions (sboidenko)
.........T [ZBX-20767] removed the unnecessary Discard with heartbeat preprocessing step from discovery rules in Linux and Nextcloud templates (drasikhov)
A......... [ZBX-23949] fixed processing of the `host` parameter for trigger prototypes (jfreibergs)
..F....... [ZBX-25273] fixed the incorrect vertical scale for s-units in graphs (averza, dfofanovs)
........S. [ZBX-25320] improved the error message for errors related to dashboard formatting as PDF (mprihodko)
........S. [ZBX-25324] fixed FreeTDS ODBC login with special characters in the password field (sboidenko)
A......... [ZBX-25034] fixed discovery rule export issue where host prototypes with template override defined used template’s visible name (wczerneha)
..F....... [ZBX-20848] fixed multiselect not suggesting a just-removed record (apoga, averza)
A.F....... [ZBX-24528] prevented SQL errors from being displayed to non-authorized users (gcalenko, jfreibergs)
A.F....... [ZBX-21503] prevented creation of audit logs for Media type objects on updates without actual changes (jfreibergs)
..F....... [ZBX-24633] fixed code error when viewing graph and trigger lists with discovered objects set to expire (jfreibergs)
..F....... [ZBX-25139] prevented sending of empty query_fields, headers or parameters for item testing (jfreibergs)
A......... [ZBX-24846] fixed checking for orphaned maintenances when deleting a host or host group (wczerneha)
..F....... [ZBX-23676] fixed incorrect displaying of rebranded sidebar logotypes (averza)
..F....... [ZBX-25091] fixed colors of the selected read-only radio buttons (rgontarski)
.........T [ZBX-25392] fixed description of Microsoft 365 reports by HTTP template (abrosimovs)
.......PS. [ZBX-24698] fixed loading of SSL certificate and key in the poller process for HTTP agent checks (Andris)
........S. [ZBX-24582] truncated the error message for testing items with a value type mismatch (rtrizna)
..F....... [ZBX-25393] fixed unwanted page scrolling when editing text in multiline text fields (averza)
.......... [ZBX-27283] fixed incorrect library paths when building AIX agents (yurii)

--------------------------------------------------------------------------------
Changes for 7.0.5

7.0.5rc1 was released as 7.0.5 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.5rc1

New features:
.......PS. [ZBXNEXT-6726] added auto renew Hashicorp vault periodic service tokens (sboidenko)
........S. [ZBXNEXT-9397] replaced forced proxy timeout sync between Zabbix server and proxy by sync on demand (mprihodko)
.........T [ZBXNEXT-9457] added Huawei OceanStor V6 by SNMP template (abrosimovs)
...G...... [ZBXNEXT-9281] added configurable item timeout support (dgoloscapov)
........S. [ZBXNEXT-9246] added monitoring of HA manager process utilization (mprihodko)

Bug fixes:
A......... [ZBX-24500] fixed an issue that allowed defining multiple PSK keys for the same PSK identity used in hosts, proxies, and autoregistration (gcalenko)
...G...... [ZBX-24960] fixed specified item test by Zabbix agent 2 on Windows for "system.uptime" and other performance counter-based items (asestakovs)
........S. [ZBX-25298] fixed LLD rule lifetime parameters to be updated during template linking by autoregistration and network discovery (asestakovs)
....I..... [ZBX-24955] fixed cuid_timestamp PostgreSQL function for database dump and restore (askolmeisters)
........S. [ZBX-25265] fixed macro function parameter escaping in LLD (wiper)
........S. [ZBX-25157] fixed misleading error message while testing a scheduled report (mprihodko)
...G...... [ZBX-24273] fixed potential Zabbix agent crash for vfs.fs.get item (MVekslers)
A.F.....S. [ZBX-25090] fixed missing binary data type when streaming data to external systems (asestakovs)
...G...PS. [ZBX-25296] removed overzealous preprocessor test for LIBRESSL_VERSION_NUMBER (jxl)
..F....... [ZBX-24249] fixed labels overflowing in widget configuration forms (apoga)
..F....... [ZBX-25182] removed length restriction for trigger expression and recovery expression fields (esekace)
..F....... [ZBX-25033] fixed errors in Problem view and widget in case "Problems" option is set and all symptoms are resolved (Ivo)
A......... [ZBX-25223] resolved issue where the selectAction parameter with "extend" in mediatype.get request returns only actionid (wczerneha)
...G...PS. [ZBX-25029] fixed initiating HA failover in the case of invalid server response (wiper)
A......... [ZBX-25159] resolved issue where API maintenance.get returns HTTP 500 when using a single "hostids" ID (wczerneha)
...G...... [ZBX-25309] fixed Zabbix agent crash on 3 user parameters reload (arimdjonoks)
........S. [ZBX-25293] fixed not-null constraint violation during low level discovery when overrides are used (vso)
..F....... [ZBX-24938] added new line handler for columns with text item data type and display set to "As is" in Item history widget (dfofanovs)
A......... [ZBX-23007] added chunking when collecting related objects for item and item prototype (dfofanovs)
..F....... [ZBX-24931] fixed vertical text layout for Korean, Japanese and Chinese languages (dfofanovs)
.........T [ZBX-25314] added check for *UNKNOWN* values in the existing webhooks (abiba)
..F....... [ZBX-24949] fixed uniqueness check of grouping attributes in Host navigator and Item navigator widgets (apoga)
..F....... [ZBX-25040] fixed incorrect DB query in item value widget when the referred widget is unavailable (averza)
A......... [ZBX-24975] fixed inability to retrieve "username", "name" and "surname" by "selectAcknowledges" parameter of event.get API (agriscenko)
..F....... [ZBX-24826] fixed external link icon overlapping text in System information widget (agriscenko)
..F....... [ZBX-23171] fixed escaping of slash character in context-based macro patterns (esekace)
..F....... [ZBX-25095] fixed action log filtering (esekace)
........S. [ZBX-25141] fixed {FUNCTION.VALUE} and {FUNCTION.RECOVERY.VALUE} macro expansion in notifications, commands, event names and manual event action scripts (dgoloscapov)
...G...... [ZBX-24684] moved Zabbix agent 2 plugin shutdown message to debug log level (esneiders)
.........T [ZBX-24805] added filter for discovery rule for family of APC templates (akotsegubov)
.........T [ZBX-23520] added timeout and fixed keys for raw items for family of MSSQL templates (akotsegubov)
..F....... [ZBX-25072] fixed splitting of a trigger expression in the expression builder (Sasha)
.........T [ZBX-22918] added database name macro for connection to all agent keys in PostgreSQL by Zabbix agent 2 (drasikhov)
.........T [ZBX-25199] updated filesystem space metrics JavaScript preprocessing in Linux by SNMP template with manual value type conversion (drasikhov)
..F....... [ZBX-24366] fixed host group filters on availability report to show correct items (jfreibergs, vmaksimovs)
.........T [ZBX-25255] fixed macro in PostgreSQL by Zabbix agent 2 template (abrosimovs)
........S. [ZBX-24702] improved certificate related error messages while loading dashboard (mprihodko)
..F....... [ZBX-24902] fixed disappearing graph type filter options when changing view mode from values back to graph (Ivo)
A......... [ZBX-24922] prevented attempt to update trigger or graph prototypes while importing discovery rules without "update existing" option specified (jfreibergs)
..F....... [ZBX-25156] fixed runtime error in trigger expression constructor if non-existent function was used in the expression field (Ivo)
........S. [ZBX-25098] fixed regsub output pattern issue with backslash and "at" sign in macro functions (sboidenko)
.........T [ZBX-25280] fixed trigger expression in Kubernetes cluster state by HTTP (egordymov)
........S. [ZBX-23010] allowed execution of files symlinked to AlertScriptsPath directory (wiper)
........S. [ZBX-24914] fixed conditional jumps error in cacheconfig when non-numeric item types are used with trends (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.4

7.0.4rc1 was released as 7.0.4 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.4rc1

New features:
..F....... [ZBXNEXT-9221] added links to host configuration forms in entity lists (esekace)
..F.I..... [ZBXNEXT-466] added the ability to filter audit log entries by IP (Ivo)
.........T [ZBXNEXT-9418] split {$PG.CONNSTRING} macro in PostgreSQL templates (abrosimovs)
..F.I...S. [ZBXNEXT-9208] implemented new macro functions and support for macro functions, JSONPath and XPath extractions in web scenario steps (esekace, sboidenko)
..F....... [ZBXNEXT-9122] added a warning icon for discovery checks used in action conditions (esekace)
.......PS. [ZBXNEXT-9416] updated max supported MariaDB version to 11.5 (mprihodko)
.........T [ZBXNEXT-9318] added Microsoft 365 reports by HTTP template (abrosimovs)
.........T [ZBXNEXT-7936] updated VMware templates (akotsegubov)
.........T [ZBXNEXT-9248] added GitHub repository by HTTP template (drasikhov)
........S. [ZBXNEXT-9408] updated max supported TimescaleDB version to 2.16 (mprihodko)
.........T [ZBXNEXT-8937] added support for IMDSv2 for role based authentication to AWS templates (egordymov)
.........T [ZBXNEXT-9245] added proxy group discovery to Zabbix server health template (knaglis)
.........T [ZBXNEXT-9398] added new mediatype webhook MS Teams Workflow (abiba)
.........T [ZBXNEXT-9341] added AssumeRole authentication to AWS templates (egordymov)

Bug fixes:
........S. [ZBX-26986] fixed secondary-order SQL injection in Zabbix server when deleting autoregistered host (wiper)
A......... [ZBX-25610] removed reliability on "sysmapelementurlid", "sysmapurlid" in URLs for map.create and map.update (Ivo)
.......PS. [ZBX-25625] fixed crash in browser item on invalid response (vso)
.......PS. [ZBX-25624] fixed crash in browser item on empty response (vso)
.......PS. [ZBX-25622] fixed crash in embedded JS when collecting performance entries after resetting default JS objects (wiper)
.......PS. [ZBX-25626] added external data validation to prevent access to internal duktape properties through HttpRequest object (wiper)
.......PS. [ZBX-25627] fixed crash in embedded JS when accessing browser element after forcing browser to be garbage collected (wiper)
........S. [ZBX-25629] fixed buffer over-read for broken UTF-8 mail data injection (sboidenko)
........S. [ZBX-24894] optimized database queries in lld lost resource handling (vso, wiper)
........S. [ZBX-25238] fixed crash when deleting proxy group and proxy at same moment (vso)
.......PS. [ZBX-25176] added retry to asynchronous SNMP pollers to avoid failure if one of packets is lost (vso)
..F....... [ZBX-25239] fixed translation strings (averza)
...G...... [ZBX-24954] added support of TLS cipher configuration to Zabbix agent 2 (wiper)
........S. [ZBX-25154] added deactivation of service manager problem cache if no services are configured (wiper)
.......PS. [ZBX-25073] added switchFrame() method to browser object (wiper)
...G...... [ZBX-25195] fixed crash in Zabbix agent for Solaris when using 'cmdline' as a parameter for an item key (MVekslers)
........S. [ZBX-24733] fixed possibility to insert history rows with duplicated timestamps via history.push (dgoloscapov)
..F....... [ZBX-24997] fixed script execution status in Action log page (esekace)
..F....... [ZBX-25106] fixed binary type items and item prototypes incorrectly displaying a zero when there no trends to configure (Ivo)
........S. [ZBX-25025] fixed DNS resolving after renew (sboidenko)
...G...PS. [ZBX-25085] fixed error of data simultaneous sending to multiple destinations by Zabbix sender (MVekslers)
.......PS. [ZBX-25045] fixed empty result for vmware.*.property items in case of large time interval between requests (MVekslers)
..F....... [ZBX-25068] changed tab key behavior for script textareas to apply indent instead of changing elements (dfofanovs)
...G...PS. [ZBX-25127] fixed crash in JSON library due to null pointer arithmetic (vso)
.......PS. [ZBX-24995] fixed SNMP OID parsing for network discovery (MVekslers)
........S. [ZBX-24993] removed reset of preprocessing history during configuration sync when preprocessing steps remain unchanged (dgoloscapov)
A......... [ZBX-24485] fixed undefined index error when importing host with technical name already in use by a template (jfreibergs, vmaksimovs)
.......P.. [ZBX-24731] fixed autoregistration at proxy in cases where custom value is used for the host interface (asestakovs)
...G...... [ZBX-24801] made frequency of active checks updates in Zabbix agent 2 better correspond to RefreshActiveChecks configuration parameter (arimdjonoks)
A......... [ZBX-24526] fixed notice when importing a non-template configuration file via the Templates page (jfreibergs)
...G...... [ZBX-24245] fixed Zabbix agent 2 and loadable plugin protocol mismatch error (esneiders)
........S. [ZBX-22557] fixed time zones conflict lead to report scheduling errors (sboidenko)
A......... [ZBX-24792] fixed query generation error in retrieval of alerts by non-Superadmin users without user group (jfreibergs)
..F....... [ZBX-25026] fixed percentile line being displayed outside of classic graph (Ivo)
A......... [ZBX-24099] prevented ability to enable LDAP authentication without specifying a user directory (jfreibergs)
..F....... [ZBX-25084] fixed permission check for scripts with manual input (esekace)
........S. [ZBX-24950] fixed macro function ignoring if text is added before the macro (akozlovs)
..F....... [ZBX-25122] fixed column configuration form crashing on save in Item history widget (dfofanovs)
...G...... [ZBX-22761] fixed Zabbix agent 2 runtime command result output to stderr (rzvejs)
...G...... [ZBX-23535] added alternative data source parsing for key ceph.status (rzvejs)
...G...... [ZBX-24418] fix Zabbix agent 2 build on mips architectures (rzvejs)
...G...... [ZBX-24471] fixed system.run[,nowait] to include double quotes the same way as system.run[,wait] (asestakovs)
...G...... [ZBX-24619] updated atomic variables to be more safe (esneiders)
..F....... [ZBX-24052] fixed the error when applying subfilter by tag on graph page if item tag contains special characters (wczerneha)
..F....... [ZBX-24051] fixed disappeared space between tags after applying tag values subfilter on the Latest data page (wczerneha)
....I...S. [ZBX-24819] fixed slow template cloning (asestakovs)
..F....... [ZBX-24039] fixed blank page with a JSON error is returned in case if user attempts to enable/disable a host that is removed by another user (wczerneha)
..F....... [ZBX-24570] fixed right Y axis being enabled by default in SVG graph widget (agriscenko)
..F....... [ZBX-24725] added missing maxlength parameter to description fields (aplich)
..F....... [ZBX-24691] fixed issue with SNMPv3 authentication protocol and privacy protocol values not getting sent to server for item testing (gcalenko)
..F....... [ZBX-24874] fixed item preprocessing Custom on fail checkbox readonly and disable state toggling (ddauksa)
A......... [ZBX-23315] prevented attempt to update host triggers when importing template through hosts page (epulke, jfreibergs)
A.F....... [ZBX-24750] fixed issues with maximum field length for map elements and shapes (Ivo)
........S. [ZBX-25081] reduced the alerts table polling in alert syncer (wiper)
........S. [ZBX-25020] fixed macro usage in http agent custom interval (sboidenko)
..F....... [ZBX-24966] fixed sorting in Map navigation tree widget (apoga)
.......P.. [ZBX-24675] fixed Zabbix Proxy configuration synchronization for entries with maximum length names (asestakovs)
........S. [ZBX-24394] made trigger housekeeper documentation more precise (dgoloscapov)
..F....... [ZBX-24431] prevented showing the disabled items in the case when not supported state has been selected (aplich)
........S. [ZBX-24636] fixed {HOST.CONN}, {HOST.DNS} and {HOST.IP} to be resolved to unknown in notifications instead of stopping resolving and to be resolved to empty when there is no interface (vso)
..F....... [ZBX-24554] added improvements and fixes for binary item usage in Item history widget (dfofanovs)
..F....... [ZBX-24728] fixed Item history widget column namings being too long after item selection (dfofanovs)
A......... [ZBX-24339] fixed validation of invalid API methods being passed down in user role rules (Ivo)
........S. [ZBX-24760] fixed default timezone in macro {EVENT.DATE} & {EVENT.TIME} expansion (mprihodko)
.......PS. [ZBX-24787] fixed execution of remote commands when agent interface is not present (dgoloscapov)
..F....... [ZBX-24147] fixed translation strings and comments to gender neutral ones (dpetra)
........S. [ZBX-25023] fixed usage of old libevent library versions (sboidenko)
..F....... [ZBX-24650] fixed {ITEM.LOG.SEVERITY} macro to resolve to event severity instead of trigger severity (esekace)
..F....... [ZBX-24903] fixed row count in script dialog of script item (apoga)
..F....... [ZBX-24730] fixed hintboxes in icon mapping (apoga)
..F....... [ZBX-24200] fixed long custom severity names and count in Problems by severity widget (apoga)
..F....... [ZBX-24466] fixed configuration map import not resetting element icons (talbergs)
..F....... [ZBX-21663] implemented ability to keep timeselector expanded when changing pages in problem view (vmurzins)
.......PS. [ZBX-24989] fixed memory leak in poller and snmp poller with SNMP agent item type when engine ID is frequently changed (vso)
..F....... [ZBX-23174] fixed frontend maintenance configuration not following documentation (agriscenko)
..F....... [ZBX-21838] fixed action names in mediatype and script lists being displayed differently; added total number of actions each mediatype/script being used in (agriscenko)
........S. [ZBX-25009] improved configuration syncer performance when reading items and hostmacro table (vso)

--------------------------------------------------------------------------------
Changes for 7.0.3

7.0.3rc1 was released as 7.0.3 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.3rc1

New features:
...G.....T [ZBXNEXT-9000] changed query table for ASM disk group metrics in Oracle Database plugin and Oracle by ODBC template (knaglis)
..F....PS. [ZBXNEXT-9218] added proxy group discovery internal item (mprihodko)

Bug fixes:
.......PS. [ZBX-25621] fixed possible buffer overflow in SNMP async poller when engineId exceeds maximum length as per standard (dgoloscapov)
....I..... [ZBX-25628] fixed possible line injection when handling SNMP traps using zabbix_trap_handler.sh from Zabbix Docker image, improved validation of SNMP traps in zabbix_trap_receiver.pl (dgoloscapov)
.......PS. [ZBX-25611] removed possibility of accessing internal duktape properties with atob function (wiper)
........S. [ZBX-24800] fixed global scripts being executed on Zabbix server instead of Zabbix proxy when used in actions (vso)
A........T [ZBX-24930] fixed inability to import latest official templates to 7.0.0 version (abiba, vmaksimovs)
..F....... [ZBX-24940] fixed issue with dependent trigger copying (vmaksimovs, vmurzins)
....I..... [ZBX-24576] fixed built-in dashboard "Local network" map element highlight overlapping the widget header (Ivo)
....I..... [ZBX-24547] removed duplicate matching name "Problems by severity" in built-in "Global view" dashboard (Ivo)
..F....... [ZBX-23844] fixed long names of icons and background images overlapping each other (agriscenko)
..F....... [ZBX-24835] fixed case-conversion and preg functions working incorrectly with the Turkish locale (agriscenko)
........S. [ZBX-23510] removed redundant userdirectory_usrgrp_3 index (arimdjonoks)
.......PS. [ZBX-24926] fixed bad argument error when using latest libcurl (vso)
...G...... [ZBX-23495] fixed Zabbix agent 2 still sending active check heartbeats when they are disabled (dgoloscapov)
..F....... [ZBX-24708] fixed hint visualization issues in Graph widget (apoga)
..F....... [ZBX-24769] fixed radio buttons in SVG graph data set becoming unresponsive after deleting another data set (agriscenko)
........S. [ZBX-24879] fixed ODBC login with special characters in the password field (sboidenko)
..F....... [ZBX-24947] fixed PHP runtime errors while processing frontend notifications (Sasha)
.........T [ZBX-24927] fixed duplicate references in dashboard widgets (akotsegubov)
..F....... [ZBX-23867] fixed inherited timeout not being passed to LLD testing form (agriscenko)
...G...PS. [ZBX-24779] fixed signal propagation issues when using Zabbix as a PID1 in a container (dgoloscapov)
A......... [ZBX-24543] removed restriction to remove a user group or removing a user from a user group when the user belongs to only one user group (gcalenko)
A......... [ZBX-24251] fixed login error when SAML authentication is enabled without a SAML userdirectory (gcalenko)
...G...... [ZBX-24824] improved loadable plugin connection broker (rzvejs)
A......... [ZBX-24583] fixed inability to export/import web scenario with digest authentication (jfreibergs)
..F....... [ZBX-23954] fixed Pie chart widget displaying "No data" if data is 0 (wczerneha)
..F....... [ZBX-23927] fixed the incorrect layering of dropdown menu in Graph and Pie chart widgets (wczerneha)
..F....... [ZBX-23877] fixed different displaying in left/right axis for SVG Graph widget (wczerneha)
..F....... [ZBX-21815] fixed issue with undefined offset for media type when it was deleted before saving the user (wczerneha)
.........T [ZBX-24617] fixed hardcoded region in AWS by HTTP template (egordymov)
..F....... [ZBX-23905] fixed double scroll in script dialogs (apoga)
..F....... [ZBX-23714] fixed items popup layout (apoga)
.........T [ZBX-24859] fixed JavaScript in S3 buckets discovery rule (egordymov)
..F....... [ZBX-18767] fixed word breaks in flexible text input fields and trigger expressions (ddauksa)

--------------------------------------------------------------------------------
Changes for 7.0.2

7.0.2rc2 was released as 7.0.2 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.2rc2

Bug fixes:
.......PS. [ZBX-24658] fixed host-proxy mapping update on proxies with forced full configuration sync (wiper)
A......... [ZBX-24683] fixed validation rules in event.get() and problem.get() methods (Sasha)
........S. [ZBX-24915] fixed housekeeper delete parameter (askolmeisters)

--------------------------------------------------------------------------------
Changes for 7.0.2rc1

New features:
....I...S. [ZBXNEXT-9230] converted history_bin table to hypertable for TimescaleDB (asestakovs)
.........T [ZBXNEXT-9217] added AWS Lambda by HTTP template (egordymov)
.......PS. [ZBXNEXT-9293] updated max supported MySQL version to 9.0 (mprihodko)
........S. [ZBXNEXT-9285] added {EVENT.UPDATE.STATUS} support for Service update notifications (MVekslers)

Bug fixes:
A......... [ZBX-25614] prohibited ability to change own username, role, and user groups for users of type Admin or User (jfreibergs)
.......PS. [ZBX-24889] fixed crash when VMware eventlog data is still not collected (MVekslers)
...G...... [ZBX-24460] removed sending length of data in reserved field when compression is not used in Zabbix agent 2 (dgoloscapov)
.......PS. [ZBX-24524] fixed "New values per second" statistic to include dependent items in calculation (asestakovs)
........S. [ZBX-24743] fixed wrong DB error handling on host tag deletion by network discovery action operation (mprihodko)
..F....... [ZBX-24695] fixed hintbox sizing (apoga)
.........T [ZBX-24773] fixed duplicate item preprocessing in Kubernetes Kubelet by HTTP template (egordymov)
..F....... [ZBX-24651] fixed errors in minimum size widgets (apoga)
..F....... [ZBX-24613] fixed disappearing "Back" button on refresh in submaps of Map widget (apoga)
..F....... [ZBX-24163] fixed submap addition in Map navigation tree widget to not append same submaps repeatedly (apoga)
A......... [ZBX-24772] fixed inability to access actions targeting users having at least one common user group with the current user of Admin role (vmaksimovs)
........S. [ZBX-24821] made 'execute_on' value being recorded in audit only for shell scripts (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.1

7.0.1rc2 was released as 7.0.1 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.1rc2

Bug fixes:
........S. [ZBX-24852] fixed compression policy change bug (askolmeisters)
...G....S. [ZBX-24719] fixed Zabbix agent 2 crashing when executing global script (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.1rc1

New features:
..F....... [ZBXNEXT-9215] added option to specify widgets as data sources for items in Graph and Pie chart widgets (ashubin, averza)
.........T [ZBXNEXT-8657] updated Zabbix health templates with new items and visualization (atocko)
........S. [ZBXNEXT-9143] added index on auditlog recordsetid (arimdjonoks)
...G...... [ZBXNEXT-9194] extended proc.get in Zabbix agent 2 to get proportional set size (PSS) memory on Linux (dgoloscapov)
........S. [ZBXNEXT-9260] updated soft minimal TimescaleDB version to 2.13 (mprihodko)
...G...... [ZBXNEXT-9081] added Small Computer System Interface (SCSI) device type support to Zabbix agent 2 Smart plugin (rzvejs)
.........T [ZBXNEXT-6445] added recovery expression for fuzzytime triggers in Linux and Windows templates, removed fuzzytime triggers from active agent templates (drasikhov)
.........T [ZBXNEXT-8868] added discovery and template for Azure VM Scale Sets (abrosimovs)
.......PS. [ZBXNEXT-9201] updated max supported MySQL version to 8.4 (mprihodko)
........S. [ZBXNEXT-9225] updated max supported TimescaleDB version to 2.15 (mprihodko)
.......PS. [ZBXNEXT-9226] updated max supported MariaDB version to 11.4 (mprihodko)
.........T [ZBXNEXT-9140] added support for custom compartments in Oracle Cloud by HTTP templates (knaglis)
.........T [ZBXNEXT-9034] added Jira Data Center by JMX template (atocko)
.......PS. [ZBXNEXT-9145] improved VMware event log retrieval (asestakovs, MVekslers)
.......PS. [ZBXNEXT-8990] extended VMware event log with username (asestakovs)

Bug fixes:
..F....... [ZBX-25635] added session signature check before session data initialization (gcalenko)
A......... [ZBX-25623] fixed SQL injection vulnerability in user.get API (agriscenko)
........S. [ZBX-24632] fixed perf entry collection on Firefox in browser monitoring, added filtering of unserializable properties (wiper)
.......PS. [ZBX-24514] fixed standalone Zabbix server and Zabbix proxy not stopping when database is read-only (vso)
..F....... [ZBX-23936] fixed state and styling of readonly fields (ddauksa)
........S. [ZBX-24643] fixed auditlog compression by changing compression policy (askolmeisters)
.......PS. [ZBX-24712] fixed high memory usage in preprocessing manager and main process (vso)
..F....... [ZBX-22920] fixed undefined array key error in Problems widget when host is in maintenance (ddauksa)
........S. [ZBX-24649] removed logging of critical message when failing to convert value to uint64 in preprocessing (dgoloscapov)
..F....... [ZBX-24520] fixed an issue with incorrect translations used in several frontend places (Ivo)
..F....... [ZBX-24598] fixed previous value field being updated to current value in item testing from host (jfreibergs)
..F....... [ZBX-24404] fixed single escape closing all opened modal windows in map constructor (agriscenko)
..F....... [ZBX-24108] fixed error in dashboard if Map widget contains map element that user doesn't have access to (agriscenko)
........S. [ZBX-24559] fixed nextcheck update for web scenarios (dgoloscapov)
.........T [ZBX-24569] fixed old and added new items to Azure Virtual Machine template (abrosimovs)
........S. [ZBX-24689] fixed crash when using binary item value in calculated items or expression macros (dgoloscapov)
..F....... [ZBX-24577] fixed error when closing graph widget hintbox (esekace)
..F....... [ZBX-24537] fixed tags subfilter in Latest data kiosk mode (esekace)
..F....... [ZBX-23403] fixed frontend not showing pre-requisites page if PHP mbstring extension is not installed (Ivo)
..F....... [ZBX-24610] fixed host interface field appearance for discovered items (jfreibergs)
..F....... [ZBX-24638] fixed item order in Graph widget (apoga, averza)
.D........ [ZBX-23770] improved monitoring user permissions documentation for Zabbix agent 2 Oracle plugin and Oracle by ODBC template (knaglis)
..F....... [ZBX-24083] fixed media types list status column styling (ddauksa)
..F....... [ZBX-24235] fixed value misalignment in Item value widget (apoga)
..F....... [ZBX-23073] fixed URL widget resizing and dragging (apoga)
A......... [ZBX-23751] fixed inability to pass an action filter condition without an "operator" property, implying a default value of "Equal" (jfreibergs)
.......P.. [ZBX-24682] fixed SQLite database creation (sboidenko)
..F....... [ZBX-24562] fixed incorrect problem order in Problems by severity widget's hintbox (Ivo)
A......... [ZBX-24646] fixed inability to update evaltype property of LLD rule's filter on a linked template (vmaksimovs)
A......... [ZBX-24622] fixed inability to inherit template with multiple items to multiple hosts when total amount of inherited items exceeds but is not a multiple of batch size (vmaksimovs)
A......... [ZBX-23886] fixed inability to import items, LLD rules and item prototypes containing redundant conditional fields (jfreibergs, vmaksimovs)
..F....... [ZBX-24609] fixed host interface not being suggested for discovered item test (jfreibergs)
A......... [ZBX-21429] prevented ability to disable all UI element access via role.update API (jfreibergs)
..F....... [ZBX-19271] fixed inconsistent tag row rendering in different edit forms (miks)
........S. [ZBX-24671] fixed problems not inheriting tags of templates linked to discovered hosts (wiper)
.........T [ZBX-24539] fixed incorrect threshold in trigger expression of Check Point Next Generation Firewall by SNMP template (aiantsen)
...G...... [ZBX-24667] fixed vm.memory.size[pused] item on Solaris (MVekslers)
.........T [ZBX-23781] added storage volumes check in HPE iLO by HTTP template (drasikhov)
...G...... [ZBX-24391] fixed Zabbix agent to return net.tcp.socket.count result without error if IPv6 is disabled (sboidenko)
...G...... [ZBX-24455] fixed Zabbix agent crash while reading disk statistics (mprihodko)
..F....... [ZBX-24352] fixed custom severity name usage in Geomap widget (ddauksa)
...G...... [ZBX-20993] fixed Zabbix agent 2 MQTT plugin clientID to be generated by strict requirements (esneiders)
.........T [ZBX-23426] added dependent item with JavaScript preprocessing for edges SD-WAN in VMWare SD-WAN VeloCloud by HTTP template (egordymov)
........S. [ZBX-24566] fixed crash when expression macro is used in unsupported location (vso)
........S. [ZBX-24513] fixed real-time export of rarely updated trends (vso)
..F....... [ZBX-24450] fixed issue where graph could differ for data gathered from PostgreSQL and other databases (gcalenko)
..F....... [ZBX-21702] fixed selected row highlighting on page refresh (apoga)
..F....... [ZBX-23398] fixed trigger expression constructor incorrectly showing '<' and '>' operators (Ivo)
..F....... [ZBX-23584] fixed error message being displayed when updating template or host after changing element status (agriscenko)
..F....... [ZBX-22623] fixed unavailable dashboard failing to load widget-specific JS files (agriscenko)
........S. [ZBX-24405] fixed memory leak and possibility to miss alerts under high load in alert syncer main loop (askolmeisters)
..F.I...S. [ZBX-24579] fixed proxy list error occurred when sorted by Mode column (asestakovs)
..F....... [ZBX-24042] fixed undefined array key error on manual event action script execution (esekace)
..F....... [ZBX-23489] fixed value/units overflowing boundaries of gauge arcs (apoga)
.......... [ZBX-24565] removed redundant kernel header include, fixed musl compatibility issues (thanks to Alpine Linux maintainers for spotting this) (dgoloscapov)
..F....... [ZBX-24525] fixed referencing inaccessible widgets in dashboards (averza)
..F....... [ZBX-24474] fixed malformed error message for time periods in column editor of Top hosts widget (averza)
..F....... [ZBX-24239] fixed scrollbar jumping in popups with dynamic contents (apoga, averza)
.........T [ZBX-23917] regenerated all the templates with new default history value and default trends value (abiba)
.........T [ZBX-24665] fixed potential problem with deprecated GCE Integrity feature (igorbach)
........S. [ZBX-24641] fixed possible crash when calculating new IDs for tables using cache (MVekslers)
..F....... [ZBX-24588] fixed CyberArk Vault connection with no certificates (vmurzins)
..F....... [ZBX-23876] fixed incorrect timeout value being used when testing item (agriscenko)
..F....... [ZBX-24548] fixed error when updating disabled Map navigation tree widget (apoga)
........S. [ZBX-24553] fixed WebDriverURL handling when trailing slash is present (dgoloscapov)
.........T [ZBX-24635] fixed datastore triggers in VMware templates (abrosimovs)
...G...PS. [ZBX-20766] fixed confusing port binding error message (dgoloscapov)
.......PS. [ZBX-24453] implemented socket file cleanup when shutting down, added blocking of signals during important stages of startup (dgoloscapov)
........S. [ZBX-24167] fixed template linkage when item prototype collision is found (dgoloscapov)
........S. [ZBX-24119] fixed possible blocking of alert manager when it periodically pings database (dgoloscapov)
..F....... [ZBX-23440] fixed hintbox hiding on parent scroll and on target position changes (apoga, averza)
...G...... [ZBX-24301] fixed net.dns.perf to return valid response time instead of zero for NXDOMAIN result (arimdjonoks)
..F....... [ZBX-24550] removed background color from links in loading state (apoga)
........S. [ZBX-24560] fixed {HOST.DNS} and {HOST.IP} not being resolved if empty (vso)
.........T [ZBX-24415] added triggers for datastores in VMware templates (abrosimovs)
..F....... [ZBX-23435] fixed alert message about unsaved changes appearance in nested modal forms (apoga)
.......PS. [ZBX-24483] improved memory usage in Zabbix server/proxy trappers and in proxy pollers when sending large configuration (vso)
........S. [ZBX-24574] fixed HA node flipping between standby and active states (wiper)
........S. [ZBX-24532] fixed unexpected termination on start when DNS library initialization was not possible with broken resolv.conf (sboidenko)
.......PS. [ZBX-7998] added VMware service username, password and URL check for empty values (asestakovs)
.......PS. [ZBX-24402] reduced main process connects to database during startup (sboidenko)
..F....... [ZBX-24310] fixed issue with calculating item count for host availability status if user has no permissions (dfofanovs)
........S. [ZBX-24318] fixed slow LLD of hosts due to redundant iteration through many hosts (vso)
..F....... [ZBX-24477] fixed item test result not shown when value type conversion is applied without preprocessing steps (jfreibergs)
..F....... [ZBX-24369] fixed monitoring list pages' filters behavior after deleting filter parameters (esekace)
..F....... [ZBX-24484] fixed Geomap widget console error when dragging map in widget edit mode (esekace)
..F....... [ZBX-24233] fixed missing interval for active agent items on item list page (gcalenko)
..F....... [ZBX-24370] fixed errors on LDAP configuration page when removing provision media mapping (gcalenko)
.D........ [ZBX-23337] improved supported version documentation for Zabbix agent 2 Oracle plugin and both templates (knaglis)
A......... [ZBX-24180] fixed inability to import existing host or template when its dependent item prototype, which is used in trigger prototypes or graph prototypes, would have a different master item (jfreibergs, vmaksimovs)
.......PS. [ZBX-24242] fixed incorrectly discovered hosts by TCP check (asestakovs)
...G...... [ZBX-24362] fix Zabbix agent 2 loadable plugin process handling catching all child process exits (rzvejs)
..F....... [ZBX-24152] fixed host form submission with Enter button if the form is opened in a popup and focus is in a flexible text area field (Ivo)
..F....... [ZBX-24276] fixed inconsistent map element URL opening behavior (esekace)
..F....... [ZBX-24253] fixed subfilter reset when navigating in items list page (esekace)
........S. [ZBX-24503] fixed wrong attachment filename in scheduled reports (mprihodko)
..F....... [ZBX-24344] fixed selected state subfilter visibility in Latest data page (esekace)
..F....... [ZBX-24534] removed number of elements indicator in proxy groups page table footer when there are no results to show (dpetra)
........S. [ZBX-24601] fixed log warning telling to upgrade TimescaleDB configuration (mprihodko)
..F....... [ZBX-18094] fixed multiple pie graph issues related with calculation of item angles (miks)
A......... [ZBX-24299] fixed possibility to alter readonly error fields with HostInterface and drule API create/update operation (miks)
..F....... [ZBX-23436] fixed broken template edit page being opened from breadcrumbs (agriscenko)
.......PS. [ZBX-24470] fixed scale of vmware.vm.memory.size.compressed key (MVekslers)
.......PS. [ZBX-17382] improved get[oid] and walk[oid] to display UTF-8 text instead of hex if MIB files are not installed (vso)
.......PS. [ZBX-24540] fixed crash when expanding host interface macros on main Zabbix agent interface (wiper)
........S. [ZBX-23690] optimized maintenance calculations for large number of hosts x maintenances (wiper)
A......... [ZBX-25017] fixed sensitive data exposure from audit log (gcalenko)
.......PS. [ZBX-25018] removed direct pointer access in custom javascript objects (wiper)
........S. [ZBX-25019] introduced limits to WebDriver performance data collection (dgoloscapov)

--------------------------------------------------------------------------------
Changes for 7.0.0

7.0.0rc3 was released as 7.0.0 without any changes

--------------------------------------------------------------------------------
Changes for 7.0.0rc3

New features:
A.F.I..... [ZBXNEXT-9193] implemented time period selector for Item history widget (ddauksa, Sasha)

Bug fixes:
..F....... [ZBX-24490] fixed and improved the Item history widget with binary type items (ashubin)
.......PS. [ZBX-24523] fixed circular reference errors when collecting performance data (wiper)
..F....... [ZBX-24535] fixed history period calculation in Item value widget when override trend period is active (averza)
...G...... [ZBX-24531] fixed compile time data not being set for agent2 (jxl)
.........T [ZBX-23788] added SNMP OID ifAlias in Network interfaces discovery (egordymov)
..F.....S. [ZBX-25015] fixed information exposure in System information widget for users without proper permissions (vmurzins)
....I..... [ZBX-25011] fixed access for non-admin user to options of installed MSI (MVekslers)
........S. [ZBX-25012] implemented phone number validation check to avoid AT commands injection (sboidenko)
........S. [ZBX-25013] fixed exploit to read files using SMS (sboidenko)
........S. [ZBX-25016] fixed IP and DNS address validation when user macro is used for interface (vso, wiper)

--------------------------------------------------------------------------------
Changes for 7.0.0rc2

New features:
.........T [ZBXNEXT-9167] added Website by Browser template (egordymov)
...G...... [ZBXNEXT-9056] removed deprecated Plugins.<Name>.Capacity parameter (mprihodko)

Bug fixes:
.........T [ZBX-24518] updated global dashboards (abakaldin)
..F....... [ZBX-24506] fixed accidental creation of minimum size widget (apoga)
..F....... [ZBX-24475] improved software update check functionality (agriscenko)
..F....... [ZBX-24488] improved new Item history widget (ashubin, ddauksa, dfofanovs)
.......PS. [ZBX-24473] fixed cookie setting in browser object (wiper)
..F....... [ZBX-24478] fixed widget placeholder icon hiding in small sizes (apoga)
..F....... [ZBX-24465] fixed hintboxes of Geomap widget (apoga)
A......... [ZBX-24481] fixed inability to unset value map from existing item or item prototype by passing a version without valuemap parameter into configuration.import (vmaksimovs)

--------------------------------------------------------------------------------
Changes for 7.0.0rc1

New features:
..F.I...ST [ZBXNEXT-8316] replaced Plain text widget with Item history widget (ashubin, averza, dfofanovs, dimir)
A.F....PS. [ZBXNEXT-9150] added browser item for browser monitoring (gcalenko, wiper)
.........T [ZBXNEXT-8746] removed template name prefix from items, triggers (abakaldin)
....I..... [ZBXNEXT-9168] replaced the software license with AGPL-3.0-only (Sasha)
........S. [ZBXNEXT-9103] added 202, 203 and 204 to the HTTP response codes accepted by connectors (Sasha)
A.F....... [ZBXNEXT-9057] added software update check functionality (agriscenko)
...G...... [ZBXNEXT-9149] extended proc.get[] to get PSS (proportional set size) memory on Linux (sboidenko)
..F....... [ZBXNEXT-8956] enabled communication framework for existing widgets (apoga, ashubin, averza, ddauksa, miks)
..F....... [ZBXNEXT-9155] improved usability of "Override host" field in configuration form for Item value and Gauge widgets (agriscenko)
A.F.I....T [ZBXNEXT-9044] increased dashboard grid granularity and removed widget size restrictions (agriscenko, averza)
..F....... [ZBXNEXT-9169] improved usability of color interpolation in Honeycomb widget (epulke)
.........T [ZBXNEXT-8248] added database filter macros to MySQL templates (drasikhov)
.........T [ZBXNEXT-6698] updated filesystem discovery in OS templates (atocko)
...G...... [ZBXNEXT-5977] added Zabbix agent and Zabbix agent 2 service startup-type configuration option (mprihodko)
A.F.....S. [ZBXNEXT-9138] fixed Zabbix server to work with recent versions of mysql_aurora (Sasha, sboidenko)
.......PS. [ZBXNEXT-9150] added browser poller process and browser item type for future use (vso)
..F.I..... [ZBXNEXT-8686] implemented new Item navigator widget (apoga, ddauksa)
A.F....... [ZBXNEXT-8760] added ability to customize media of provisioned users; removed the capability to modify JIT provisioning fields of provisioned users via API; fixed incorrect audit log details format of User directory's provisioned groups and media (gcalenko, vmaksimovs)
A.F....PS. [ZBXNEXT-9077] added support of custom vault prefix for HashiCorp and CyberArk vault (dfofanovs, vso)
..F....... [ZBXNEXT-7743] implemented changes in Latest data page when filter is not set, updated message and added icon in widgets, in filter popups and in all list pages when there is no data found (ashubin, dpetra)
....I...S. [ZBXNEXT-9108] added server side software update check functionality (dgoloscapov)
........S. [ZBXNEXT-7930] added user macro support for username and password fields in email media type (asestakovs)
...G...... [ZBXNEXT-9132] updated Zabbix agent to be fully compatible with Zabbix agent 2 active checks protocol (wiper)
A.FG...PS. [ZBXNEXT-8758] added proxy load balancing and HA (agriscenko, wiper)
.........T [ZBXNEXT-9098] added AWS ELB Network Load Balancer by HTTP template (egordymov)
.........T [ZBXNEXT-6864] replaced {HOST.CONN} with user macros in templates (drasikhov)

Bug fixes:
...G...... [ZBX-24210] improve Zabbix agent 2 loadable plugin capacity code style (rzvejs)
..F....... [ZBX-24248] fixed host dashboard header navigation height (apoga)
..F....... [ZBX-22090] fixed the message and made entity removal confirmation popup being displayed only if template import comparison finds entities to remove (miks)
A......... [ZBX-23951] fixed issue of incorrect template matching when no UUID exists in export file (jfreibergs)
.......PS. [ZBX-23953] fixed CIDR network mask of VMware HV network interface (MVekslers)
..F....... [ZBX-24195] fixed host IPMI username and password field max length (esekace)
.........T [ZBX-24451] added tags and updated items in Proxmox template (abrosimovs)
.........T [ZBX-24447] fixed typos in templates (drasikhov)
..F....... [ZBX-23386] fixed hintbox sizing to fit screen (apoga, Ivo)
.........T [ZBX-24024] fixed OIDs for external sensors in APC UPC by SNMP templates (egordymov)
.........T [ZBX-21751] fixed node's loadavg item in Proxmox template (abrosimovs)
........S. [ZBX-24315] fixed linking template to host when some LLD macro paths already exist (vso)
.........T [ZBX-24342] removed description field from item value widgets in Nextcloud by HTTP template (drasikhov)
A.F....... [ZBX-21850] moved the sorting of filter conditions to the action.get, discoveryrule.get and correlation.get methods (Sasha, vmaksimovs)
........S. [ZBX-24172] fixed Zabbix server issue with scheduled intervals on Feb 29th of leap year (sboidenko)
A......... [ZBX-23407] improved performance of retrieving last history values when primary keys are available (jfreibergs, vmaksimovs)
A.F....... [ZBX-24413] changed MFA label appearing in authenticator apps to include the username, enabling users to distinguish between different accounts (epulke)
.........T [ZBX-24246] updated descriptions for family of MySQL and Oracle templates, changed macro in the trigger 'Tablespace utilization is too high' for family of Oracle templates (akotsegubov)
.........T [ZBX-24222] fixed incorrect item OIDs in the FortiGate by SNMP template (aiantsen)
...G...... [ZBX-23988] renamed Agent2 Go module (jxl)
.........T [ZBX-24393] updated README in Redis by Zabbix agent 2 template (abrosimovs)
A......... [ZBX-24258] fixed issue causing error when removing the old MFA method and adding a new one (epulke)
.....J.... [ZBX-24298] allowed any JNDI service providers back in JMX monitoring (dimir)
.......PS. [ZBX-24282] fixed Zabbix proxy to report error for not supported items (sboidenko)
..F....... [ZBX-24376] fixed resolving of macros for item testing (jfreibergs)
.........T [ZBX-19990] separated LLD filter macros in Apache Tomcat by JMX template (drasikhov)
.........T [ZBX-24364] added preprocessing steps for LLD rules in RabbitMQ templates (egordymov)
..F....... [ZBX-24001] fixed SSL certificate usage in CyberArk Vault (vmurzins)
.........T [ZBX-24368] Improved PostgreSQL autovacuum's count query (abrosimovs)
........S. [ZBX-19507] fixed vmware.eventlog item to recover after event keys are reset (asestakovs)
.......PS. [ZBX-24154] fixed building Zabbix with Net-SNMP library in custom location (sboidenko)
........S. [ZBX-24241] fixed Zabbix server issue with random order of host groups for a host during real-time export (sboidenko)
.........T [ZBX-24275] fixed item prototype JSONPath preprocessing, added missing volume health metric and triggers in HPE MSA templates (drasikhov)
.........T [ZBX-24316] fixed username macro in GridGain by JMX template (drasikhov)
..F....... [ZBX-24314] fixed Honeycomb widget item pattern selector to allow wildcard selectors (ddauksa)
.......PS. [ZBX-24354] fixed item status flapping (vso)
........S. [ZBX-24363] fixed proxyid being ignored in item test (kprutkovs)
....I..... [ZBX-24087] fixed Timeout option description for Zabbix agent 2 (dgoloscapov)
........S. [ZBX-25016] fixed IP and DNS address validation when user macro is used for interface (vso, wiper)

--------------------------------------------------------------------------------
Changes for 7.0.0beta3

New features:
..F.I..... [ZBXNEXT-8685] implemented new Host navigator widget (apoga, ddauksa)
..F.....S. [ZBXNEXT-8682] introduced a length limit of 512KB for item test values that Zabbix server returns to Zabbix frontend (jfreibergs, kprutkovs)
A.F.....S. [ZBXNEXT-8880] added options for disallowing script execution and user HTTP authentication (dfofanovs, dgoloscapov)
........S. [ZBXNEXT-8970] implemented faster action execution on Zabbix server (akozlovs)
.........T [ZBXCTR-22] refactored JavaScript filter functions for Kubernetes templates (ebbex)
...G...... [ZBXNEXT-9026] added Go compiler version to Zabbix agent 2 version output (mprihodko)
.......PS. [ZBXNEXT-9117] updated max supported MariaDB version to 11.3 (mprihodko)
.D........ [ZBXNEXT-9096] removed experimental status from PDF reporting (solonkins)
.D........ [ZBXNEXT-9121] removed experimental status from Streaming to external systems (solonkins)
.........T [ZBXNEXT-8786] changed 'odbc.discovery' keys to 'odbc.get' in MySQL by ODBC and Oracle by ODBC templates (akotsegubov)
.........T [ZBXNEXT-8536] added cbdhsvc service to macros in Windows agent templates (abrosimovs)
...G...... [ZBXNEXT-9024] set maximum Zabbix agent 2 plugin capacity to 1000 and default number of Zabbix agent listeners to 10 (mprihodko)
.........T [ZBXNEXT-8861] made changes and added more metrics to the FortiGate by SNMP template (aiantsen)
..F....... [ZBXNEXT-9047] implemented new navigation icons for main menu (dpetra)
.........T [ZBXNEXT-8240] added a new set of templates for integration with Oracle Cloud Infrastructure (knaglis)
A.F.I...S. [ZBXNEXT-2020,ZBXNEXT-8918] implemented the option to disable no-longer discovered entities (asestakovs, esekace)
..F.I..... [ZBXNEXT-8683] implemented new Honeycomb widget (apoga, ashubin, averza, ddauksa)

Bug fixes:
..F....... [ZBX-23468] fixed radio button text alignment in network discovery form and modal window resizing when zooming in or out (esekace)
..F....... [ZBX-24205] fixed the position of warning icon in breadcrumbs for no-longer discovered host (esekace)
...G...... [ZBX-23719] updated plugin-support to add duplicate flag handling (rzvejs)
....I..... [ZBX-22429] fixed typo in Zabbix proxy automake file (MVekslers)
.......PS. [ZBX-24089] optimized configuration re-sync after empty initial syncs (wiper)
........S. [ZBX-24264] fixed value cache being filled with values of newly added items with triggers (wiper)
..F....... [ZBX-24088] fixed problem filtering in maps with nested maps (miks)
.........T [ZBX-24206] fixed line breaks in JavaScript in Cloudflare template (abrosimovs)
.........T [ZBX-24134] added sensor discovery in VMware Hypervisor template (akotsegubov)
..F....... [ZBX-23884] removed possibility to manually add provisioned user to user group (epulke)
..F....... [ZBX-23918] fixed item pattern select popup to display all available items (esekace)
..F....... [ZBX-24190] fixed items being updated incorrectly when configuring graph (esekace)
A.F....... [ZBX-24081] fixed full clone of templates or hosts failing due to more strict copied item validation (jfreibergs, vmaksimovs)
.........T [ZBX-23032] added triggers for cluster status in VMware templates (abrosimovs)
.....J.... [ZBX-23948] added support for TabularData data when parsing an MBean attribute (dimir)
A......... [ZBX-23742] fixed tag filtering logic for tags with one name and different types of operators (dfofanovs, Sasha)
..F....... [ZBX-24127] fixed checkboxes not being static in Connectors form (esekace)
.........T [ZBX-24271] added delay in JavaScript execution for Azure Cost Management by HTTP template (egordymov)
A......... [ZBX-24209] fixed missing filtering options for Proxy object (jfreibergs)
...G...... [ZBX-24208] fixed Oracle, MySQL plugin connection cache blocking (rzvejs)
.........T [ZBX-24202] fixed JavaScript in AWS S3 bucket by HTTP template (egordymov)
..F....... [ZBX-23478] fixed issue when missing locale error would not be displayed for user under certain conditions (vmurzins)
...G...... [ZBX-23853] fixed duplicate agent check timestamps when time shifts back due to system clock synchronization (mprihodko)
A......... [ZBX-23402] fixed web scenario step post type saving in DB (averza, dpetra)
...G...PS. [ZBX-24166] fixed Zabbix not being able to restart due to RTC and sockets not being closed before stopping (dgoloscapov)
.......PS. [ZBX-23868] fixed incomplete JSON data for vmware.vm.snapshot.get item (MVekslers)
..F....... [ZBX-24114] added labels to "Tags" and "Value mapping" fields in host configuration form (solonkins)
..F....... [ZBX-23397] fixed runtime error in discovered host configuration form with inherited macros (esekace)
..F....... [ZBX-24181] fixed max repetition count value reset for numbers exceeding 15 digits (esekace)
........S. [ZBX-24091] fixed user macro resolution in function part of error messages (dgoloscapov)

--------------------------------------------------------------------------------
Changes for 7.0.0beta2

New features:
..F.I...S. [ZBXNEXT-8827] implemented error handling for network discovery rules and added quick links to configuration forms in "Status of discovery" page (Ivo, MVekslers)
.......PS. [ZBXNEXT-8670] added support of async SNMP to network discovery subsystem (MVekslers)
A.F.....S. [ZBXNEXT-6876] added multi-factor authentication support for Zabbix UI (akozlovs, epulke, vmaksimovs)
...GI..PS. [ZBXNEXT-3623] moved cURL library feature detection from build-time to runtime, increased required built-time cURL library version to 7.19.1 (dimir)
..F.I..... [ZBXNEXT-8754] changed item history period default value to 31 days (esekace, mprihodko)
..F....... [ZBXNEXT-8907] implemented fixed/variable lines count selection in SVG graph and Pie chart widget legend (dfofanovs)
.........T [ZBXNEXT-9063] added metadata in JavaScript for AWS templates (egordymov)
.........T [ZBXNEXT-8958] added AWS ELB Application Load Balancer by HTTP template (egordymov)
........S. [ZBXNEXT-8586] added tags support in webhooks for internal events (mprihodko)
.........T [ZBXNEXT-8928] added Check Point Next Generation Firewall by SNMP template (aiantsen)
..F....... [ZBXNEXT-8975] updated main menu icons (dpetra)
.........T [ZBXNEXT-8947] added MSSQL by Zabbix agent 2 template (akotsegubov)
..F....... [ZBXNEXT-8908] implemented option to show value in Pie chart widget legend (ddauksa)
........S. [ZBXNEXT-9012] updated max supported TimescaleDB version to 2.14 (mprihodko)
..F....... [ZBXNEXT-8853] implemented synchronized notification snooze status across user sessions (esekace)
..F....... [ZBXNEXT-8838] changed LLD rule default update interval to 1h (dpetra)
.......PS. [ZBXNEXT-8983] updated max supported MariaDB version to 11.2 (mprihodko)
.......PS. [ZBXNEXT-8984] updated max supported MySQL version to 8.3 (mprihodko)
........S. [ZBXNEXT-8963] improved maintenances to be recalculated immediately when timer period is changed (vso)
.........T [ZBXNEXT-8762] added YugabyteDB by HTTP and YugabyteDB Cluster by HTTP templates (akotsegubov)

Bug fixes:
....I..... [ZBX-23441] fixed Go agent Makefile template not respecting DESTDIR (jxl)
.....J.... [ZBX-24093] fixed JMX monitoring when using "remote+http" protocol (dimir)
..F....... [ZBX-23567] fixed PHP error during first time setup when no user is yet created (gcalenko, Ivo)
........S. [ZBX-24050] fixed snmpaddrs not getting updated when syncing interfaces (dgoloscapov)
..F....... [ZBX-23488] fixed severity checkbox area width issue when editing widgets and added an option to add title attribute to checkbox labels (dfofanovs)
.......PS. [ZBX-24103] improved configuration sync, history sync and pollers performance (vso)
..F....... [ZBX-23852] fixed template import failing with unexpected server error when trying to import template dashboards with items or graphs from unexisting hosts (agriscenko)
........S. [ZBX-24043] fixed extensive locking when retrieving Zabbix server statistics (dgoloscapov)
.........T [ZBX-24143] fixed swap space trigger prototype name in Proxmox VE by HTTP template (drasikhov)
.......PS. [ZBX-24110] improved configuration sync performance by avoiding host join when syncing items (vso)
.........T [ZBX-24141] fixed replication master host LLD macro in MySQL by Zabbix agent template (drasikhov)
.......PS. [ZBX-23667] added VMware datastore UUID to discovery items, added datastore selection by UUID to vmware.hv.datastore items (MVekslers)
...G...... [ZBX-21703] fixed possible mutual lock between exporter and collector in performance counters for Zabbix agent 2 (akozlovs, MVekslers)
........S. [ZBX-24049] fixed Zabbix server template linking logic so that it does not wrongfully update triggers on host when there is a corresponding trigger on template with same description but different expression (arimdjonoks)
..F....... [ZBX-22332] fixed placeholder and default value for CSV to JSON preprocessing step parameters (vmurzins)
.........T [ZBX-20725] updated documentation for MySQL by Zabbix agent template, added the protocol option to the MySQL client configuration example (drasikhov)
.........T [ZBX-20788] updated locale variable to force English locale in user parameter pgsql.ping.time[*] in PostgreSQL by Zabbix agent template (drasikhov)
..F....... [ZBX-23617] fixed item test form not showing values for macros with a backslash character used in a string parameter of a calculated item formula function (jfreibergs)
A.F....... [ZBX-19918] prevented redundant audit log entries of failed logins when visiting login page if guest account is disabled; removed automatic login as guest user when entering any page requiring authentication (vmaksimovs)
.........T [ZBX-24038] fixed next token parameters in JavaScript for AWS templates; edited links in descriptions (egordymov)
....I..... [ZBX-22783] added automatic detection of Oracle instant client installed from RPM (mprihodko)
...G...... [ZBX-18859] fixed error event 5858 with ResultCode = 0x80041032 after WMI queries (mprihodko)
.......PS. [ZBX-24095] improved data fetch performance for PostgreSQL (vso)
...G...PS. [ZBX-24017] added support of null for nodata value in agent JSON protocol (dgoloscapov)
...G...... [ZBX-23888] added setting agent items to unsupported state when invalid regexp is supplied (dgoloscapov)
...G...PS. [ZBX-23941] fixed error message in log if TLS handshake has timed out (vso)
.......P.. [ZBX-23124] fixed items with disabled history being sometimes stuck in non-supported state (wiper)
.........T [ZBX-23586] fixed filter evaluation type of organizations discovery in Cisco Meraki dashboard by HTTP template (drasikhov)
.......PS. [ZBX-23607] added quoting string values when producing SNMP walk[] output (asitals)
..F....... [ZBX-23925] fixed spelling mistakes (dpetra)
........S. [ZBX-24016] fixed DB patch not to fail in case of hosts without groups (asestakovs)
...G...... [ZBX-23766] updated Zabbix agent 2 Ceph plugin README setup instructions (rzvejs)
.........T [ZBX-24094] fixed network interfaces LLD filtering macro in Linux by Prom template (drasikhov)
..F....... [ZBX-23202] fixed unused tag value being saved in tag filter (vmurzins)
.........T [ZBX-22555] updated regexp to case-insensitive in Nginx templates (drasikhov)
..F....... [ZBX-23664] changed calculation logic of Zabbix agent interface availability for active and passive checks (dfofanovs)
........S. [ZBX-23973] fixed trends being retrieved from database for new items and for items with infrequent update interval (vso)
.........T [ZBX-22745] removed incorrect description of network interfaces administrative status filter macro in SNMP templates (drasikhov)
..F....... [ZBX-23663] fixed inability to enable SAML when PHP LDAP extension is missing (gcalenko)
.......PS. [ZBX-24015] improved zabbix[queue] internal item not to block history syncers and pollers (vso)
.........T [ZBX-23509] fixed JSONPath of keyspace discovery master item in Redis by Zabbix agent 2 template (drasikhov)
...G...PS. [ZBX-24059] fixed libmodbus unnecessary linking into all binaries (askolmeisters)
.........T [ZBX-24055] added missing API port macros in URL of script items in HPE Synergy by HTTP and HPE Primera by HTTP templates (drasikhov)
.......PS. [ZBX-24062] fixed btoa JavaScript function (wiper)
..F....... [ZBX-23817] fixed console error in chart.view when selecting time period for graph (averza, esekace)
...G...... [ZBX-20525] fixed vfs.dir.size performance issues when walking through directory that has a lot of subdirs/files (dgoloscapov)
.........T [ZBX-23773] improved trigger functionality for Acronis Cyber Protect Cloud MSP by HTTP template (knaglis)
........S. [ZBX-23979] improved trend recalculation performance by performing trend updates in own transaction (vso)
....I..... [ZBX-21192] updated date and time format in Zabbix trap receiver script (vso)
........S. [ZBX-23688] improved new item value retrieval performance by adding such items to value cache after configuration sync (wiper)
.......PS. [ZBX-22130] changed JSONPath expression evaluator to treat null values as empty variants (wiper)
.......... [ZBX-23986] added a license to the Go module (jxl)
..F....... [ZBX-23587] fixed widget input field selecting when clicking on label (dpetra)
..F....... [ZBX-23701] fixed Gauge widget description performance (apoga)
.......PS. [ZBX-23232] fixed syncing web scenarios to proxy (asitals)
..F....... [ZBX-23320] fixed Pie chart widget legend behavior to be same as in Graph widget (apoga)
..F....... [ZBX-23638] fixed page scrolling when closing modal form in Safari (apoga)
..F....... [ZBX-23640] fixed preload hints opening (apoga)
.........T [ZBX-23684] fixed transactions query file for PostgreSQL by Zabbix agent template (drasikhov)
..F....... [ZBX-23659] fixed incorrect calculation of bar graph polygon in SVG graph widget for negative values (solonkins)
A.F....... [ZBX-22433] fixed web scenario and web scenario step configuration field trimming and field sorting (ddauksa, Ivo, Sasha)
........S. [ZBX-24505] fixed possible injection when adding audit log entry of a global script execution (dimir)

--------------------------------------------------------------------------------
Changes for 7.0.0beta1

New features:
..F....... [ZBXNEXT-8925] set minimal supported PHP version to 8.0 (esekace)
A.F.....S. [ZBXNEXT-8837] made it possible to turn off audit logging specifically for LLD, network discovery and autoregistration (arimdjonoks, jfreibergs)
A...I...S. [ZBXNEXT-5878,ZBXNEXT-8532] improved performance of permission checks for hosts, templates and API objects related to them; added strict validation for host group and template parameters of host API methods (asestakovs, vmaksimovs)
.......PS. [ZBXNEXT-8823] implemented detection of SNMP engineID duplicates (dgoloscapov)
.......PS. [ZBXNEXT-8891] updated max supported MySQL version to 8.2 (mprihodko)
.........T [ZBXNEXT-8524] added support of HTTP proxy in GCP templates (egordymov)
..F.I..... [ZBXNEXT-8496] added aggregations for Item value widget and time period functionality for Top hosts and Item value widgets (averza, esekace, kkuzmina, MVekslers)
.......P.. [ZBXNEXT-8724] improved error messages when proxy is starting up (dimir)
.........T [ZBXNEXT-8759] added dashboards in Azure templates (egordymov)
.........T [ZBXNEXT-8580] added new discovery rules, refactored discovery rules to dependent items and made few minor changes in MSSQL by ODBC template (akotsegubov)
.........T [ZBXNEXT-8730] added Azure Cost Management by HTTP template (egordymov)

Bug fixes:
..F.....S. [ZBX-20765] fixed empty PDF files in scheduled reports (averza, mprihodko)
.......PS. [ZBX-21192] improved SNMP traps to resume processing from last record and timestamp when HA node is switched (vso)
........S. [ZBX-23814] fixed {TRIGGER.VALUE} macro not working anymore (akozlovs, vso)
...G...PS. [ZBX-23904] fixed build flags when using custom OpenSSL library (askolmeisters)
..F....... [ZBX-23818] fixed clock, graph and graph prototype widget form reloading and field focus when changing values (esekace)
.......PS. [ZBX-23967] fixed possible invalid free in SNMP walk to JSON preprocessing step (dgoloscapov)
........S. [ZBX-22371] fixed process tags option not adding tags for service events (vso)
...G...... [ZBX-17208] fixed invalid command-line flag handling in Zabbix agent 2 (rzvejs)
..F....... [ZBX-23517] fixed user not being able to clone dashboard with read-only access (jfreibergs)
..F....... [ZBX-22961] fixed modal (popup) form resizing and visual glitch on initial load, and ResizeObserver observation error in Safari browser (ddauksa)
.........T [ZBX-23937] fixed JavaScript for AWS EC2 instances discovery (egordymov)
..F....... [ZBX-22715] fixed map shape dimension changes on resizing in scaled browser mode (ddauksa)
.......PS. [ZBX-23722] added garbage collection after executing JavaScript code (asitals)
.......PS. [ZBX-23740] fixed netsnmp persistent state disabling without affecting its configuration (wiper)
..F....... [ZBX-23874] fixed undefined array key error for map elements with URL (esekace, Ivo)
...G...... [ZBX-23890] removed non-existing headers from compiler checks: mtent.h and knlist.h (arimdjonoks)
.........T [ZBX-23912] removed Jira with CustomFields media type in data.tmpl (egordymov)
..F....... [ZBX-23883] fixed PHP runtime error while using "/d", "/m" or "/h" modifiers in the time selector with some time zones (Sasha)
A......... [ZBX-23262] fixed inability to log in using user.login API method if user has a user group with disabled frontend access (epulke, vmaksimovs)
...G...... [ZBX-23257] fixed log items not using MaxLinesPerSecond setting correctly for Zabbix agent 2 (kprutkovs)
.......PS. [ZBX-23914] fixed use of uninitialized protocol version variable during SNMP checks (vso)
A.F....... [ZBX-22536] fixed TimescaleDB compression detection for history.clear API method and proper error appearance in frontend (miks)
.........T [ZBX-23761] fixed JavaScript in Jira media type (egordymov)
.........T [ZBX-22558] fixed trigger expression for retrieval of stub page in Nginx templates (drasikhov)
.......PS. [ZBX-23906] fixed Zabbix server and proxy crash when executing SNMP agent item (arimdjonoks)
..F....... [ZBX-23562] fixed time period selector validation for maximum time period (averza, esekace)
...G...... [ZBX-23540] added error checks for RegisterMetrics calls (rzvejs)
.........T [ZBX-23691] fixed LLD filters evaluation type for devices discovery in Cisco SD-WAN by HTTP template (drasikhov)
.........T [ZBX-23605] removed getting location buckets in AWS by HTTP template; added discovery filters for request metrics in AWS S3 bucket by HTTP template (egordymov)
..F....... [ZBX-23497] fixed user edit form fields validation for user without user group (dpetra)
..F....... [ZBX-23696] fixed script item parameters and HTTP agent item query fields and headers not being passed to Zabbix server when testing items (agriscenko)
..F....... [ZBX-23466] fixed data aggregation errors in Graphs and Top hosts widgets with Elasticsearch backend (Sasha)
.........T [ZBX-23835] updated Meraki templates (egordymov)
.........T [ZBX-23723] fixed proxy parameters in JavaScript AWS templates (egordymov)
A.F....... [ZBX-23846] fixed quoting of empty parameters while resolving macros in the trigger expressions (Sasha)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha9

New features:
...G...... [ZBXNEXT-8721] added new net.dns.get[] item (arimdjonoks)
A.F.I...S. [ZBXNEXT-8121] implemented ability to add custom user input when executing scripts (averza, esekace, Ivo, jxl)
...G...PS. [ZBXNEXT-8854] improved passive checks to use JSON protocol and fallback to plaintext protocol (vso)
........S. [ZBXNEXT-8857] updated max supported TimescaleDB version to 2.13 (mprihodko)
.........T [ZBXNEXT-8707] updated version check for MongoDB node by Zabbix agent 2 template (atocko)

Bug fixes:
A...I...S. [ZBX-21898] added escaping of backslashes in history function string parameters (agriscenko, epulke, kprutkovs, vso, wiper)
..F....... [ZBX-22983] fixed ellipses appearing in dropdown of item mass update and item configuration preprocessing section (ddauksa)
...G...... [ZBX-22678] fixed parsing failures for deb packages without an Installed-Size field (jxl)
..F....... [ZBX-22055] fixed map image of Map widget not being updated on pressing "Apply" button (agriscenko)
..F....... [ZBX-23629] fixed interface icon cursor to pointer (apoga)
...G...... [ZBX-23471] fixed sha256 sum calculation on AIX, HP-UX and Solaris, fixed crash on HP-UX (Andris)
...G...... [ZBX-22933] improved vfs.file.regmatch and vfs.file.regexp items to use buffered file read (askolmeisters)
..F....... [ZBX-21973] changed deprecated X-Frame option allow-from to Content-Security-Policy frame-ancestors (dfofanovs)
.......PS. [ZBX-23738] fixed Zabbix backend sources for libxml2 2.12.0 version changes (akozlovs)
........S. [ZBX-23633] fixed service alarms to be recovered with problem time in case of negative problem duration (vso)
.........T [ZBX-23746] fixed creation of tickets during escalation for Zammad media type (akotsegubov)
..F....... [ZBX-23561] fixed spacing between filter and results table (ashubin)
..F....... [ZBX-23636] fixed some fields in Administration section not being trimmed on form submission (agriscenko)
........S. [ZBX-23730] fixed long server shutdown when a lot of values are enqueued to be flushed via connectors (dgoloscapov)
.......PS. [ZBX-23631] removed 'tags' tag in case of an error when collecting tags from *discovery items (MVekslers)
..F....... [ZBX-23439] fixed sorting of numeric items with/without aggregation enabled in Top hosts widget (dfofanovs)
.........T [ZBX-23825] fixed query_fields values in Acronis and Nomad templates (abiba)
..F....... [ZBX-23590] fixed discovery rule form custom timeout link opening the proxy form only when override of proxy item type timeouts is enabled (gcalenko)
..F....... [ZBX-23623] fixed sorting order of dependent triggers in trigger configuration being different from sorting order in trigger list (agriscenko)
........S. [ZBX-23559] fixed SLI dropping when maintenance is set with pre-existing problem (dgoloscapov)
.......PS. [ZBX-23145] disabled deprecated automatic reconnection in MySQL (mprihodko)
.......PS. [ZBX-23799] fixed crash when host interfaces are added and updated at the same time (vso)
..F....... [ZBX-23565] fixed filtering by value not working in Latest data for log and text types (agriscenko)
.......PS. [ZBX-23683] fixed calculation of vmware.datastore.read/write items taking into account VMware HV maintenance status (MVekslers)
...G...PS. [ZBX-23787,ZBX-23755] fixed crash on empty HTTP response; fixed Zabbix agent build on Windows with libcurl (vso)
.......PS. [ZBX-23437] added back support for user macros in "custom on fail" parameter (dimir)
..F....... [ZBX-23681] fixed time column width and removed strange dots for the checkbox column in monitoring problems in compact mode (dfofanovs)
..F....... [ZBX-23713] changed names of order and limit fields in Top hosts and Top triggers widgets (dfofanovs)
..F....... [ZBX-21132] fixed Top hosts widget not showing all items by selected item name (Ivo)
A......... [ZBX-23568] added clean-up of incompatible item, item prototype and LLD rule properties from configuration import generated before v6.4 (jfreibergs)
.........T [ZBX-23764] added an additional field for new events in SIGNL4 media type (aiantsen)
.......PS. [ZBX-23685] added read-only transaction to the list of recoverable errors on PostgreSQL (vso)
...G...... [ZBX-23342] fixed Zabbix agent 2 MySQL plugin connection not taking into account TLS parameters (esneiders)
...G...... [ZBX-23715] fixed persistent directory path not following symlinks upon creation (kprutkovs)
.......PS. [ZBX-23759] fixed agent poller process sending IPC messages to wrong recipients (asestakovs)
.......PS. [ZBX-23772] fixed vmware.vm.discovery item (MVekslers)
...G...... [ZBX-23672] fixed issue of binary items breaking module compatibility (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha8

New features:
A.F.I..PST [ZBXNEXT-7460] added support for user macros in item and item prototype names (agriscenko, vso)
A.F....PS. [ZBXNEXT-8735] added attempt interval and item data type-based filtering to connectors (dfofanovs, dgoloscapov)
...G...PS. [ZBXNEXT-1400] added support for configuration file validation (asestakovs, dimir)
A.F.I..... [ZBXNEXT-7578] modified 'headers' and 'query_fields' parameter structure for item, item prototype, and LLD rule API objects (akozlovs, jfreibergs, vmaksimovs)
....I..... [ZBXNEXT-8765] changed default values of data storage period for audit log/history housekeeping to 31 days (dpetra)
A.F....PS. [ZBXNEXT-5120] extended support of macro functions to all built-in and user macros (akozlovs, Sasha)
...G...... [ZBXNEXT-3826] added automatic IP address reversal for reverse DNS lookups (arimdjonoks)
..F....... [ZBXNEXT-8486] moved items and item prototypes to MVC model and refactored edit forms to modal forms (gcalenko)
...G.....T [ZBXNEXT-8705] implemented new tablespace item to retrieve percentage about current tablespace usage from max for both Oracle templates (knaglis)
...G...... [ZBXNEXT-5401] implemented net.dns.perf key; thanks to Robert Young (arimdjonoks)
...G...... [ZBXNEXT-8708] added version metric to Oracle plugin in Zabbix agent 2 (rzvejs)
..F....... [ZBXNEXT-8741] improved "Show" checkbox list behaviour in Clock, Gauge and Item value widgets (agriscenko, averza)
.........T [ZBXNEXT-8568] added new proxy memory buffer metrics to Zabbix proxy health templates (drasikhov)
.........T [ZBXNEXT-8522] added HPE iLO by HTTP template (drasikhov)
.........T [ZBXNEXT-7486] added openshift-state-metrics in Kubernetes cluster state by HTTP (egordymov)
.........T [ZBXCTR-20] added scheme for metrics endpoints (ebbex)

Bug fixes:
A...I..... [ZBX-23580] fixed aggregated item key conversion to calculated item formula when item key includes 'last' function and a fourth parameter (Ivo, mprihodko)
...G...PS. [ZBX-23490] improved HTTP agent, web scenarios, web checks and JavaScript to convert to UTF-8 from charset specified in HTTP header or HTTP meta tag (vso)
.......P.. [ZBX-22493] fixed foreign key support with SQLite3 database (wiper)
....I..... [ZBX-23146] fixed automatic database upgrade and manual upgrade scripts failing on TimescaleDB with compression (vso)
.......PS. [ZBX-23602] fixed false positive host revision update in configuration cache when syncing interfaces (wiper)
..F....... [ZBX-23269] fixed sizes of loading modal windows (apoga)
.......PS. [ZBX-23621] fixed SNMP discovery looping forever with empty trend response (wiper)
.......PS. [ZBX-23668] added overflow check when converting string variant to ui64 (dgoloscapov)
..F....... [ZBX-23525] fixed template tab name in template configuration form (agriscenko)
.......PS. [ZBX-23670] fixed timeout misbehavior in simple checks (dgoloscapov)
..F....... [ZBX-22829] fixed discovery rule checks editing (apoga)
.D........ [ZBX-23620] reordered sub-templates in READMEs of Acronis, Control-M and Openstack templates (knaglis)
.........T [ZBX-23381] fixed unit for FreeStorageSpace metric in JavaScript AWS RDS instance by HTTP template (egordymov)
.........T [ZBX-23660] fixed widgets in FortiGate by HTTP template (abakaldin)
..F....... [ZBX-23472] fixed preload hintboxes loading (apoga)
..F....... [ZBX-22400] fixed Web scenarios configuration form to display parent web scenarios on page refresh (ddauksa)
..F....... [ZBX-23290] fixed gap when filtering by tags in Latest data (agriscenko)
..F....... [ZBX-23399] fixed browser console errors when mass updating host and removing all value mappings (agriscenko)
..F....... [ZBX-23430] fixed selected filter tab in high contrast themes being indistinguishable from others when collapsed (agriscenko)
..F....... [ZBX-23429] removed strange dots in latest data caused by overflow-ellipsis (dfofanovs)
.........T [ZBX-23639] changed value type for 'Pool Percent Used' item prototype in Ceph by Zabbix agent 2 template (akotsegubov)
..F....... [ZBX-23521] fixed password field label not changing to key passphrase and back for SSH agent item when changing authentication method (agriscenko)
..F....... [ZBX-23431] fixed non-working "Network timeout for item test" setting (agriscenko)
..F....... [ZBX-23615] fixed receiving data from the database twice the first time it is loaded (ashubin)
..F....... [ZBX-22537] fixed displaying symptom events in case multiple cause events have more than 50 symptoms (Ivo)
..F....... [ZBX-19531] fixed tables with header text vertical rotation (ashubin, jfreibergs)
.......P.. [ZBX-23157] fixed proxy buffer statistic handling in disk mode (wiper)
...G...... [ZBX-23855] fixed buffer overread in DNS response (askolmeisters)
...G...... [ZBX-23858] fixed injection vulnerability in Zabbix agent 2 smartctl plugin (esneiders)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha7

New features:
.......PS. [ZBXNEXT-8729] updated max supported TimescaleDB version to 2.12 (mprihodko)
.........T [ZBXNEXT-8552] added FortiGate by SNMP and FortiGate by HTTP templates (aiantsen)
..F....PS. [ZBXNEXT-5524] added vmware.eventlog event filtering by severity; added event type and extended event source in latest data (mprihodko)
.......PS. [ZBXNEXT-7754] added info with list of guest VM IPs to vmware.vm.discovery (MVekslers)
...G...PS. [ZBXNEXT-8726] refactored item timeout handling on Zabbix server and proxy (dgoloscapov, wiper)
..F.....S. [ZBXNEXT-6741] added all dashboard pages to PDF document sent in scheduled report (dfofanovs, mprihodko)
..F....... [ZBXNEXT-8750] implemented label changes for history and trends storage parameters (dpetra)
.........T [ZBXNEXT-8727] added additional metrics in Cisco Meraki organization by HTTP template (egordymov)
..F....... [ZBXNEXT-8716] implemented usability improvements for item mass update form, preprocessing tab (dpetra)
.........T [ZBXNEXT-7097] added item and trigger for monitoring PostgreSQL version into PostgreSQL by ODBC and PostgreSQL by Zabbix agent 2 templates (akotsegubov)

Bug fixes:
...G...PS. [ZBX-23404] fixed Zabbix agent crashes on HP-UX 11.23 (Andris)
........S. [ZBX-23576] fixed group condition in calculated item in case when there is template group with same name as host group (vso)
........S. [ZBX-23235] fixed function macros to expand in notifications (arimdjonoks)
...G...... [ZBX-23173] fixed memory leak in agent 2 for Windows Events processing on MS Windows (akozlovs, Andris, esneiders, MVekslers)
.......PS. [ZBX-23484] fixed incorrect handling of float values when testing calculated items (dgoloscapov, wiper)
.........T [ZBX-23563] fixed JSONPath for rowshare locks metric in PostgreSQL by Zabbix agent 2 template (drasikhov)
.........T [ZBX-22907] removed unused LLD macro in PostgreSQL by Zabbix agent template (drasikhov)
.........T [ZBX-23539] fixed missing filesystem label macro in Windows by Zabbix agent templates, added discard to filesystems discovery (drasikhov)
.......PS. [ZBX-23377] added support for VMware perfCounter with nanosecond type (MVekslers)
........S. [ZBX-23012] possible optimization of the SQL queries when updating LLD items (kprutkovs)
..F....... [ZBX-23554] fixed translation strings that were causing issue with gettext extension (vmurzins)
A.F....... [ZBX-23318] fixed 'replace' preprocessing step parameter validation checking if backslashes are escaped (miks)
A.F.....S. [ZBX-23270] renamed trigger name condition to event name condition (agriscenko, asitals)
...G...... [ZBX-23340] fixed TLS parameter handling in MySQL plugin for Zabbix agent 2 (esneiders)
..F....... [ZBX-23259] fixed field focus on label click in user group mapping form for user authentication (epulke)
..F....... [ZBX-22977] fixed positioning of hidden checkbox inputs and fixed autofocus in template/host mass update (dfofanovs)
.......PS. [ZBX-23475] fixed memory leak when SNMP walk to JSON preprocessing step fails due to parsing error (dgoloscapov)
..F....... [ZBX-23527] fixed radio-list-controls position in the top header of services (dfofanovs)
.........T [ZBX-23494] added SNMP fallback item to TrueNAS by SNMP template, updated uptime item and template descriptions, added preprocessing to free swap percentage calculation (drasikhov)
..F....... [ZBX-23101] added asterisk to description field label in Item value widget (ddauksa)
..F....... [ZBX-22666] disabled severity filter for Geomap widget in dashboard edit mode (dpetra)
.......PS. [ZBX-23200] fixed parsing NULL values, multiline strings and quoted strings in SNMP walk output (asitals)
...G...... [ZBX-22532] update Zabbix agent 2 command line flags to use zbxflag package (rzvejs)
........S. [ZBX-23393] fixed unquoted macro parsing in trigger function parameters (wiper)
........S. [ZBX-23064] simplified trend synchronization queries to improve performance (vso)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha6

New features:
..F....... [ZBXNEXT-8681] implemented better defaults and 'Show' options for description, value, needle and scale of Gauge widget (apoga, ddauksa)
..F....... [ZBXNEXT-8453] fixed navigation confirmation window for trigger edit form, permission check, error messages for tag tab (epulke)
..F.I..... [ZBXNEXT-7736] added support for active checks, "show only totals" option and host total column/row in Host availability widget (dfofanovs, dgoloscapov)
.........T [ZBXNEXT-8283] implemented role-based authentication for AWS monitoring (abakaldin)
.........T [ZBXNEXT-8575] added Nextcloud template (abakaldin)
A.F....PS. [ZBXNEXT-8645] added get[oid] to retrieve single value asynchronously (agriscenko, vso)

Bug fixes:
.........T [ZBX-23164] added timespan parameter in JavaScript Cisco Meraki template (egordymov)
..F....... [ZBX-23288] fixed Top triggers widget showing incorrect entries when custom trigger count is set (Ivo)
..F....... [ZBX-23465] fixed alignment of tag badges (dpetra)
..F....... [ZBX-23455] fixed inconsistency in button naming, confirmation messages, success and error messages in item and web scenario list pages (dpetra)
...G...... [ZBX-20038] fixed master host parameter for MySQL replication.get_slave_status key in Zabbix agent 2 (esneiders)
..F....... [ZBX-23479] fixed empty hints for widget fields referring to another widgets (averza)
..F.....S. [ZBX-23301] removed checks for PostgreSQL-TimescaleDB versions combination (dimir)
..F....... [ZBX-23454] fixed runtime errors while resolving macros in the trigger URL name (Sasha)
...G...... [ZBX-22735] fixed confusing error message on user parameter reload in Zabbix agent 2 (rzvejs)
.......PS. [ZBX-23477] fixed item test failures due to timeout error (dgoloscapov)
........S. [ZBX-23154] stopped running housekeeper TimescaleDB 'drop_chunks' query on history_bin table (arimdjonoks)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha5

New features:
..F.I..... [ZBXNEXT-8453] moved triggers and trigger prototypes to mvc model and refactored edit forms to modal forms (epulke)
..F.I....T [ZBXNEXT-8145] implemented communication framework for dashboard widgets (ashubin, averza)
..F.I..PS. [ZBXNEXT-8570] removed support for TimescaleDB v1 (dimir)
.......PS. [ZBXNEXT-8600] added secrets resolving to script preprocessing step (askolmeisters)
A.FG...PST [ZBXNEXT-1096] implemented configurable per-item-type timeouts (abakaldin, agriscenko, dgoloscapov, wiper)
A.F.....S. [ZBXNEXT-7726] added support for extended error checking in preprocessing (akozlovs, jfreibergs)
..F.I..... [ZBXNEXT-8331] implemented new Pie chart widget (apoga, ddauksa)
..F.....S. [ZBXNEXT-8638] implemented new evaluation functions jsonpath and xmlxpath (jfreibergs, kprutkovs)
.......PS. [ZBXNEXT-8469] increased PostgreSQL maximum supported version to 16 (mprihodko)
.......PS. [ZBXNEXT-8714] increased MariaDB maximum supported version to 11.1 (mprihodko)
A.F.I...S. [ZBXNEXT-8702] added support of group discovery from different prototypes/lld rules (dfofanovs, wiper)
A.F....... [ZBXNEXT-4165] implemented `selectActions` parameter for API method `mediatype.get` to display all associated actions for media types (ddauksa)
..F....... [ZBXNEXT-7761] updated User groups permissions and problem tag filters 'Add' button behaviour to add a new row (ddauksa)
.........T [ZBXNEXT-8576] added template integration with Acronis Cyber Protect Cloud (knaglis)
..F....... [ZBXNEXT-7687] extended Top Hosts widget column sorting (dfofanovs)
..FG...PS. [ZBXNEXT-6554] increased remote command execution limits to 16MB (dgoloscapov)

Bug fixes:
........S. [ZBX-23427] fixed trends not being calculated (arimdjonoks)
..F....... [ZBX-23361] fixed uncapitalized first letter for value 'all' in radio buttons and in filter select fields (dpetra)
..F....... [ZBX-22841] fixed all date/time displays to match standard US date and time formats (ddauksa)
........S. [ZBX-23446] fixed nested transaction issue when processing autoregistration data (dimir)
.......P.. [ZBX-23354] fixed crash on shutdown after unsuccessful database connection on startup (wiper)
..F....... [ZBX-23358] fixed "Problem hosts" widget without filtering by tags not showing problem host count (agriscenko)
..F....... [ZBX-23302] fixed 'access denied' error in template multiselect popup (esekace)
A......... [ZBX-23338] improved performance of templatedashboard.get method for non super-admin users (Sasha)
...G...... [ZBX-23110] fixed possible crash on Windows 11 by removing concurrent Win API call for update perfCounters list (MVekslers)
A......... [ZBX-23284] prevented deletion of the discovered group as a result of renaming its group prototype (vmaksimovs)
..F....... [ZBX-21094] fixed graphs not displaying values when items do not have trends and trend storage period is overridden in configuration (Ivo)
.........T [ZBX-23162] fixed variable in JavaScript for Cisco Meraki template (egordymov)
..F....... [ZBX-23066] expanded ui/composer.json to describe the project (jxl)
..F....... [ZBX-23253] added static units support to graph widget legend and hint box (ashubin)
..F....... [ZBX-23261] removed kiosk mode button from host inventory form (apoga)
..F....... [ZBX-23260] fixed (enabled) additional URL fields in map properties (apoga)
..F....... [ZBXNEXT-8658] improved Monitoring > Maps usability (agriscenko)
...G...... [ZBX-22943] fixed various memory leaks in Zabbix agent 2 (arimdjonoks)
....I..... [ZBX-22779] replaced HTTP with HTTPS in Zabbix homepage address (mprihodko)
.......PS. [ZBX-23298] fixed walk[oid] discovery rule not working as test item (vso)
.......PS. [ZBX-23336] fixed items not to become unsupported if interface is not available (vso)
.........T [ZBX-23244] added escaping for special characters in HTML mode of Telegram mediatype (aiantsen)
..F....... [ZBX-21636] fixed Oracle DB update query error mishandled as success (jfreibergs)
...G...... [ZBX-20442] fixed Ceph plugin not returning percent_used in Zabbix agent 2 (rzvejs)
........S. [ZBX-15210] added housekeeping and handling in remove action operation of autoreg_host table (dimir)
...G...... [ZBX-21560] fixed default Zabbix agent 1 and 2 config file name and path for Windows; fixed logging to stderr in Zabbix agent 2 (mprihodko)
..F....... [ZBX-22991] resolved recommendations/issues regarding new icons style (ashubin)
..F....... [ZBX-22166] fixed item value widget not showing decimal places properly with seconds (dfofanovs)
..F....... [ZBX-23035] fixed disappearing filter group in host, item, trigger, graph, discovery rule, web and template lists (dpetra)
....I..... [ZBX-23105] added missing database indices (dimir)
.......PS. [ZBX-23854] fixed leak of zbx_session cookie through dashboard URL widget while constructing scheduled report (mprihodko)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha4

New features:
.........T [ZBXNEXT-8610] added MantisBT template (abiba)
.......PS. [ZBXNEXT-8621] improved asynchronous pollers to read configuration in separate thread to avoid blocking (vso)
.......PS. [ZBXNEXT-8358] improved item configuration sync on PostgreSQL by selecting using equal condition instead of not equal (vso)
A.F.....S. [ZBXNEXT-8541] added support for history.push API method (agriscenko, wiper)
.........T [ZBXNEXT-8649] fixed time period params in JavaScript (egordymov)
.........T [ZBXNEXT-8429] added HashiCorp Nomad template (igorbach)
..F....... [ZBXNEXT-8421] implemented dashboard tabs navigation for host dashboards (ashubin, dpetra)
A.F.I..PS. [ZBXNEXT-8500,ZBXNEXT-8506] moved proxies to separate database tables (dfofanovs, dgoloscapov, jfreibergs, mprihodko, vmaksimovs, vso)
.........T [ZBXNEXT-8633] added asynchronous SNMP poller metrics to Zabbix health templates (drasikhov)
...G....S. [ZBXNEXT-4781] added new eventlog.count item key (kprutkovs)
.........T [ZBXNEXT-8581] added support for HTTP proxy in Azure templates (egordymov)
....I...S. [ZBXNEXT-8520] turned auditlog table into hypertable (askolmeisters)
.........T [ZBXNEXT-8558] added MantisBT webhook (abiba)
.........T [ZBXNEXT-8589] updated documentation, unified metric names and descriptions in PostgreSQL templates, removed unused macros, user parameters and queries in PostgreSQL by Zabbix agent (drasikhov)
..F....... [ZBXNEXT-8563] added warning messages that Oracle DB is deprecated on setup page and in System information widget and report (kkuzmina)
.........T [ZBXNEXT-8528] added AWS Cost Explorer template (egordymov)
.......PS. [ZBXNEXT-8567] added asynchronous SNMP pollers (vso)
.......PS. [ZBXNEXT-8620] added asynchronous DNS resolving for async SNMP and Zabbix agent pollers (vso)
..F....... [ZBXNEXT-8444] moved template configuration form to modal window (esekace)

Bug fixes:
A.F....... [ZBX-23240] fixed filtering by "action" and "action_userid" in event.get and problem.get not working (agriscenko)
.D........ [ZBX-21952] fixed and improved documentation for Oracle by ODBC template (knaglis)
..F....... [ZBX-22980] fixed host prototype displaying inherited macros in a non-inherited macro tab (Ivo)
..F....... [ZBX-17279] fixed graph widget loading (apoga)
..F....... [ZBX-22601] fixed invalid time period filter submission (esekace)
A......... [ZBX-23214] fixed inability to import a host if a template with non-existent template group is specified in the same import file (vmaksimovs)
A......... [ZBX-23275] prevented undefined index error when unlinking a template containing an item with value map (vmaksimovs)
..F....... [ZBX-22724] fixed inconsistencies in ordering of objects in template configuration export (jfreibergs)
.........T [ZBX-22060] added notes about encryption in PostgreSQL templates, renamed database instance URI macro to connection string in PostgreSQL by Zabbix agent 2 template, updated PostgreSQL by ODBC template to use connection string (drasikhov)
..F....... [ZBX-23246] fixed classic graph preview not working if more than 10 items are assigned to it (jfreibergs)
...G...... [ZBX-22758] fixed Zabbix agent 2 startup error on domain controllers by increasing go-winio version (asestakovs)
..F....... [ZBX-22451] fixed resolving of calculated item formula in test popup (miks)
..F....... [ZBX-23088] fixed discovery rule host name, visible name and uniqueness criteria radio button values after updating Discovery checks (esekace)
..F....... [ZBX-22901] fixed duplicate checking for SNMP discovery checks (esekace)
.........T [ZBX-22620] added header in items for Meraki template (egordymov)
.........T [ZBX-23051] changed content of resolved alerts to be more compatible with Event Orchestration in PagerDuty (aiantsen)
.........T [ZBX-23272] fixed naming for tenant item prototypes in OpenStack Nova by HTTP template (knaglis)
..F....... [ZBX-22818] fixed some aggregation functions not working with last_foreach() (agriscenko)
...G....S. [ZBX-23002] made vfs_file_contents, vfs_file_regmatch, vfs_file_regexp, log, log.count, logrt, logrt.count and telnet items to fail when non-existing encoding is used (arimdjonoks)
..F....... [ZBX-21255] added support of the fmtnum() function for {ITEM.VALUE}, {ITEM.LASTVALUE} and expression macros (Sasha)
........S. [ZBX-22771] fixed handling of large unsigned integers in JSONPath (dgoloscapov)
...G...... [ZBX-22871] fixed regular expression crash with invalid utf-8 sequences when PCRE2 is used (wiper)
.......PS. [ZBX-23141] fixed crash when maintenance is enabled and unexpected event exists for trigger prototype (vso)
...G...... [ZBX-23068] fixed crash and memory leak when using system.sw.os.get key (vso)
........S. [ZBX-21695] fixed {TIME} macro not being resolved during scheduled report test (vso)
...G...PS. [ZBX-23221] fixed memory leaks when using certificate-based encryption in Zabbix agent and Zabbix agent 2; thanks to Masato Hirahata for the patch (akozlovs, Andris)
.......PS. [ZBX-22864] fixed calculation of max_repetitions sent out to device in SNMP PDUs (mprihodko)
A......... [ZBX-23234] fixed inability to link a template containing an item that depends on web scenario item (vmaksimovs)
A......... [ZBX-23210] fixed inability to unlink a template containing items with empty value map from a template (vmaksimovs)
..F....... [ZBX-22677] adjusted font colors for placeholders, disabled and readonly fields (dfofanovs)
.........T [ZBX-21574] optimized Asterisk by HTTP template (egordymov)
...G...PS. [ZBX-18168] added regexp runtime error logging for log*[] items (Andris)
..F....... [ZBX-22972] fixed displaying of dashboard pages when scrolling is enabled (apoga)
........S. [ZBX-23067] enhanced audit logging with reason of switching of HA node to active mode (arimdjonoks)
...G...... [ZBX-22535] fixed Zabbix agent 2 configuration with empty values (esneiders)
..F....... [ZBX-22027] fixed "Update problem" position in trigger context menu (agriscenko)
..F....... [ZBX-22757] fixed action condition labels when custom expression is set (esekace)
A......... [ZBX-22613] fixed script execution with API token as authentication (epulke)
..F....... [ZBX-22881] fixed link to filtered users belonging to the specific user group (epulke)
.........T [ZBX-23060] removed unused endpoints in JavaScript for Veeam Backup and Replication template (egordymov)
........S. [ZBX-22772] added trends cleanup for non-numeric value types (wiper)
..F....... [ZBX-22788] fixed inability to close pop-up confirmation message on the first attempt after opening multiple popups (averza, kkuzmina)
A......... [ZBX-22787] fixed mediatypes incorrectly saving parameters when switching type from Webhook to Script and vice versa (Ivo)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha3

New features:
A.F.I..... [ZBXNEXT-6974] implemented new "Top triggers" widget; added new filtering options to "Top triggers" report page (agriscenko)
A.F.I...S. [ZBXNEXT-6524] added operations "Add host tags", "Remove host tags" for autoregistration and discovery actions (Ivo, mprihodko)
..F....PS. [ZBXNEXT-8190] increased MariaDB maximum supported version to 11.0 (mprihodko)
..F....PS. [ZBXNEXT-8582] increased MySQL maximum supported version to 8.1 (mprihodko)
.........T [ZBXNEXT-8481] added PostgreSQL by ODBC template (drasikhov)
.........T [ZBXNEXT-8561] added nodata trigger to remote Zabbix proxy and server health templates (drasikhov)
.......PS. [ZBXNEXT-8560] added messages that Oracle DB is deprecated (akozlovs)
.........T [ZBXNEXT-8505] added Cisco SD-WAN templates (aiantsen)
.........T [ZBXNEXT-8482] added integration with OpenStack Nova (knaglis)
A.F....... [ZBXNEXT-6470,ZBXNEXT-6986] implemented audit logging of LLD rule API object (jfreibergs, vmaksimovs)
..F....... [ZBXNEXT-8451] disabled spell checking for nondescriptive textareas (dfofanovs)
.........T [ZBXNEXT-8569] added asynchronous agent and HTTP agent poller metrics to Zabbix health templates (drasikhov)
..F....... [ZBXNEXT-743] implemented new "Gauge" widget (apoga, ashubin, averza, Ivo)
.......PS. [ZBXNEXT-6144] added proxy data memory cache to avoid using proxy history tables in normal operation (wiper)
.........T [ZBXNEXT-7944] excluded edgeupdate service from services discovery in Windows by Zabbix agent templates (drasikhov)
.......PS. [ZBXNEXT-8460] added asynchronous Zabbix agent and HTTP agent pollers (vso)
.........T [ZBXNEXT-8422] added AWS ECS templates (egordymov)

Bug fixes:
..F....... [ZBX-23147] fixed problem count indicators in Monitoring hosts page (ashubin)
..F....... [ZBX-23072] fixed web scenario step variable uniqueness validation if multiple variable names are empty (Ivo)
..F....... [ZBX-23096] fixed fields with key-value pairs being misaligned in web scenario configuration form (agriscenko)
...G...... [ZBX-23107] fixed small memory leak in Zabbix agent 2 (arimdjonoks)
..F....... [ZBX-22822] fixed displaying the correct threshold color in "Top hosts" widget when value exceeds maximum (Ivo)
..F....... [ZBX-22777] fixed item test form sending incorrectly resolved macros to server if item uses SNMP interface (Ivo)
.......PS. [ZBX-23075] fixed processing of network discovery rule with short update interval (asestakovs)
...G...PS. [ZBX-23097] fixed use of uninitialised value when verifying subject and issuer with TLS (vso)
A......... [ZBX-23112] fixed runtime errors in the inheritance of the trigger and trigger prototype dependencies (Sasha)
A......... [ZBX-22539] fixed SLI calculation for days with daylight-saving-time transitions (averza)
..F....... [ZBX-22916] fixed action condition type dropdown not reloading the form if mouse is clicked and dragged (Ivo)
A......... [ZBX-22814] fixed PHP runtime errors in API trigger.get method when using "expandComment" option (Ivo)
...G...... [ZBX-23037] fixed memory leak in vfs.fs.get[] (Andris)
..F....... [ZBX-22915] fixed unfocusable dashboard pages in editing mode (apoga)
...G...... [ZBX-23014] fixed Zabbix agent build on HP-UX (arimdjonoks)
........S. [ZBX-23049] fixed default condition for log item macro resolution (kprutkovs)
.........T [ZBX-21909] updated setup section in README for PHP-FPM templates to include configuration example for Apache (drasikhov)
........S. [ZBX-20148] fixed the issue with housekeeper failing to delete some of the events that required deletion (mprihodko)
..F....... [ZBX-21970] fixed console error in "Map navigation tree" widget; disabled add button on a 10th depth level (acikuns, ashubin)
A......... [ZBX-19393] fixed undefined index errors in configuration.importcompare (agriscenko)
..F....... [ZBX-22811] removed CSRF token from the monitoring.host.view URL (epulke)
..F....... [ZBX-22290] fixed generation of double page headers when general warning appears (epulke)
...G...... [ZBX-22830] fixed free bytes calculation for temporary tablespace in Oracle Zabbix agent 2 plugin (esneiders)
...G...... [ZBX-21845] fixed Zabbix agent 2 systemd plugin failing with newer dbus (esneiders)
...G...... [ZBX-21547] fixed reading of non-UTF-8 encoded files in Zabbix agent 2 (arimdjonoks)
A.F....... [ZBX-22800] fixed detection of authentication LDAP userdirectory when user is assigned to multiple user groups with LDAP authentication (gcalenko)
..F....... [ZBX-22808] fixed broken timeline breakpoint in "Problems by severity" widget (Ivo)
.........T [ZBX-21571] updated pod crash loop trigger expressions in Kubernetes nodes and cluster state templates (drasikhov)
..F....... [ZBX-22825] fixed Zabbix access to the first page for user with specific page access (dpetra)
..F....... [ZBX-22711] fixed incorrectly displayed simple graphs with non-numeric items in Host graphs page (kkuzmina)
..F....... [ZBX-22369] fixed suffix interpretation in threshold values for "Item value" and "Top hosts" widget (averza, esekace)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha2

New features:
..F....... [ZBXNEXT-8515] switched Zabbix frontend SVG icons to fonts (ashubin, dfofanovs)
..F....... [ZBXNEXT-8413] moved Alerts -> Media types configuration form to modal window (esekace)
.........T [ZBXNEXT-8497] removed unnecessary JavaScript preprocessing in discovery rules in Kubernetes templates (drasikhov)
..F....... [ZBXNEXT-8445] changed Data collection -> Event correlation form to modal window (Ivo)
.........T [ZBXNEXT-8465] updated JavaScript scripts in Kubernetes templates (egordymov)
...G...PS. [ZBXNEXT-297] added remote command execution via active checks (akozlovs)
.........T [ZBXNEXT-8447] added new discovery manager, worker and queue metrics to Zabbix server and proxy health templates (drasikhov)
..F....... [ZBXNEXT-7072] fixed hintbox to be automatically closed when target element disappears (miks)
.........T [ZBXNEXT-8294] added filters of node labels and annotations for Kubelet discovery in Kubernetes cluster state template (drasikhov)
A.F.I..... [ZBXNEXT-2299] implemented problem/event filtering by performed update actions and user; reworked problem filter to support filtering by acknowledgement status and current user (miks)

Bug fixes:
..F....... [ZBX-22987] fixed inefficient URL schema validation (agriscenko)
...G...... [ZBX-21892] fixed wrong fs type returned by vfs.fs.get for file systems with identical mount point (asestakovs)
...G...... [ZBX-21859] fixed active checks occasionally not being executed on Zabbix agent 2 if checks for a plugin have long and short update intervals (vso)
A......... [ZBX-22941] prevented clearing of the user macro secret values on inherited host prototypes as the result of user macros modifications on the parent host prototype of a template (vmaksimovs)
....I..... [ZBX-22889] fixed performance problems by creating problem.cause_eventid index (mprihodko)
...G...... [ZBX-22695] fixed eventlog duplicate timestamps (asestakovs)
..F....... [ZBX-22903] fixed scale calculation for Graph and Graph (classic) widgets (averza)
.......P.. [ZBX-22838] fixed Zabbix proxy reporting JSON error instead of TCP (vso)
........S. [ZBX-22904] fixed streaming of metrics with large float numbers (vso)
.......PS. [ZBX-22148] fixed the crash when updating a webhook to JavaScript that cannot be compiled (vso)
...G...... [ZBX-22868] fixed Zabbix agent 2 plugin Defaults when hardcoded value is provided (esneiders)
...G...... [ZBX-22399] added TLS and Default parameters support to MQTT plugin for Zabbix agent 2 (esneiders)
..F....... [ZBX-20280] fixed page selection in a dashboard after refresh (apoga)
...G...... [ZBX-22883] fixed occasional crash of user parameters on Windows when using Zabbix agent 2 with UserParameterDir defined (MVekslers)
....I..... [ZBX-22953] fixed metric names in the Top hosts widget in global view dashboard, added missing connector queue metric to graph in Zabbix server health dashboard (drasikhov)
..F....... [ZBXNEXT-8392] added a documentation link for each standard item key (dpetra)
..F....... [ZBX-22243] fixed navigation away from edited dashboard without user confirmation (averza)
.......PS. [ZBX-22844] fixed compilation of Zabbix on OpenBSD when linking with libevent (kprutkovs)
...G...... [ZBX-22798] fixed incorrect output of vfs.file.contents when reading frequently modified file (dgoloscapov, vso)
.......PS. [ZBX-22805] increased memory allocation limit for JavaScript execution from 64M to 512M (akozlovs)
..F....... [ZBX-21877] fixed unnecessary proxy name wrapping into multiple lines in proxy list (averza)
..F....... [ZBX-22264] added optional empty state for dynamic rows library (dfofanovs)
.......PS. [ZBX-22697] fixed VMware tags update error related to curl communication problems (MVekslers)
.........T [ZBX-21573] optimized preprocessing steps in the AWS EC2 by HTTP template (aiantsen)
..F....... [ZBX-16326] fixed displaying of the first and last data points on the graphs (Sasha)
.........T [ZBX-22467] fixed missing bracket in a trigger event name in Windows templates (drasikhov)
........S. [ZBXNEXT-8467] updated max supported TimescaleDB version to 2.11 (mprihodko)
..F....... [ZBX-22738] fixed flickering debug info while editing empty dashboards (averza)
..F....... [ZBX-22231] removed host and interface macros resolution from HTTP proxy fields in items, item prototype and discovery rule test dialogues (epulke)
..F....... [ZBX-22681] fixed wrongly displayed Revert button for text macros in host, template and host prototype clone forms (miks)
..F....... [ZBX-21194] fixed filter form submission upon pressing Enter key in Safari (acikuns, ashubin)
..F....... [ZBX-22348] added user role requirement for creating a user or updating a user with role already set to the frontend (gcalenko)
A.F....... [ZBX-21804] removed requirement for write permissions on hosts, host groups, triggers, discovery rules, discovery checks and proxies when creating or updating actions (gcalenko)
..F....... [ZBX-22743] fixed user list filtering with user roles specified (epulke)
..F....... [ZBX-22418] fixed popup form fields overlapping labels when textarea width is resized (agriscenko)
........S. [ZBX-19590] changed count_foreach to add 0 when no data are in the requested period (wiper)
..F....... [ZBX-22594] fixed fatal error when a request contains invalid authentication parameters (miks)
..F....... [ZBX-22397] fixed disabled input field text color in Safari (miks)
..F....... [ZBX-22691] fixed action operations edit form opening wrong operation details popup window (Ivo)
.........T [ZBX-21593] optimized preprocessing steps in the templates PostgreSQL by Zabbix agent and PostgreSQL by Zabbix agent 2 (aiantsen)
...G...... [ZBX-22470] fixed hang on logging when establishing an encrypted connection in Zabbix agent 2 (kprutkovs)
A......... [ZBX-20263] prevented the ability to link two or more templates with matching item keys to a host or template; improved the check for double template linkage and related error messages (epulke, jfreibergs, vmaksimovs)
A.F....... [ZBX-22254] fixed support of special characters in LDAP group pattern (gcalenko)
........S. [ZBX-22571] fixed "service not equal" action condition not working as expected (vso)
..F....... [ZBX-22644] fixed Graph widget not showing all problems for multiple items with dataset aggregation enabled (dfofanovs)
.........T [ZBX-22698] fixed spelling mistakes in the templates (egordymov)
..F....... [ZBX-21883] changed Select map field of the Map widget to multiselect (agriscenko, Sasha)
...G...... [ZBX-22762] fixed race condition in Zabbix agent 2 when reading filesystem (arimdjonoks)
...G...... [ZBX-22593] changed representation of boolean item values in wmi.get, wmi.getall items in Zabbix agent 2 to match the format in classic Zabbix agent (mprihodko)

--------------------------------------------------------------------------------
Changes for 7.0.0alpha1

New features:
A.F....PS. [ZBXNEXT-2732] improved network discovery by implementing concurrent checks within single discovery rule (asestakovs, ddauksa, MVekslers)
..F.I..... [ZBXNEXT-8425] increased the maximum length for username and password fields used in HTTP authentication from 64 to 255 characters (jfreibergs, kprutkovs)
........S. [ZBXNEXT-8402] implemented support of non-numeric vectors in aggregated calculations (dgoloscapov, wiper)
..F.I..... [ZBXNEXT-8245] converted advanced configuration from checkbox to collapsible block (agriscenko, ashubin)
.......PS. [ZBXNEXT-8323] added preprocessing cache support for Prometheus to JSON step (wiper)
..F....... [ZBXNEXT-8387] changed Alerts->Scripts configuration form to modal window (esekace)
..F....... [ZBXNEXT-7640] updated widget help icon link to documentation link of a specific widget (esekace)
..F....... [ZBXNEXT-8386] changed Data collection->Discovery configuration form to modal window (esekace)
A.F....PS. [ZBXNEXT-8211] added support for new binary item value type (arimdjonoks, jfreibergs)
..F....... [ZBXNEXT-8390] added state filter for items in monitoring latest data (dfofanovs)
..F.....S. [ZBXNEXT-8355] added various improvements for aggregation functions (dfofanovs, dgoloscapov)
...G...PS. [ZBXNEXT-8270] added support of non-blocking sockets and thread-safe connect, accept, read, write operation timeouts based on poll (wiper)
..F....... [ZBXNEXT-8086] implemented ability to use all widgets in dashboard templates (ashubin, dpetra, esekace)
A.F.I..PS. [ZBXNEXT-8079] added an option to choose whether redirected ICMP ping response is treated as host up or host down (ddauksa, mprihodko)
..F....... [ZBXNEXT-8235] implemented simplified cloning in the UI by leaving only one Clone button for Hosts, Templates and Maps (dpetra)
..F.....S. [ZBXNEXT-8326] added Zabbix server and Zabbix frontend version to system information report (ddauksa, mprihodko)
A.F....PS. [ZBXNEXT-8324] dropped support for floats of limited range (jfreibergs, kprutkovs)
...G...... [ZBXNEXT-7569] added support for Portage in system.sw.packages{,.get} items (jxl)
..F....... [ZBXNEXT-8237] changed module details view to a modal (popup) and updated module details (ddauksa)
...G...... [ZBXNEXT-7132] added option of getting fully qualified domain name in system.hostname key to Zabbix agent and Zabbix agent 2 (kprutkovs)
..F.I..... [ZBXNEXT-8226] fixed the problem of insufficient length of URL fields (dfofanovs, dgoloscapov)
..F....... [ZBXNEXT-8256] renamed action operation types related to template linkage (ddauksa)

Bug fixes:
........S. [ZBX-22793] fixed LogSlowQueries not taken into account by server (dgoloscapov)
.......PS. [ZBX-22314] fixed OpenSSL, yaml, cmocka compiling in a non-standard location (askolmeisters)
........S. [ZBX-14557] expanded the range of possible forecast return values to double precision (kprutkovs)
..F....... [ZBX-22598] fixed singular and plural forms in success and error messages and in confirmation messages (dpetra)
...G...PS. [ZBX-22343] removed use of deprecated cURL setopt options (jxl)
...G...... [ZBX-22147] updated default buffer size to 1000 in Zabbix agent 2 (esneiders)
.......PS. [ZBX-22587] fixed JSON validation not detecting invalid unicode characters and out-of-bounds access with JSONPath on invalid unicode character (vso)
A.F....... [ZBX-21976] added support of OneLogin and Azure SCIM, fixed some issues with provisioning (epulke)

--------------------------------------------------------------------------------
Changes for 6.4.21

6.4.21rc1 was released as 6.4.21 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.21rc1

Bug fixes:
.......PS. [ZBX-25865] fixed issue causing vmware.hv.network.linkspeed metric failure and resulting in poller becoming unresponsive (MVekslers)
A......... [ZBX-25732] fixed inability to make cross-origin requests to API when passing authentication token using Authorization HTTP header; fixed inability to make cross-origin HTTP OPTIONS request to API endpoint (vmaksimovs)
.......PS. [ZBX-24692] fixed crash during invalid JSONPath preprocessing (vso)
..F....... [ZBX-24895] changed double quotes to single quotes for a string in an SQL statement (rgontarski)
...G...... [ZBX-25377] fixed crash when executing vfs.fs.size or other metrics and forked metric is terminated abnormally (vso)

--------------------------------------------------------------------------------
Changes for 6.4.20

6.4.20rc1 was released as 6.4.20 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.20rc1

New features:
........S. [ZBXNEXT-9532] updated maximum supported TimescaleDB version to 2.17 (mprihodko)
.......PS. [ZBXNEXT-9238] updated maximum supported PostgreSQL version to 17 (mprihodko)

Bug fixes:
....I..... [ZBX-25628] fixed possible line injection when handling SNMP traps using zabbix_trap_handler.sh from Zabbix Docker image, improved validation of SNMP traps in zabbix_trap_receiver.pl (dgoloscapov)
........S. [ZBX-25477] fixed crash when calculated item contains large value (vso)
........S. [ZBX-25324] fixed FreeTDS ODBC login with special characters in the password field (sboidenko)
...G...... [ZBX-24273] fixed potential Zabbix agent crash for vfs.fs.get item (MVekslers)
..F....... [ZBX-23171] fixed escaping of slash character in context-based macro patterns (esekace)

--------------------------------------------------------------------------------
Changes for 6.4.19

6.4.19rc1 was released as 6.4.19 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.19rc1

New features:
.......PS. [ZBXNEXT-9416] updated max supported MariaDB version to 11.5 (mprihodko)
........S. [ZBXNEXT-9408] updated max supported TimescaleDB version to 2.16 (mprihodko)

Bug fixes:
A......... [ZBX-25610] removed reliability on "sysmapelementurlid", "sysmapurlid" in URLs for map.create and map.update (Ivo)
.......PS. [ZBX-25626] added external data validation to prevent access to internal duktape properties through HttpRequest object (wiper)
........S. [ZBX-25629] fixed buffer over-read for broken UTF-8 mail data injection (sboidenko)
...G...PS. [ZBX-25127] fixed crash in JSON library due to null pointer arithmetic (vso)
.......PS. [ZBX-22754] fixed 'Too old events' error for vmware.eventlog item (MVekslers)
....I...S. [ZBX-24819] fixed slow template cloning (asestakovs)
..F....... [ZBX-24966] fixed sorting in Map navigation tree widget (apoga)
.......PS. [ZBX-24926] fixed bad argument error when using latest libcurl (vso)
........S. [ZBX-24879] fixed ODBC login with special characters in the password field (sboidenko)

--------------------------------------------------------------------------------
Changes for 6.4.18

6.4.18rc1 was released as 6.4.18 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.18rc1

New features:
.......PS. [ZBXNEXT-9293] updated max supported MySQL version to 9.0 (mprihodko)

Bug fixes:
A......... [ZBX-25614] prohibited ability to change own username, role, and user groups for users of type Admin or User (jfreibergs)
.......PS. [ZBX-25611] removed possibility of accessing internal duktape properties with atob function (wiper)
A........T [ZBX-24930] fixed inability to import latest official templates to minor versions up to 6.4.16 (abiba, vmaksimovs)
..F....... [ZBX-24835] fixed case-conversion and preg functions working incorrectly with the Turkish locale (agriscenko)
..F....... [ZBX-24909] fixed resolving of macro functions in the "Item value" widget (Sasha)

--------------------------------------------------------------------------------
Changes for 6.4.17

6.4.17rc1 was released as 6.4.17 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.17rc1

New features:
........S. [ZBXNEXT-9143] added index on auditlog recordsetid (arimdjonoks)
...G...... [ZBXNEXT-9081] added Small Computer System Interface (SCSI) device type support to Zabbix agent 2 Smart plugin (rzvejs)
.........T [ZBXNEXT-6445] added recovery expression for fuzzytime triggers in Linux and Windows templates, removed fuzzytime triggers from active agent templates (drasikhov)
.......PS. [ZBXNEXT-9201] updated max supported MySQL version to 8.4 (mprihodko)
........S. [ZBXNEXT-9225] updated max supported TimescaleDB version to 2.15 (mprihodko)
.......PS. [ZBXNEXT-9226] updated max supported MariaDB version to 11.4 (mprihodko)
.........T [ZBXNEXT-8868] added discovery and template for Azure VM Scale Sets (abrosimovs)

Bug fixes:
..F....... [ZBX-25635] added session signature check before session data initialization (gcalenko)
A......... [ZBX-25623] fixed SQL injection vulnerability in user.get API (agriscenko)
.......PS. [ZBX-24514] fixed standalone Zabbix server and Zabbix proxy not stopping when database is read-only (vso)
..F....... [ZBX-23936] fixed state and styling of readonly fields (ddauksa)
..F....... [ZBX-22920] fixed undefined array key error in Problems widget when host is in maintenance (ddauksa)
........S. [ZBX-24167] fixed template linkage when item prototype collision is found (dgoloscapov)
..F....... [ZBX-24610] fixed interface field appearance for discovered items without interface set (jfreibergs)
.D........ [ZBX-23770] improved monitoring user permissions documentation for Zabbix agent 2 Oracle plugin and Oracle by ODBC template (knaglis)
..F....... [ZBX-24235] fixed value misalignment in Item value widget (apoga)
.......... [ZBX-24565] removed redundant kernel header include, fixed musl compatibility issues (thanks to Alpine Linux maintainers for spotting this) (dgoloscapov)
A......... [ZBX-23751] fixed inability to pass an action filter condition without an "operator" property, implying a default value of "Equal" (jfreibergs)
..F....... [ZBX-24562] fixed incorrect problem order in Problems by severity widget's hintbox (Ivo)
A......... [ZBX-24622] fixed inability to inherit template with multiple items to multiple hosts when total amount of inherited items exceeds but is not a multiple of batch size (vmaksimovs)
.......P.. [ZBX-24682] fixed SQLite database creation (sboidenko)
A......... [ZBX-23886] fixed inability to import items, LLD rules and item prototypes containing redundant conditional fields (jfreibergs, vmaksimovs)
A......... [ZBX-21429] prevented ability to disable all UI element access via role.update API (jfreibergs)
..F....... [ZBX-19271] fixed inconsistent tag row rendering in different edit forms (miks)
........S. [ZBX-24671] fixed problems not inheriting tags of templates linked to discovered hosts (wiper)
.........T [ZBX-24539] fixed incorrect threshold in trigger expression of Check Point Next Generation Firewall by SNMP template (aiantsen)
...G...... [ZBX-24667] fixed vm.memory.size[pused] item on Solaris (MVekslers)
.........T [ZBX-23781] added storage volumes check in HPE iLO by HTTP template (drasikhov)
...G...... [ZBX-24391] fixed Zabbix agent to return net.tcp.socket.count result without error if IPv6 is disabled (sboidenko)
..F....... [ZBX-24352] fixed custom severity name usage in Geomap widget (ddauksa)
...G...... [ZBX-20993] fixed Zabbix agent 2 MQTT plugin clientID to be generated by strict requirements (esneiders)
.........T [ZBX-23426] added dependent item with JavaScript preprocessing for edges SD-WAN in VMWare SD-WAN VeloCloud by HTTP template (egordymov)
.........T [ZBX-24665] fixed potential problem with deprecated GCE Integrity feature (igorbach)
........S. [ZBX-24566] fixed crash when expression macro is used in unsupported location (vso)
..F....... [ZBX-24450] fixed issue where graph could differ for data gathered from PostgreSQL and other databases (gcalenko)
........S. [ZBX-24513] fixed real-time export of rarely updated trends (vso)
..F....... [ZBX-21702] fixed selected row highlighting on page refresh (apoga)
..F....... [ZBX-23398] fixed trigger expression constructor incorrectly showing '<' and '>' operators (Ivo)
..F....... [ZBX-23584] fixed error message being displayed when updating host after changing item status (agriscenko)
.........T [ZBX-24635] fixed datastore triggers in VMware templates (abrosimovs)
..F....... [ZBX-22623] fixed unavailable dashboard failing to load widget-specific JS files (agriscenko)

--------------------------------------------------------------------------------
Changes for 6.4.16

6.4.16rc2 was released as 6.4.16 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.16rc2

Bug fixes:
..F....... [ZBX-24588] fixed CyberArk Vault connection with no certificates (vmurzins)

--------------------------------------------------------------------------------
Changes for 6.4.16rc1

New features:
.........T [ZBXNEXT-9140] added support for custom compartments in Oracle Cloud by HTTP templates (knaglis)
.........T [ZBXNEXT-9034] added Jira Data Center by JMX template (atocko)
..F.....S. [ZBXNEXT-8682] introduced a length limit of 512KB for item test values that server returns to Zabbix frontend (jfreibergs, kprutkovs)

Bug fixes:
........S. [ZBX-24560] fixed {HOST.DNS} and {HOST.IP} not being resolved if empty (vso)
.......PS. [ZBX-24483] improved memory usage in Zabbix server/proxy trappers and in proxy pollers when sending large configuration (vso)
..F....... [ZBX-23073] fixed URL widget resizing and dragging (apoga)
..F....... [ZBX-23435] fixed missing alert message about unsaved changes in nested modal forms (apoga)
........S. [ZBX-24574] fixed HA node flipping between standby and active states (wiper)
........S. [ZBX-24119] fixed possible blocking of alert manager when it periodically pings database (dgoloscapov)
.......PS. [ZBX-24402] reduced main process connections to database during startup (sboidenko)
.......PS. [ZBX-7998] added VMware service username, password and URL check for empty values (asestakovs)
..F....... [ZBX-24369] fixed filter behavior in monitoring pages after deleting filter parameters (esekace)
..F....... [ZBX-24484] fixed Geomap widget console error when dragging map in widget edit mode (esekace)
..F....... [ZBX-24370] fixed errors on LDAP configuration page when removing provisioned media mapping (gcalenko)
.D........ [ZBX-23337] improved supported version documentation for Zabbix agent 2 Oracle plugin and both templates (knaglis)
A......... [ZBX-24180] fixed inability to import existing host or template when its dependent item prototype, which is used in trigger prototypes or graph prototypes, would have a different master item (jfreibergs, vmaksimovs)
...G...... [ZBX-24362] fixed wrong Zabbix agent 2 loadable plugin process handling catching all child process exits (rzvejs)
..F....... [ZBX-24276] fixed inconsistency when opening map element URLs (esekace)
..F....... [ZBX-24527] fixed unnecessary loading text being displayed in hintbox preloader (agriscenko)
.......PS. [ZBX-24540] fixed crash when expanding host interface macros on main Zabbix agent interface (wiper)
.......PS. [ZBX-24470] fixed scale of vmware.vm.memory.size.compressed key (MVekslers)
.........T [ZBX-24415] added triggers for datastores in VMware templates (abrosimovs)
..F....... [ZBX-18094] fixed multiple pie graph issues related to calculation of item angles (miks)
...G...PS. [ZBX-20766] fixed confusing port binding error message (dgoloscapov)
A......... [ZBX-24481] fixed inability to unset value map from existing item or item prototype by passing a version without valuemap parameter into configuration.import (vmaksimovs)
...G...... [ZBX-24531] fixed compile time data not being set for agent2 (jxl)
........S. [ZBX-23690] optimized maintenance calculations for large number of hosts and maintenances (wiper)
.......PS. [ZBX-24453] implemented socket file cleanup when shutting down, added blocking of signals during important stages of startup (dgoloscapov)
..F....... [ZBX-24152] fixed host form submission with Enter button if the form is opened in a popup and focus is in a flexible text area field (Ivo)
.........T [ZBX-23788] added SNMP OID ifAlias in Network interfaces discovery (egordymov)
....I..... [ZBX-24482] fixed the presence of the http_proxy field in the initial data (Sasha)
..F.....S. [ZBX-25015] fixed information exposure in System information widget for users without proper permissions (vmurzins)
....I..... [ZBX-25011] fixed access for non-admin user to options of installed MSI (MVekslers)
........S. [ZBX-25012] implemented phone number validation check to avoid AT commands injection (sboidenko)
........S. [ZBX-25013] fixed exploit to read files using SMS (sboidenko)
A......... [ZBX-25017] fixed sensitive data exposure from audit log (gcalenko)
.......PS. [ZBX-25018] removed direct pointer access in custom javascript objects (wiper)
........S. [ZBX-25016] fixed IP and DNS address validation when user macro is used for interface (vso, wiper)

--------------------------------------------------------------------------------
Changes for 6.4.15

6.4.15rc1 was released as 6.4.15 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.15rc1

New features:
.........T [ZBXNEXT-8248] added database filter macros to MySQL templates (drasikhov)
.........T [ZBXNEXT-6698] updated filesystem discovery in OS templates (atocko)
........S. [ZBXNEXT-7930] added user macro support for username and password fields in email media type (asestakovs)
.........T [ZBXCTR-22] refactored JavaScript filter functions for Kubernetes templates (ebbex)
.........T [ZBXNEXT-9098] added AWS ELB Network Load Balancer by HTTP template (egordymov)
.........T [ZBXNEXT-6864] replaced {HOST.CONN} with user macros in templates (drasikhov)

Bug fixes:
........S. [ZBX-25630] added user macro support for username and password fields in email media type (asestakovs)
...G...... [ZBX-24210] improved Zabbix agent 2 loadable plugin capacity code style (rzvejs)
A......... [ZBX-23951] fixed issue of incorrect template matching when no UUID exists in export file (jfreibergs)
.......PS. [ZBX-23953] fixed CIDR network mask of VMware HV network interface (MVekslers)
..F....... [ZBX-24195] fixed host IPMI username and password field max length (esekace)
.........T [ZBX-24451] added tags and updated items in Proxmox template (abrosimovs)
.........T [ZBX-24447] fixed typos in templates (drasikhov)
..F....... [ZBX-23386] fixed hintbox sizing to fit screen (apoga, Ivo)
.........T [ZBX-24024] fixed OIDs for external sensors in APC UPC by SNMP templates (egordymov)
.........T [ZBX-21751] fixed node's loadavg item in Proxmox template (abrosimovs)
........S. [ZBX-24315] fixed linking template to host when some LLD macro paths already exist (vso)
A......... [ZBX-24201] fixed issue of LDAP users being unable to update profile settings without specifying password (jfreibergs)
........S. [ZBX-24172] fixed Zabbix server issue with scheduled intervals on Feb 29th of leap year (sboidenko)
A......... [ZBX-23407] improved performance of retrieving last history values when primary keys are available (jfreibergs, vmaksimovs)
.........T [ZBX-24246] updated descriptions for family of MySQL and Oracle templates, changed macro in the trigger 'Tablespace utilization is too high' for family of Oracle templates (akotsegubov)
.......... [ZBX-23988] renamed Agent2 Go module (jxl)
.........T [ZBX-24222] fixed incorrect item OIDs in the FortiGate by SNMP template (aiantsen)
.........T [ZBX-24393] updated README in Redis by Zabbix agent 2 template (abrosimovs)
.....J.... [ZBX-24298] allowed any JNDI service providers back in JMX monitoring (dimir)
.........T [ZBX-19990] separated LLD filter macros in Apache Tomcat by JMX template (drasikhov)
.........T [ZBX-24364] added preprocessing steps for LLD rules in RabbitMQ templates (egordymov)
.......PS. [ZBX-24282] fixed Zabbix proxy to report error for not supported items (sboidenko)
..F....... [ZBX-24001] fixed SSL certificate usage in CyberArk Vault (vmurzins)
.........T [ZBX-24368] Improved PostgreSQL autovacuum's count query (abrosimovs)
.......PS. [ZBX-24154] fixed building Zabbix with Net-SNMP library in custom location (sboidenko)
........S. [ZBX-19507] fixed vmware.eventlog item to recover after event keys are reset (asestakovs)
........S. [ZBX-24241] fixed Zabbix server issue with random order of host groups for a host during real-time export (sboidenko)
.........T [ZBX-24275] fixed item prototype JSONPath preprocessing, added missing volume health metric and triggers in HPE MSA templates (drasikhov)
.........T [ZBX-24316] fixed username macro in GridGain by JMX template (drasikhov)

--------------------------------------------------------------------------------
Changes for 6.4.14

6.4.14rc1 was released as 6.4.14 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.14rc1

New features:
...G...... [ZBXNEXT-9026] added Go compiler version to Zabbix agent 2 version output (mprihodko)
.......PS. [ZBXNEXT-9117] updated max supported MariaDB version to 11.3 (mprihodko)
.........T [ZBXNEXT-8786] changed 'odbc.discovery' keys to 'odbc.get' in MySQL by ODBC and Oracle by ODBC templates (akotsegubov)
.........T [ZBXNEXT-8536] added cbdhsvc service to macros in Windows agent templates (abrosimovs)
...G...... [ZBXNEXT-9024] set maximum Zabbix agent 2 plugin capacity to 1000 and default capacity to 100 (mprihodko)
.........T [ZBXNEXT-8861] made changes and added more metrics to the FortiGate by SNMP template (aiantsen)
.........T [ZBXNEXT-8240] added a new set of templates for integration with Oracle Cloud Infrastructure (knaglis)

Bug fixes:
...G...... [ZBX-23719] updated plugin-support to add duplicate flag handling (rzvejs)
....I..... [ZBX-22429] fixed typo in Zabbix proxy automake file (MVekslers)
.......PS. [ZBX-24089] optimized configuration re-sync after empty initial syncs (wiper)
........S. [ZBX-24264] fixed value cache being filled with values of newly added items with triggers (wiper)
A......... [ZBX-24219] fixed user HTTP basic authentication when user belongs to LDAP group (gcalenko)
..F....... [ZBX-24088] fixed problem filtering in maps with nested maps (miks)
.........T [ZBX-24206] fixed line breaks in JavaScript in Cloudflare template (abrosimovs)
.........T [ZBX-24134] added sensor discovery in VMware Hypervisor template (akotsegubov)
..F....... [ZBX-23918] fixed item pattern select popup to display all available items (esekace)
..F....... [ZBX-24190] fixed items being updated incorrectly when configuring graph (esekace)
..F....... [ZBX-23884] removed possibility to manually add provisioned user to user group (epulke)
.........T [ZBX-23032] added triggers for cluster status in VMware templates (abrosimovs)
.....J.... [ZBX-23948] added support for TabularData data when parsing an MBean attribute (dimir)
A......... [ZBX-23742] fixed tag filtering logic for tags with one name and different types of operators (dfofanovs, Sasha)
A......... [ZBX-24081] fixed full clone of templates or hosts failing due to more strict copied item validation (jfreibergs)
....I..... [ZBX-23441] fixed Go agent Makefile template not respecting DESTDIR (jxl)
.........T [ZBX-24271] added delay in JavaScript execution for Azure Cost Management by HTTP template (egordymov)
A......... [ZBX-24226] fixed fatal exception on a to be de-provisioned user log in (jfreibergs)
A......... [ZBX-24209] fixed missing filtering options for Proxy object (jfreibergs)
...G...... [ZBX-24208] fixed Oracle, MySQL plugin connection cache blocking (rzvejs)
.........T [ZBX-24202] fixed JavaScript in AWS S3 bucket by HTTP template (egordymov)
..F....... [ZBX-23478] fixed issue when missing locale error would not be displayed for user under certain conditions (vmurzins)
...G...... [ZBX-23853] fixed duplicate agent check timestamps when time shifts back due to system clock synchronization (mprihodko)
A......... [ZBX-23402] fixed web scenario step post type saving in DB (averza, dpetra)
........S. [ZBX-24091] fixed user macro resolution in function part of error messages (dgoloscapov)
...G...PS. [ZBX-24166] fixed Zabbix not being able to restart due to RTC and sockets not being closed before stopping (dgoloscapov)
.......PS. [ZBX-23868] fixed incomplete JSON data for vmware.vm.snapshot.get item (MVekslers)
..F....... [ZBX-23397] fixed runtime error in discovered host configuration form with inherited macros (esekace)
..F....... [ZBX-24181] fixed max repetition count value reset for numbers exceeding 15 digits (esekace)

--------------------------------------------------------------------------------
Changes for 6.4.13

6.4.13rc1 was released as 6.4.13 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.13rc1

New features:
.........T [ZBXNEXT-9063] added metadata in JavaScript for AWS templates (egordymov)
.........T [ZBXNEXT-8958] added AWS ELB Application Load Balancer by HTTP template (egordymov)
.........T [ZBXNEXT-8928] added Check Point Next Generation Firewall by SNMP template (aiantsen)
.........T [ZBXNEXT-8947] added MSSQL by Zabbix agent 2 template (akotsegubov)
........S. [ZBXNEXT-9012] updated max supported TimescaleDB version to 2.14 (mprihodko)

Bug fixes:
.....J.... [ZBX-24093] fixed JMX monitoring when using "remote+http" protocol (dimir)
..F....... [ZBX-23567] fixed PHP error during first time setup when no user is yet created (gcalenko, Ivo)
........S. [ZBX-24050] fixed snmpaddrs not getting updated when syncing interfaces (dgoloscapov)
..F....... [ZBX-23488] fixed severity checkbox area width issue when editing widgets and added an option to add title attribute to checkbox labels (dfofanovs)
..F....... [ZBX-23852] fixed template import failing with unexpected server error when trying to import template dashboards with items or graphs from unexisting hosts (agriscenko)
........S. [ZBX-24043] fixed extensive locking when retrieving Zabbix server statistics (dgoloscapov)
.......PS. [ZBX-24161] fixed compatibility between different minor versions of 6.4 Zabbix server and Zabbix proxy (asitals)
.........T [ZBX-24143] fixed swap space trigger prototype name in Proxmox VE by HTTP template (drasikhov)
.......PS. [ZBX-24110] improved configuration sync performance by avoiding host join when syncing items (vso)
.........T [ZBX-24141] fixed replication master host LLD macro in MySQL by Zabbix agent template (drasikhov)
...G...... [ZBX-23888] added setting items to unsupported stated when invalid regexp is supplied (dgoloscapov)
.......PS. [ZBX-23667] added VMware datastore UUID to *discovery items, added datastore selection by UUID to vmware.hv.datastore* items (MVekslers)
...G...... [ZBX-21703] fixed possible mutual lock between exporter and collector in performance counters for Zabbix Agent 2 (akozlovs, MVekslers)
........S. [ZBX-24049] fixed Zabbix server template linking logic so that it does not wrongfully update triggers on host when there is a corresponding trigger on template with same description but different expression (arimdjonoks)
..F....... [ZBX-22332] fixed placeholder and default value for CSV to JSON preprocessing step parameters (vmurzins)
..F.....S. [ZBX-20765] fixed empty PDF files in scheduled reports (averza, mprihodko)
.........T [ZBX-20725] updated documentation for MySQL by Zabbix agent template, added the protocol option to the MySQL client configuration example (drasikhov)
.........T [ZBX-20788] updated locale variable to force English locale in user parameter pgsql.ping.time[*] in PostgreSQL by Zabbix agent template (drasikhov)
..F....... [ZBX-23617] fixed item test form not showing values for macros with a backslash character used in a string parameter of a calculated item formula function (jfreibergs)
A.F....... [ZBX-19918] prevented redundant audit log entries of failed logins when visiting login page if guest account is disabled; removed automatic login as guest user when entering any page requiring authentication (vmaksimovs)
.........T [ZBX-24038] fixed next token parameters in JavaScript for AWS templates; edited links in descriptions (egordymov)
....I..... [ZBX-22783] added automatic detection of Oracle instant client installed from RPM (mprihodko)
.......PS. [ZBX-24095] improved data fetch performance for PostgreSQL (vso)
...G...... [ZBX-18859] fixed error event 5858 with ResultCode = 0x80041032 after WMI queries (mprihodko)
..F....... [ZBX-23818] fixed clock, graph and graph prototype widget form reloading and field focus when changing values (esekace)
........S. [ZBX-24505] fixed possible injection when adding audit log entry of a global script execution (dimir)

--------------------------------------------------------------------------------
Changes for 6.4.12

6.4.12rc1 was released as 6.4.12 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.12rc1

New features:
.......PS. [ZBXNEXT-8983] updated max supported MariaDB version to 11.2 (mprihodko)
.......PS. [ZBXNEXT-8984] updated max supported MySQL version to 8.3 (mprihodko)
.........T [ZBXNEXT-8762] added YugabyteDB by HTTP and YugabyteDB Cluster by HTTP templates (akotsegubov)

Bug fixes:
.........T [ZBX-23586] fixed filter evaluation type of organizations discovery in Cisco Meraki dashboard by HTTP template (drasikhov)
.......PS. [ZBX-23607] added quoting string values when producing SNMP walk[] output (asitals)
.......P.. [ZBX-23124] fixed items with disabled history being sometimes stuck in non-supported state (wiper)
..F....... [ZBX-23925] fixed spelling mistakes (dpetra)
...G...... [ZBX-23766] updated Zabbix agent 2 Ceph plugin readme setup instructions (rzvejs)
.........T [ZBX-24094] fixed network interfaces LLD filtering macro in Linux by Prom template (drasikhov)
..F....... [ZBX-23202] fixed unused tag value being saved in tag filter (vmurzins)
.........T [ZBX-22555] updated regexp to case insensitive in Nginx templates (drasikhov)
..F....... [ZBX-23664] changed calculation logic of Zabbix agent interface availability for active and passive checks (dfofanovs)
........S. [ZBX-23973] fixed trends being retrieved from database for new items and for items with infrequent update interval (vso)
.........T [ZBX-22745] removed incorrect description of network interfaces administrative status filter macro in SNMP templates (drasikhov)
..F....... [ZBX-23663] fixed inability to enable SAML when PHP LDAP extension is missing (gcalenko)
.......PS. [ZBX-24015] improved zabbix[queue] internal item not to block history syncers and pollers (vso)
.........T [ZBX-23509] fixed JSONPath of Keyspace discovery master item in Redis by Zabbix agent 2 template (drasikhov)
...G...PS. [ZBX-24059] fixed libmodbus unnecessary linking into all binaries (askolmeisters)
.........T [ZBX-24055] added missing API port macros in URL of script items in HPE Synergy by HTTP and HPE Primera by HTTP templates (drasikhov)
...G...... [ZBX-20525] fixed vfs.dir.size performance issues when walking through directory that has a lot of subdirs/files (dgoloscapov)
.........T [ZBX-23773] improved trigger functionality for Acronis Cyber Protect Cloud MSP by HTTP template (knaglis)
........S. [ZBX-23979] improved trend recalculation performance by performing trend updates in own transaction (vso)
........S. [ZBX-23688] improved new item value retrieval performance by adding such items to value cache after configuration sync (wiper)
.......PS. [ZBX-22130] changed JSONPath expression evaluator to treat null values as empty variants (wiper)
.......... [ZBX-23986] added a license to the Go module (jxl)
..F....... [ZBX-23587] fixed widget input field selecting when clicking on label (dpetra)
.......PS. [ZBX-23232] fixed syncing web scenarios to proxy (asitals)
..F....... [ZBX-23640] fixed preload hints opening (apoga)
A.F....... [ZBX-22433] fixed web scenario and web scenario step configuration field trimming and field sorting (ddauksa, Ivo, Sasha)
.........T [ZBX-23684] fixed transactions query file for PostgreSQL by Zabbix agent template (drasikhov)
..F....... [ZBX-23659] fixed incorrect calculation of bar graph polygon in SVG graph widget for negative values (solonkins)

--------------------------------------------------------------------------------
Changes for 6.4.11

6.4.11rc1 was released as 6.4.11 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.11rc1

New features:
.......PS. [ZBXNEXT-8891] updated max supported MySQL version to 8.2 (mprihodko)
.........T [ZBXNEXT-8524] added support for HTTP proxy in GCP templates (egordymov)
.........T [ZBXNEXT-8759] added dashboards in Azure templates (egordymov)
.........T [ZBXNEXT-8580] added new discovery rules, refactored discovery rules to dependent items and made few minor changes in MSSQL by ODBC template (akotsegubov)
.........T [ZBXNEXT-8730] added Azure Cost Management by HTTP template (egordymov)

Bug fixes:
.......PS. [ZBX-23967] fixed possible invalid free in SNMP walk to JSON preprocessing step (dgoloscapov)
........S. [ZBX-22371] fixed process tags option not adding tags for service events (vso)
...G...... [ZBX-17208] fixed invalid command-line flag handling in Zabbix agent 2 (rzvejs)
..F....... [ZBX-23517] fixed user not being able to clone dashboard with read-only access (jfreibergs)
.........T [ZBX-23937] fixed JavaScript for AWS EC2 instances discovery (egordymov)
..F....... [ZBX-22715] fixed map shape dimension changes on resizing in scaled browser mode (ddauksa)
.......PS. [ZBX-23722] added garbage collection after executing JavaScript code (asitals)
.......PS. [ZBX-23740] fixed netsnmp persistent state disabling without affecting its configuration (wiper)
...G...... [ZBX-23257] fixed log items not using MaxLinesPerSecond setting correctly for Zabbix agent 2 (kprutkovs)
...G...... [ZBX-23890] removed non-existing headers from compiler checks: mtent.h and knlist.h (arimdjonoks)
.........T [ZBX-23912] removed Jira with CustomFields media type in data.tmpl (egordymov)
A......... [ZBX-23262] fixed inability to log in using user.login API method if user has a user group with disabled frontend access (epulke, vmaksimovs)
A.F....... [ZBX-22536] fixed TimescaleDB compression detection for history.clear API method and proper error appearance in frontend (miks)
.........T [ZBX-23761] fixed JavaScript in Jira media type (egordymov)
.........T [ZBX-22558] fixed trigger expression for retrieval of stub page in Nginx templates (drasikhov)
...G...... [ZBX-23540] added error checks for RegisterMetrics calls (rzvejs)
.........T [ZBX-23691] fixed LLD filters evaluation type for devices discovery in Cisco SD-WAN by HTTP template (drasikhov)
.......PS. [ZBX-23631] removed tag 'tags' in case of an error collecting tags from *discovery items (MVekslers)
.........T [ZBX-23605] removed getting location buckets in AWS by HTTP template; added discovery filters for request metrics in AWS S3 bucket by HTTP template (egordymov)
..F....... [ZBX-23497] fixed user edit form fields validation for user without user group (dpetra)
..F....... [ZBX-23466] fixed data aggregation errors in Graphs and Top hosts widgets with Elasticsearch backend (Sasha)
.........T [ZBX-23835] updated Meraki templates (egordymov)
.........T [ZBX-23723] fixed proxy params in JavaScript AWS templates (egordymov)
..F....... [ZBX-23733] fixed error when downloading graph as .png image if item name contains multibyte characters (gcalenko)
...G...... [ZBX-23715] fixed persistent directory path not following symlinks upon creation (kprutkovs)
...G...... [ZBX-22678] fixed parsing failures for deb packages without an Installed-Size field (jxl)
.........T [ZBX-23825] fixed query_fields values Acronis and Nomand templates (abiba)
..F....... [ZBX-22055] fixed map image of map widget not being updated when pressing Apply button (agriscenko, apoga)
..F....... [ZBX-23629] fixed interface icon cursor to pointer (apoga)
.......PS. [ZBX-23145] disabled deprecated automatic reconnection in MySQL (mprihodko)
...G...... [ZBX-22933] improved vfs.file.regmatch and vfs.file.regexp items to use buffered file read (askolmeisters)
...G...... [ZBX-23471] fixed sha256 sum calculation on AIX, HP-UX and Solaris; fixed crash on HP-UX (Andris)
..F....... [ZBX-21973] changed deprecated X-Frame option allow-from to Content-Security-Policy frame-ancestors (dfofanovs)
..F....... [ZBX-23439] fixed sorting of numeric items with/without aggregation enabled in Top hosts widget (dfofanovs)
........S. [ZBX-23633] fixed service alarms to be recovered with problem time in case of negative problem duration (vso)
.......PS. [ZBX-23738] fixed Zabbix backend sources for libxml2 2.12.0 version changes (akozlovs)
.........T [ZBX-23746] fixed creation of tickets during escalation for Zammad media type (akotsegubov)
..F....... [ZBX-23561] fixed spacing between filter and results table (ashubin)
..F....... [ZBX-18873] fixed disabled chevrons color in problem view (ashubin)
..F....... [ZBX-23636] fixed some fields in Administration section not being trimmed on form submit (agriscenko)
..F....... [ZBX-22983] fixed ellipsed dropdown options in items mass update and items configuration in preprocessing section (ddauksa, kkuzmina, vmurzins)

--------------------------------------------------------------------------------
Changes for 6.4.10

6.4.10rc1 was released as 6.4.10 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.10rc1

New features:
........S. [ZBXNEXT-8857] updated max supported TimescaleDB version to 2.13 (mprihodko)

Bug fixes:
.......PS. [ZBX-23799] fixed crash when host interfaces are added and updated at the same time (vso)
........S. [ZBX-23559] fixed SLI dropping when maintenance is set with pre-existing problem (dgoloscapov)
..F....... [ZBX-23699] fixed unchecking "Follow redirects" option not being saved in HTTP agent item configuration form (agriscenko)
.......PS. [ZBX-23683] fixed calculation of vmware.datastore.read/write items taking into account VMware HV maintenance status (MVekslers)
...G...PS. [ZBX-23787,ZBX-23755] fixed crash on empty HTTP response; fixed Zabbix agent build on Windows with libcurl (vso)
.......PS. [ZBX-23437] added back support for user macros in "custom on fail" parameter (dimir)
..F....... [ZBX-21132] fixed Top hosts widget not showing all items by selected item name (Ivo)
A......... [ZBX-23568] added clean up of incompatible item, item prototype and LLD rule properties from configuration import generated before v6.4 (jfreibergs)
.........T [ZBX-23764] added an additional field for new events in SIGNL4 media type (aiantsen)
.......PS. [ZBX-23685] added read-only transaction to the list of recoverable errors on PostgreSQL (vso)
...G...... [ZBX-23342] fixed Zabbix agent 2 MySQL plugin connection not taking into account TLS parameters (esneiders)

--------------------------------------------------------------------------------
Changes for 6.4.9

6.4.9rc1 was released as 6.4.9 without any changes

--------------------------------------------------------------------------------
Changes for 6.4.9rc1

New features:
...G.....T [ZBXNEXT-8705] implemented new tablespace item to retrieve percentage about current tablespace usage from max for both Oracle templates (knaglis)
...G...... [ZBXNEXT-8708] added version metric to Oracle plugin in Zabbix agent 2 (rzvejs)
.......PS. [ZBXNEXT-8729] updated max supported TimescaleDB version to 2.12 (mprihodko)
.........T [ZBXNEXT-8522] added HPE iLO by HTTP template (drasikhov)
.........T [ZBXNEXT-7486] added openshift-state-metrics in Kubernetes cluster state by HTTP (egordymov)

Bug fixes:
A...I..... [ZBX-23580] fixed aggregated item key conversion to calculated item formula when item key includes 'last' function and a fourth parameter (Ivo, mprihodko)
...G...PS. [ZBX-23490] improved HTTP agent, web scenarios, web checks and JavaScript to convert to UTF-8 from charset specified in HTTP header or HTTP meta tag (vso)
.......P.. [ZBX-22493] fixed foreign key support with SQLite3 database (wiper)
.......PS. [ZBX-23602] fixed false positive host revision update in configuration cache when syncing interfaces (wiper)
.......PS. [ZBX-23621] fixed SNMP discovery looping forever with empty trend response (wiper)
...G...... [ZBX-23644] fixed Zabbix agent compilation on AIX (Andris)
..F....... [ZBX-23525] fixed template tab name in template configuration form (agriscenko)
.D........ [ZBX-23620] reordered sub-templates in READMEs of Acronis, Control-M and Openstack templates (knaglis)
.........T [ZBX-23381] fixed unit for FreeStorageSpace metric in JavaScript AWS RDS instance by HTTP template (egordymov)
..F....... [ZBX-23269] fixed sizes of loading modal windows (apoga)
..F....... [ZBX-22400] fixed Web scenarios configuration form to display parent web scenarios on page refresh (ddauksa)
..F....... [ZBX-21891] fixed messages about enabling, disabling and updating modules being different from other places (agriscenko)
..F....... [ZBX-23290] fixed gap when filtering by tags in Latest data (agriscenko)
..F....... [ZBX-23399] fixed browser console errors when mass updating host and removing all value mappings (agriscenko)
..F....... [ZBX-23430] fixed selected filter tab in high contrast themes being indistinguishable from others when collapsed (agriscenko)
.........T [ZBX-23639] changed value type for 'Pool Percent Used' item prototype in Ceph by Zabbix agent 2 template (akotsegubov)
..F....... [ZBX-23521] fixed password field label not changing to key passphrase and back for SSH agent item when changing authentication method (agriscenko)
..F....... [ZBX-23431] fixed non-working "Network timeout for item test" setting (agriscenko)
..F....... [ZBX-23285] added missing bottom border for disabled button dropdown on hover for inherited macros (dfofanovs)
..F....... [ZBX-23615] fixed receiving data from the database twice the first time it is loaded (ashubin)
..F....... [ZBX-23429] removed strange dots in latest data caused by overflow-ellipsis (dfofanovs)
..F....... [ZBX-22537] fixed displaying symptom events in case multiple cause events have more than 50 symptoms (Ivo)
..F....... [ZBX-19531] fixed tables with header text vertical rotation (ashubin, jfreibergs)
........S. [ZBX-23235] fixed function macros to expand in notifications (arimdjonoks)
...G...... [ZBX-23855] fixed buffer overread in DNS response (askolmeisters)
